C    BAEDPARM.INC
C    Last change:  RJH   9 Jun 98   10:41 am
C     Parameters for BOAST3 - 7/2/93
C     LP1  = Max x-dir grid-blocks   |
C     LP2  = Max y-dir grid-blocks   |--> Now only limited by physical memory
C     LP3  = Max z-dir grid-blocks   |    and/or virtual memory & speed C     LP7  = Max number of rock regions
C     LP7  = Max number of rock regions
C     LP8  = Max number of PVT regions
C     LP9  = Max number of table entries
C     LP10 = Max of { LP7, LP8 }
C     LP11 = Max number of well-blocks
C     LP12 = Max number of time-steps
C     LP14 must be 1 for BOASTII PC Version & BOAST3
C     LP15 = Equal to or greater than Max of {LP1,LP2,LP3}
C     LP17 = Max number of restart records
C     LP112= Max number of data sets
C
C .............  Specified parameters ..........
C
C      PARAMETER (LP1=75, LP2=60, LP3=15, LP15=75)
      PARAMETER (LP7=5, LP8=5, LP9=25, LP10=5, LP11=200, LP12=8000)
      PARAMETER (LP14=1, LP17=3,LP112=200)
C .............  Derived parameters ...........
C      PARAMETER (LP4=LP1+1, LP5=LP2+1, LP6=LP3+1, LP13=LP1+LP2+LP3)
C      PARAMETER (LP19=LP4*LP2*LP3, LP20=LP1*LP5*LP3)
C      PARAMETER (LP21=LP1*LP2*LP6, LP22=LP1*LP2*LP3)
C      PARAMETER (LP23=LP11*LP3)
C ............. New parameters for B3PLOT and/or COLORGRID  - 7/02/93
C     NWX  = Max number of wells
C     NODX = Max nodes per well
C     NMOD = Max number of modifications to porosity, permeability, or
C                                          transmissiblity allowed.
      PARAMETER (NWX=150, NODX=10,NMOD=55)
      PARAMETER (NODWX=NWX*NODX)
C      PARAMETER (IMX=LP1, JMX=LP2, KMX=LP3)
C
      COMMON /IJKSZ/ LP1, LP2, LP3, LP4, LP5, LP6, LP13,
     &               LP19,LP20,LP21,LP22,LP23, IMX,JMX,KMX
