C     BAGROUP.FOR
C
C     Last change:  RJH   7 Oct 98    2:47 pm
C*********************************************************************
C*                    Designed and written by                        *
C*                    Raymond J. Heemstra                            *
C*                    BDM-Oklahoma, Inc.                             *
C*                    Bartlesville, OK 74005                         *
C*********************************************************************
C
C     This is the list of input routines that B3IN calls
C     also a list of the output routines that B3OUT calls
C     including B3OUT.
C
C ***************************************************************
C
C     BEGINAIN.FOR
C
      SUBROUTINE BEGINAIN(FileName)
C      (IOCODE, NROCK,NTER,NPVT,NTEP,NW,
C     &  NTMAX,NRST,N1DIR,N23DIR,NITER,NTRI,
C     &  IREOPT,IPLOTP,IRNUM,IRSTRT,NN,TMAX, RESIN,RESOUT, REDATE)
      CHARACTER*(*) FileName
      COMMON /IGXYZ/ NP1,NP2,NP3
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      INCLUDE 'interif.inc'
      INCLUDE 'interkm.inc'
      INCLUDE 'interip.inc'
      INCLUDE 'intergen.inc'
      INCLUDE 'interat.inc'
      INCLUDE 'intercg.inc'
C        CHARACTER*1 ANSWER
C     CHARACTER*(*) OUTNAME
C	LOGICAL THERE,ABORT
C        LOGICAL InYesNo
C      CHARACTER*80 BDMBRAG(7)
       CHARACTER*80 BUFFER

C      CHARACTER*12 RESIN,RESOUT
C      DIMENSION REDATE(LP17)
C      DATA (BDMBRAG(I),I=1,7) /
C     &'**************************************************************',
C     &'*                                                            *',
C     &'*                       B O A S T  3                         *',
C     &'*                      Data Input Edit                       *',
C     &'*             Developed for BDM-Oklahoma - June, 1996         *',
C     &'*                                                            *',
C     &'**************************************************************' /
C      DO I=1,7
C	CALL IWinOutSTring(TRIM(BDMBRAG(I)))
C      END DO

C########################################################################
C      DO I=1,5
C	WRITE(*,*) B3HDR(I)
C      END DO
C
C** RESTART OPTION READ
      NERR=6
      IRNUM=0
      IRSTRT=0
      NNRST=0
      TMAXRST=0.0
      RESIN=' '
      RESOUT=' '
      DO I=1,LP17
        REDATE(I)=0.0
      END DO
      READ(1,69,ERR=998) H1
69    FORMAT(A80)
      NERR=7
      READ(1,*,ERR=998) IREOPT,IPLOTP

C     NOTE:  IREOPT= 0 or 1  will work like BOASTII   
C
C    IREOPT -- Restart option code  (not activated = -1; activated = 0; 
C                           restart run begun at time step IRSTRT = 1)
C    IRNUM -- Number of Restart Records to be written (max of 3)
C    IRSTRT -- Starting time-step number for Restart Run
C    NN -- Maximum (cumulative) number of time steps for Restart Run
C    TMAX -- Maximum (cumulative) simulation time for Restart Run, days
C    This is a restart run beginning at time step IRSTRT
C
      NERR=8
      IF(IREOPT.GT.-1) THEN
        READ(1,*,ERR=998) IRNUM,IRSTRT,NNRST,TMAXRST
      ENDIF

      IF(IREOPT.GE.0) THEN
C----INPUT RESTART FILE
        NERR=9
        READ(1,7,ERR=998) RESIN
7       FORMAT(A12)
	IF(RESIN(1:3) .EQ. '   ') THEN
          CALL EXTEN(FileName(1:12),RESIN,'RIN')
!          RESIN='DUMMY.RIN'
        END IF
        NERR=10
        READ(1,7,ERR=998) RESOUT
	IF(RESOUT(1:3) .EQ. '   ') THEN
          CALL EXTEN(FileName(1:12),RESOUT,'ROT')
!          RESOUT='DUMMY.ROT'
        END IF
C======================================================================
CC       WRITE(IOCODE,3003) RESIN,RESOUT
C       WRITE(*,3003) RESIN,RESOUT
C 3003  FORMAT(/5X,'INPUT RESTART FILE    ',T50,A12,
C     &  /,5X,'INPUT RESTART FILE    ',T50,A12,/)
C----Machine dependent open statements for binary restart files ------

C        OPEN(UNIT=24,FORM='BINARY',ACCESS='SEQUENTIAL',
C     &        FILE=RESIN,STATUS='UNKNOWN')
C        OPEN(UNIT=25,FORM='BINARY',ACCESS='SEQUENTIAL',
C     &        FILE=RESOUT,STATUS='UNKNOWN')
C        WRITE(*,*) 'Opening L. U. 25'
        NERR=11
        IF(IRNUM.GT.0) THEN
          READ(1,*,ERR=998) (REDATE(I),I=1,IRNUM)
        ELSE IF (IRNUM.EQ.0) THEN
          READ(1,*,ERR=998) REDATE(1)
        END IF
C        WRITE(IOCODE,16) (REDATE(I),I=1,IRNUM)
C   16   FORMAT(25X,'RESTART TIMES (DAYS):',5(1X,F10.2))
C        WRITE(IOCODE,33)
C  33    FORMAT(//)

      ENDIF
      RETURN
998   WRITE(BUFFER,*) 'BEGINAIN Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
      END 

C    GRIDSAIN.FOR
C                    Designed by
C                    Raymond J. Heemstra
C................................................................GRIDSZ
      SUBROUTINE GRIDSAIN(DX,DY,DZ,DZNET,
     &             RDXL,RDYL,RDZL,RDZNET,ZT,VAREL,RKEL,EL)
C      (IOCODE,II,JJ,KK,NX,NY,NZ, ALPHA, TOP)

      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      INCLUDE 'GRIDA.INC'
      CHARACTER BUFFER*80
      CHARACTER*80 PAGE(NMOD*5)
C       REAL*8 ANG,GAMMA
C      READ GRID DESCRIPTION
C      REAL KX,KY,KZ

      COMMON /TSTDAT/ IFATAL,IWARN

C      COMMON /SPARM/ KX(LP1,LP2,LP3),KY(LP1,LP2,LP3),KZ(LP1,LP2,LP3),
C     & EL(LP1,LP2,LP3),TX(LP4,LP2,LP3),TY(LP1,LP5,LP3),TZ(LP1,LP2,LP6),
C     & PDAT(LP1,LP2,LP3),PDATUM,GRAD

C      COMMON /VECTOR/ DX(LP1,LP2,LP3),DY(LP1,LP2,LP3),DZ(LP1,LP2,LP3),
C     & DZNET(LP1,LP2,LP3),IQN1(LP11),IQN2(LP11),IQN3(LP11),IHEDIN(80)

C      DIMENSION SUM(LP1,LP2),VAREL(LP1,LP2),RDXL(LP1),RDYL(LP2),
C     & RDZL(LP3),RKEL(LP3),RDZNET(LP3)

C============== Arrays for new dipping reservior options ================
C      DIMENSION X(LP1),DZZ(LP1),ZT(LP3)
C========================================================================
     
c............. Added 07/02/93 ............................
C      DIMENSION TOP(LP1,LP2,LP3)
      
C      DIMENSION I1DX(LP7),I2DX(LP7),J1DX(LP7),J2DX(LP7),
C     &           K1DX(LP7),K2DX(LP7),REGVALDX(LP7)
C      DIMENSION I1DY(LP7),I2DY(LP7),J1DY(LP7),J2DY(LP7),
C     &           K1DY(LP7),K2DY(LP7),REGVALDY(LP7)
C      DIMENSION I1DZ(LP7),I2DZ(LP7),J1DZ(LP7),J2DZ(LP7),
C     &           K1DZ(LP7),K2DZ(LP7),REGVALDZ(LP7)
C      DIMENSION I1DZN(LP7),I2DZN(LP7),J1DZN(LP7),J2DZN(LP7),
C     &             K1DZN(LP7),K2DZN(LP7),REGVALDZN(LP7)
C      
c.........................................................
C    ***** INITIALIZATION DATA *****
      DO I=1,NMOD*5
        PAGE(I)=' '
      END DO
      IPAGE=0
      NERR=12
      READ(1,69,ERR=998) H2
69    FORMAT(A80)
      IPAGE=IPAGE+1
      PAGE(IPAGE)=H2
C   Rows, Columns, and Layers
      NERR=13
      READ(1,*,ERR=998) II,JJ,KK
!   Reset all dimensions here (found in COMMON /IJKSZ/ of BAedparm.inc
!      LP1=II
!      LP2=JJ
!      LP3=KK
      LP4=LP1+1
      LP5=LP2+1
      LP6=LP3+1
      LP13=LP1+LP2+LP3
      LP19=LP4*LP2*LP3
      LP20=LP1*LP5*LP3
      LP21=LP1*LP2*LP6
      LP22=LP1*LP2*LP3
      LP23=LP11*LP3
      IMX=II
      JMX=JJ
      KMX=KK
!                  when do we allocate?
      IPAGE=IPAGE+1
!      WRITE(PAGE(IPAGE),*) II,JJ,KK
!      CALL AboutB4(IPAGE,PAGE,'II,JJ,KK Notice')

C.... Grid dimension limit check (changed to no limit 6/9/98)
!      IF(II.GT.NX) THEN
!        IFATAL=IFATAL+1
!        WRITE(BUFFER,1510) NX
! 1510   FORMAT('No. of x-direction blocks cannot exceed ',I5)
!        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
!      ENDIF
!      IF(JJ.GT.NY) THEN
!        IFATAL=IFATAL+1
!        WRITE(BUFFER,1530) NY
! 1530   FORMAT('No. of y-direction blocks cannot exceed ',I5)
!        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
!      ENDIF
!      IF(KK.GT.NZ) THEN
!        IFATAL=IFATAL+1
!        WRITE(BUFFER,1550) NZ
! 1550   FORMAT('No. of z-direction blocks cannot exceed ',I5)
!        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
!      ENDIF
      IF (IFATAL.GT.0) RETURN
      NERR=14
      READ(1,69,ERR=998,END=999) H3
      IPAGE=IPAGE+1
      PAGE(IPAGE)=H3
      NERR=15
      READ(1,*,ERR=998,END=999) KDX,KDY,KDZ,KDZNET
      WRITE(BUFFER,'(4I4)') KDX,KDY,KDZ,KDZNET
      IPAGE=IPAGE+1
      PAGE(IPAGE)=BUFFER
C  *****  ESTABLISH GRID BLOCK LENGTH (DX) DISTRIBUTION
      IF(KDX.LT.0) THEN
        NERR=16
        READ(1,*,ERR=998) DXC
	WRITE(BUFFER,*) DXC
        IPAGE=IPAGE+1
        PAGE(IPAGE)=BUFFER
      ELSE IF(KDX.EQ.0) THEN
        NERR=17
        READ(1,*,ERR=998)(RDXL(I),I=1,II)
C	WRITE(BUFFER,*) (RDXL(I),I=1,II)
C        IPAGE=IPAGE+1
C        PAGE(IPAGE)=BUFFER
      ELSE
C ***** GRID BLOCK LENGTH (DX) DISTRIBUTION
        K=1
        NERR=18
C        IPAGE=0
        DO 190 J=1,JJ
          READ(1,*,ERR=998)(DX(I,J,K),I=1,II)
C          WRITE(BUFFER,'(13F6.0)') (DX(I,J,K),I=1,II)
C          IPAGE=IPAGE+1
C          PAGE(IPAGE)=BUFFER
  190   CONTINUE
      ENDIF
C  *****  ESTABLISH GRID BLOCK LENGTH (DY) DISTRIBUTION
      IF(KDY.LT.0) THEN
        NERR=19
        READ(1,*,ERR=998)DYC
	WRITE(BUFFER,*) DYC
        IPAGE=IPAGE+1
        PAGE(IPAGE)=BUFFER
      ELSE IF(KDY.EQ.0) THEN
        NERR=20
        READ(1,*,ERR=998)(RDYL(J),J=1,JJ)
C	WRITE(BUFFER,*) (RDYL(J),J=1,JJ)
C        IPAGE=IPAGE+1
C        PAGE(IPAGE)=BUFFER
      ELSE
C *****  GRID BLOCK LENGTH (DY) DISTRIBUTION
        K=1
        NERR=21
        DO 215 J=1,JJ
          READ(1,*,ERR=998)(DY(I,J,K),I=1,II)
C	  WRITE(BUFFER,*) (DY(I,J,K),I=1,II)
C          IPAGE=IPAGE+1
C          PAGE(IPAGE)=BUFFER
  215   CONTINUE
      ENDIF
 
C ***** ESTABLISH GRID BLOCK LENGTH (DZ) DISTRIBUTION
      IF(KDZ.LT.0) THEN
        NERR=22
        READ(1,*,ERR=998)DZC
	WRITE(BUFFER,*) DZC
        IPAGE=IPAGE+1
        PAGE(IPAGE)=BUFFER
      ELSE IF (KDZ.EQ.0) THEN
        NERR=23
        READ(1,*,ERR=998)(RDZL(K),K=1,KK)
C	WRITE(BUFFER,*) (RDZL(K),K=1,KK)
C        IPAGE=IPAGE+1
C        PAGE(IPAGE)=BUFFER
      ELSE
        NERR=24
        DO 240 K=1,KK
         DO 242 J=1,JJ
           READ(1,*,ERR=998)(DZ(I,J,K),I=1,II)
C	   WRITE(BUFFER,*) (DZ(I,J,K),I=1,II)
C           IPAGE=IPAGE+1
C           PAGE(IPAGE)=BUFFER
  242    CONTINUE
240     CONTINUE
      ENDIF

C*****GRID BLOCK NET THICKNESS (DZNET) DISTRIBUTION
      IF(KDZNET.LT.0) THEN
        NERR=25
        READ(1,*,ERR=998) DZNETC
	WRITE(BUFFER,*) DZNETC
        IPAGE=IPAGE+1
        PAGE(IPAGE)=BUFFER
      ELSE IF(KDZNET.EQ.0) THEN
        NERR=26
        READ(1,*,ERR=998) (RDZNET(K),K=1,KK)
C	WRITE(BUFFER,*) (RDZNET(K),K=1,KK)
C        IPAGE=IPAGE+1
C        PAGE(IPAGE)=BUFFER
      ELSE
        NERR=27
        DO 273 K=1,KK
         DO 270 J=1,JJ
          READ(1,*,ERR=998) (DZNET(I,J,K),I=1,II)
C	  WRITE(BUFFER,*) (DZNET(I,J,K),I=1,II)
C          IPAGE=IPAGE+1
C          PAGE(IPAGE)=BUFFER
  270    CONTINUE
  273   CONTINUE

      ENDIF

C********GRID BLOCK LENGTH MODIFICATIONS
      NERR=28
      READ(1,69,ERR=998) H4
      WRITE(BUFFER,*) H4
      IPAGE=IPAGE+1
      PAGE(IPAGE)=BUFFER
      NERR=29
      READ(1,*,ERR=998) NUMDX,NUMDY,NUMDZ,NUMDZN,IDCODE
      WRITE(BUFFER,'(5I4)') NUMDX,NUMDY,NUMDZ,NUMDZN,IDCODE
      IPAGE=IPAGE+1
      PAGE(IPAGE)=BUFFER

      IF(NUMDX.NE.0) THEN
        NERR=30
        DO 275 L=1,NUMDX
        READ(1,*,ERR=998) I1DX(L),I2DX(L),J1DX(L),J2DX(L),
     &           K1DX(L),K2DX(L),REGVALDX(L)
        WRITE(BUFFER,'(6I4,F8.3)') I1DX(L),I2DX(L),J1DX(L),J2DX(L),
     &           K1DX(L),K2DX(L),REGVALDX(L)
        IPAGE=IPAGE+1
        PAGE(IPAGE)=BUFFER
  275   CONTINUE
      ENDIF

      IF(NUMDY.NE.0) THEN
        NERR=31
        DO 276 L=1,NUMDY
        READ(1,*,ERR=998) I1DY(L),I2DY(L),J1DY(L),J2DY(L),
     &           K1DY(L),K2DY(L),REGVALDY(L)
        WRITE(BUFFER,'(6I4,F8.3)') I1DY(L),I2DY(L),J1DY(L),J2DY(L),
     &           K1DY(L),K2DY(L),REGVALDY(L)
        IPAGE=IPAGE+1
        PAGE(IPAGE)=BUFFER
  276   CONTINUE
      ENDIF

      IF(NUMDZ.NE.0) THEN
      NERR=32
      DO 277 L=1,NUMDZ
       READ(1,*,ERR=998) I1DZ(L),I2DZ(L),J1DZ(L),J2DZ(L),
     &           K1DZ(L),K2DZ(L),REGVALDZ(L)
       WRITE(BUFFER,'(6I4,F8.3)') I1DZ(L),I2DZ(L),J1DZ(L),J2DZ(L),
     &           K1DZ(L),K2DZ(L),REGVALDZ(L)
        IPAGE=IPAGE+1
        PAGE(IPAGE)=BUFFER
  277 CONTINUE
      ENDIF

      IF(NUMDZN.NE.0) THEN
C      GRID BLOCK NET THICKNESS (DZNET) NODE MODIFICATIONS
        NERR=33
        DO 865 L=1,NUMDZN
         READ(1,*,ERR=998) I1DZN(L),I2DZN(L),J1DZN(L),J2DZN(L),
     &             K1DZN(L),K2DZN(L),REGVALDZN(L)
         WRITE(BUFFER,'(6I4,F8.3)') I1DZN(L),I2DZN(L),J1DZN(L),J2DZN(L),
     &             K1DZN(L),K2DZN(L),REGVALDZN(L)
        IPAGE=IPAGE+1
        PAGE(IPAGE)=BUFFER
  865   CONTINUE

      ENDIF
C
C      GRID BLOCK SIZE CHECK
C
      DO 900 K=1,KK
      DO 900 J=1,JJ
      DO 900 I=1,II
       IF(DX(I,J,K).LT.0.0) THEN
         IFATAL=IFATAL+1
         WRITE(BUFFER,891) I,J,K
  891    FORMAT('GRID BLOCK DX ERROR AT IJK =',3I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF 
       IF(DY(I,J,K).LT.0.0) THEN
         IFATAL=IFATAL+1
         WRITE(BUFFER,893) I,J,K
  893    FORMAT('GRID BLOCK DY ERROR AT IJK =',3I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF
       IF(DZ(I,J,K).LT.0.0) THEN
         IFATAL=IFATAL+1
         WRITE(BUFFER,895) I,J,K
  895    FORMAT('GRID BLOCK DZ ERROR AT IJK =',3I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF
       IF(DZNET(I,J,K).LT.0.0) THEN
         IFATAL=IFATAL+1
         WRITE(BUFFER,897) I,J,K
  897    FORMAT('GRID BLOCK DZNET ERROR AT IJK =',3I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF
  900 CONTINUE

C.... Establish node mid-point elevations...............

C.... Read elevation code and dip angle ......................
C.... KEL < 0  ===> constant dip (alpha); otherwise alpha not used !!
C.... KEL = -1 ===> contigous layers
C.... KEL = -2 ===> non-contiguous layers
      NERR=34
      READ(1,69,ERR=998) H5
      WRITE(BUFFER,*) H5
      IPAGE=IPAGE+1
      PAGE(IPAGE)=BUFFER
C      ALPHA is dipping reservoir option in degrees
C---- Now must break into two cases:  alpha > 0  (dipping down in x-dir)
C                                     alpha < 0  (sloping up in x-dir)
      NERR=35
      READ(1,*,ERR=998) KEL, ALPHA
      WRITE(BUFFER,*) KEL, ALPHA
      IPAGE=IPAGE+1
      PAGE(IPAGE)=BUFFER

      IF(KEL.LT.0) THEN
        NERR=36
        IF(KEL.EQ.-1) THEN
	  READ(1,*,ERR=998) ELEV
          WRITE(BUFFER,*) ELEV
          IPAGE=IPAGE+1
          PAGE(IPAGE)=BUFFER
        ENDIF
C    NOTE:  IF KEL = -2  -- non-contiguous layers, ZT's are read in
        NERR=37
        IF(KEL.EQ.-2) THEN
          READ(1,*,ERR=998) (ZT(K),K=1,KK)
C          WRITE(BUFFER,*) (ZT(K),K=1,KK)
C          IPAGE=IPAGE+1
C          PAGE(IPAGE)=BUFFER
        ENDIF

C.... KEL = 0, 1, 2, 3 options - not altered !

      ELSE IF(KEL.EQ.0) THEN
      
        NERR=38
        READ(1,*,ERR=998) ELEV
        WRITE(BUFFER,*) ELEV
        IPAGE=IPAGE+1
        PAGE(IPAGE)=BUFFER

      ELSE IF(KEL.EQ.1) THEN
      
        NERR=39
        DO 922 J=1,JJ
          READ(1,*,ERR=998) (VAREL(I,J),I=1,II)
C          WRITE(BUFFER,*) (VAREL(I,J),I=1,II)
C          IPAGE=IPAGE+1
C          PAGE(IPAGE)=BUFFER
  922   CONTINUE

      ELSE IF(KEL.EQ.2) THEN
c....   KEL = 2 ....................................
        NERR=40
        READ(1,*,ERR=998)(RKEL(K),K=1,KK)
C        WRITE(BUFFER,*) (RKEL(K),K=1,KK)
C        IPAGE=IPAGE+1
C        PAGE(IPAGE)=BUFFER
      ELSE IF (KEL .EQ. 3) THEN
        NERR=41
        DO 963 K=1,KK
          DO 965 J=1,JJ
           READ(1,*,ERR=998)(EL(I,J,K),I=1,II)
C           WRITE(BUFFER,*)(EL(I,J,K),I=1,II)
C           IPAGE=IPAGE+1
C           PAGE(IPAGE)=BUFFER
  965     CONTINUE
  963   CONTINUE
      ELSE
        IFATAL=IFATAL+1
	RETURN
      ENDIF 
C      CALL AboutB4(IPAGE,PAGE,'GRIDSZ content')
      RETURN
998   WRITE(BUFFER,*) 'GRIDSAIN Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      CALL AboutB4(IPAGE,PAGE,'GRIDSA content')
999   RETURN
      END

C     PORPRAIN.FOR
C                    Designed by
C                    Raymond J. Heemstra
C.................................................................PORPRM
      SUBROUTINE PORPRAIN(RPHL,RKXL,RKYL,RKZL,VP,KX,KY,KZ)
C      (IOCODE,II,JJ,KK)
C      MACHINE DEPENDENT INCLUDE STATEMENT
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      INCLUDE 'PORPRA.INC'

c......... Added 07/02/93 - to get new array PHI() ..................
c.........                  and new switches KPHIMP,KXMP,KYMP,KZMP
C       INCLUDE 'COMMON.INC'
c....................................................................

	CHARACTER BUFFER*80
!        CHARACTER BIGSTRING*132
        CHARACTER*80 PAGE(NMOD*5)
C      READ POROSITY AND PERMEABILITY DISTRIBUTIONS
C      DIMENSION RPHL(LP3),RKXL(LP1),RKYL(LP2),RKZL(LP3)
C      REAL KX,KY,KZ,KXC,KYC,KZC
      COMMON /TSTDAT/ IFATAL,IWARN

C      COMMON /SSOLN/ BO(LP1,LP2,LP3),BW(LP1,LP2,LP3),BG(LP1,LP2,LP3),
C     & QO(LP1,LP2,LP3),QW(LP1,LP2,LP3),QG(LP1,LP2,LP3),
C     & GOWT(LP1,LP2,LP3),GWWT(LP1,LP2,LP3),GGWT(LP1,LP2,LP3),
C     & O1(LP4,LP2,LP3),W1(LP4,LP2,LP3),
C     & O2(LP1,LP5,LP3),W2(LP1,LP5,LP3),
C     & O3(LP1,LP2,LP6),W3(LP1,LP2,LP6),
C     & QOWG(LP1,LP2,LP3),VP(LP1,LP2,LP3),CT(LP1,LP2,LP3)

C      COMMON /SPARM/ KX(LP1,LP2,LP3),KY(LP1,LP2,LP3),KZ(LP1,LP2,LP3),
C     & EL(LP1,LP2,LP3),TX(LP4,LP2,LP3),TY(LP1,LP5,LP3),TZ(LP1,LP2,LP6),
C     & PDAT(LP1,LP2,LP3),PDATUM,GRAD
C      DIMENSION I1NUM(LP7),I2NUM(LP7),J1NUM(LP7),J2NUM(LP7),
C     &              K1NUM(LP7),K2NUM(LP7),REGVALNUM(LP7)
C      DIMENSION I1KX(LP7),I2KX(LP7),J1KX(LP7),J2KX(LP7),
C     &           K1KX(LP7),K2KX(LP7),REGVALKX(LP7)
C      DIMENSION I1KY(LP7),I2KY(LP7),J1KY(LP7),J2KY(LP7),
C     &           K1KY(LP7),K2KY(LP7),REGVALKY(LP7)
C      DIMENSION I1KZ(LP7),I2KZ(LP7),J1KZ(LP7),J2KZ(LP7),
C     &              K1KZ(LP7),K2KZ(LP7),REGVALKZ(LP7)
      DO I=1,NMOD*5
        PAGE(I)=' '
      END DO
      IPAGE=0
      NERR=42
      READ(1,69,ERR=998,END=999) H6
      WRITE(BUFFER,*,ERR=998) H6
69    FORMAT(A80)
      IPAGE=IPAGE+1
      PAGE(IPAGE)=BUFFER
C*****READ INPUT CODES FOR PHI,KX,KY,KZ
      NERR=43
      READ(1,*,ERR=998,END=999)KPH,KKX,KKY,KKZ
      WRITE(BUFFER,*,ERR=998) KPH,KKX,KKY,KKZ
      IPAGE=IPAGE+1
      PAGE(IPAGE)=BUFFER
C*****ESTABLISH POROSITY (PHI) DISTRIBUTION
!      call AboutB4(1,'Establish RPHL,VP','Info')
      IF(KPH.LT.0) THEN
        NERR=44
        READ(1,*,ERR=998)PHIC
        WRITE(BUFFER,*,ERR=998) PHIC
        IPAGE=IPAGE+1
        PAGE(IPAGE)=BUFFER
      ELSE IF(KPH.EQ.0) THEN
        NERR=45
        READ(1,*,ERR=998)(RPHL(K),K=1,KK)
C        GO TO 996
C        IF(KK.LE.8) THEN
C997          WRITE(BUFFER,*,ERR=998) (RPHL(K),K=1,KK)
C          IPAGE=IPAGE+1
C          PAGE(IPAGE)=BUFFER
C        END IF
C996     CONTINUE
      ELSE
        NERR=46
        DO 160 K=1,KK
         DO 155 J=1,JJ
          READ(1,*,ERR=998)(VP(I,J,K),I=1,II)
!          WRITE(BIGSTRING,*,ERR=998) (VP(I,J,K),I=1,II)
!          IPAGE=IPAGE+1
!          PAGE(IPAGE)=BIGSTRING(1:80)
  155    CONTINUE
160     CONTINUE
      ENDIF
C*****ESTABLISH PERMEABILITY (KX) DISTRIBUTION
!      call AboutB4(1,'Establish RKXL,KX','Info')
      IF(KKX.LT.0) THEN
        NERR=47
        READ(1,*,ERR=998)KXC
        WRITE(BUFFER,*,ERR=998) KXC
        IPAGE=IPAGE+1
        PAGE(IPAGE)=BUFFER
      ELSE IF(KKX.EQ.0) THEN
        NERR=48
        READ(1,*,ERR=998)(RKXL(K),K=1,KK)
C        WRITE(BUFFER,*,ERR=998) (RKXL(K),K=1,KK)
C        IPAGE=IPAGE+1
C        PAGE(IPAGE)=BUFFER
      ELSE
        NERR=49
        DO 192 K=1,KK
         DO 190 J=1,JJ
          READ(1,*,ERR=998)(KX(I,J,K),I=1,II)
C          WRITE(BUFFER,*) (KX(I,J,K),I=1,II)
C          IPAGE=IPAGE+1
C          PAGE(IPAGE)=BUFFER
  190    CONTINUE
192     CONTINUE
      ENDIF
C*****ESTABLISH PERMEABILITY (KY) DISTRIBUTION
      IF(KKY.LT.0) THEN
        NERR=50
        READ(1,*,ERR=998)KYC
        WRITE(BUFFER,*,ERR=998) KYC
        IPAGE=IPAGE+1
        PAGE(IPAGE)=BUFFER
      ELSE IF(KKY.EQ.0) THEN
        NERR=51
        READ(1,*,ERR=998)(RKYL(K),K=1,KK)
C        WRITE(BUFFER,*,ERR=998) (RKYL(K),K=1,KK)
C        IPAGE=IPAGE+1
C        PAGE(IPAGE)=BUFFER
      ELSE
        NERR=52
        DO 212 K=1,KK
         DO 215 J=1,JJ
          READ(1,*,ERR=998)(KY(I,J,K),I=1,II)
C          WRITE(BUFFER,*) (KY(I,J,K),I=1,II)
C          IPAGE=IPAGE+1
C          PAGE(IPAGE)=BUFFER
  215    CONTINUE
212     CONTINUE
C220   CONTINUE
      ENDIF
C*****ESTABLISH PERMEABILITY (KZ) DISTRIBUTION
      IF(KKZ.LT.0) THEN
        NERR=53
        READ(1,*,ERR=998)KZC
        WRITE(BUFFER,*,ERR=998) KZC
        IPAGE=IPAGE+1
        PAGE(IPAGE)=BUFFER
      ELSE IF(KKZ.EQ.0) THEN
        NERR=54
        READ(1,*,ERR=998)(RKZL(K),K=1,KK)
C        WRITE(BUFFER,*,ERR=998) (RKZL(K),K=1,KK)
C        IPAGE=IPAGE+1
C        PAGE(IPAGE)=BUFFER
      ELSE
        NERR=55
        DO 240 K=1,KK
         DO 242 J=1,JJ
          READ(1,*,ERR=998)(KZ(I,J,K),I=1,II)
C          WRITE(BUFFER,*) (KZ(I,J,K),I=1,II)
C          IPAGE=IPAGE+1
C          PAGE(IPAGE)=BUFFER
  242    CONTINUE
240     CONTINUE
      ENDIF

C**********POROSITY AND PERMEABILITY MODIFICATIONS
      NERR=56
      READ(1,69,ERR=998) H7
      BUFFER=' '
      WRITE(BUFFER,*,ERR=998) H7
      IPAGE=IPAGE+1
      PAGE(IPAGE)=BUFFER
      NERR=57
C      CALL IGrPause('P')
C NUMP-- Number of regions where porosity values changed.
C NUMKX-- number of regions where x-dir. perm.(KX) changed.
C NUMKY-- number of regions where Y-dir. perm.(KY) changed.
C NUMKZ-- number of regions where Z-dir. perm.(KZ) changed.
C KPHIMP-- Porosity write code.
C KXMP--  X-direction permeability write code.
C KXMP--  Y-direction permeability write code.
C KXMP--  Z-direction permeability write code.
C  If code = 0, do not write map; code = 1, write map
C      to  ___.OUT  and  ___.MAP files.
      READ(1,*,ERR=998) NUMP,NUMKX,NUMKY,NUMKZ,KPHIMP,KXMP,
     &                 KYMP,KZMP
      WRITE(BUFFER,'(8I4)',ERR=998) NUMP,NUMKX,NUMKY,NUMKZ,
     &                KPHIMP,KXMP,KYMP,KZMP
         IPAGE=IPAGE+1
         PAGE(IPAGE)=BUFFER

      IF(NUMP.NE.0) THEN
C   I1 -- first region block; I2 -- last region block, I-dir. etc.
C   REGVAL(L) -- KY value for region L
        NERR=58
        DO 274 L=1,NUMP
         READ(1,*,ERR=998) I1NUM(L),I2NUM(L),J1NUM(L),J2NUM(L),
     &              K1NUM(L),K2NUM(L),REGVALNUM(L)
         WRITE(BUFFER,'(6I4,F8.3)',ERR=998) I1NUM(L),I2NUM(L),
     &                                      J1NUM(L),J2NUM(L),
     &                                      K1NUM(L),K2NUM(L),
     &                                      REGVALNUM(L)
         IPAGE=IPAGE+1
         PAGE(IPAGE)=BUFFER
  274   CONTINUE
      ENDIF

      IF(NUMKX.NE.0) THEN
        NERR=59
        DO 275 L=1,NUMKX
         READ(1,*,ERR=998) I1KX(L),I2KX(L),J1KX(L),J2KX(L),
     &           K1KX(L),K2KX(L),REGVALKX(L)
         WRITE(BUFFER,'(6I4,F12.3)',ERR=998) I1KX(L),I2KX(L),
     &                                       J1KX(L),J2KX(L),
     &                                       K1KX(L),K2KX(L),
     &                                       REGVALKX(L)
         IPAGE=IPAGE+1
         PAGE(IPAGE)=BUFFER
  275   CONTINUE
      ENDIF

      IF(NUMKY.NE.0) THEN
        NERR=60
        DO 276 L=1,NUMKY
        READ(1,*,ERR=998) I1KY(L),I2KY(L),J1KY(L),J2KY(L),
     &           K1KY(L),K2KY(L),REGVALKY(L)
         WRITE(BUFFER,'(6I4,F12.3)',ERR=998) I1KY(L),I2KY(L),
     &                                       J1KY(L),J2KY(L),
     &                                       K1KY(L),K2KY(L),
     &                                       REGVALKY(L)
         IPAGE=IPAGE+1
         PAGE(IPAGE)=BUFFER
  276   CONTINUE
      ENDIF

      IF(NUMKZ.NE.0) THEN
        NERR=61
        DO 277 L=1,NUMKZ
         READ(1,*,ERR=998) I1KZ(L),I2KZ(L),J1KZ(L),J2KZ(L),
     &              K1KZ(L),K2KZ(L),REGVALKZ(L)
         WRITE(BUFFER,'(6I4,F12.3)',ERR=998) I1KZ(L),I2KZ(L),
     &                                       J1KZ(L),J2KZ(L),
     &                                       K1KZ(L),K2KZ(L),
     &                                       REGVALKZ(L)
         IPAGE=IPAGE+1
         PAGE(IPAGE)=BUFFER
  277    CONTINUE
      ENDIF
C      IF(IPAGE.GT.20) THEN
C        IA=1
C        IB=20
C        DO IC=IA,IPAGE,IB
C          CALL AboutB4(IB,PAGE(IC),'PORPRM content')
C          IZ=IC
C        END DO
C        IF(IPAGE-IZ.LT.IB) IB=IPAGE-IZ
C        CALL AboutB4(IB,PAGE(IZ),'Rest of PORPRM')
C      ELSE
C        CALL AboutB4(IPAGE,PAGE,'PORPRM content')
C      END IF
      RETURN
998     WRITE(BUFFER,*) 'PORPRAIN Error Number ',NERR
        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
        CALL AboutB4(IPAGE,PAGE,'PORPRA content')
      RETURN
999   CALL AboutB4(IPAGE,PAGE,'PORPRA content END')
      RETURN
      END

C     TRANSAIN.FOR
C                    Designed by
C                    Raymond J. Heemstra
C........................................................................TRANS
      SUBROUTINE TRANSAIN
C      (II,JJ,KK)
C      MACHINE DEPENDENT INCLUDE STATEMENT
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      CHARACTER*80 BUFFER
C      TRANSMISSIBILITY CALC
C      REAL KX,KY,KZ
      COMMON /TSTDAT/ IFATAL,IWARN
C      COMMON /SARRAY/ PN(LP1,LP2,LP3),IOCODE,IDMAX,
C     & SON(LP1,LP2,LP3),SWN(LP1,LP2,LP3),SGN(LP1,LP2,LP3),
C     & A1(LP1,LP2,LP3),A2(LP1,LP2,LP3),A3(LP1,LP2,LP3),
C     & SUM(LP1,LP2,LP3),GAM(LP1,LP2,LP3),QS(LP1,LP2,LP3)
C      COMMON /SPARM/ KX(LP1,LP2,LP3),KY(LP1,LP2,LP3),KZ(LP1,LP2,LP3),
C     & EL(LP1,LP2,LP3),TX(LP4,LP2,LP3),TY(LP1,LP5,LP3),TZ(LP1,LP2,LP6),
C     & PDAT(LP1,LP2,LP3),PDATUM,GRAD


C      COMMON /SSOLN/ BO(LP1,LP2,LP3),BW(LP1,LP2,LP3),BG(LP1,LP2,LP3),
C     & QO(LP1,LP2,LP3),QW(LP1,LP2,LP3),QG(LP1,LP2,LP3),
C     & GOWT(LP1,LP2,LP3),GWWT(LP1,LP2,LP3),GGWT(LP1,LP2,LP3),
C     & O1(LP4,LP2,LP3),W1(LP4,LP2,LP3),
C     & O2(LP1,LP5,LP3),W2(LP1,LP5,LP3),
C     & O3(LP1,LP2,LP6),W3(LP1,LP2,LP6),
C     & QOWG(LP1,LP2,LP3),VP(LP1,LP2,LP3),CT(LP1,LP2,LP3)

C      COMMON /VECTOR/ DX(LP1,LP2,LP3),DY(LP1,LP2,LP3),DZ(LP1,LP2,LP3),
C     & DZNET(LP1,LP2,LP3),IQN1(LP11),IQN2(LP11),IQN3(LP11),IHEDIN(80)

C      DIMENSION I1TX(LP7),I2TX(LP7),J1TX(LP7),J2TX(LP7),
C     &             K1TX(LP7),K2TX(LP7),REGVALTX(LP7)
C      DIMENSION I1TY(LP7),I2TY(LP7),J1TY(LP7),J2TY(LP7),
C     &               K1TY(LP7),K2TY(LP7),REGVALTY(LP7)
C      DIMENSION I1TZ(LP7),I2TZ(LP7),J1TZ(LP7),J2TZ(LP7),
C     &             K1TZ(LP7),K2TZ(LP7),REGVALTZ(LP7)
      
C      CALL AboutB4(1,'Entered TRANSIN','TRANSIN Notice 1')
C****** TRANSMISSIBILITY MODIFICATIONS
      NERR=62
      READ(1,69,ERR=998,END=999) H8
      BUFFER=H8
C      WRITE(BUFFER,*) H8
   69 FORMAT(A80)
C      CALL AboutB4(1,BUFFER,'TRANSIN Notice 2')
      NERR=63
      READ(1,*,ERR=998,END=999) NUMTX,NUMTY,NUMTZ,ITCODE
      WRITE(BUFFER,'(4I4)') NUMTX,NUMTY,NUMTZ,ITCODE
C      CALL AboutB4(1,BUFFER,'TRANSIN Notice 3')
      IF(NUMTX.GT.0) THEN
        NERR=64
        DO 275 L=1,NUMTX
          READ(1,*,ERR=998) I1TX(L),I2TX(L),J1TX(L),J2TX(L),
     &             K1TX(L),K2TX(L),REGVALTX(L)
          WRITE(BUFFER,'(6I4,F8.3)') I1TX(L),I2TX(L),J1TX(L),J2TX(L),
     &             K1TX(L),K2TX(L),REGVALTX(L)
  275   CONTINUE
      ENDIF

      IF(NUMTY.GT.0) THEN
        NERR=65
        DO 276 L=1,NUMTY
          READ(1,*,ERR=998) I1TY(L),I2TY(L),J1TY(L),J2TY(L),
     &               K1TY(L),K2TY(L),REGVALTY(L)
          WRITE(BUFFER,'(6I4,F8.3)') I1TY(L),I2TY(L),J1TY(L),J2TY(L),
     &               K1TY(L),K2TY(L),REGVALTY(L)
  276   CONTINUE
      ENDIF

      IF(NUMTZ.GT.0) THEN
        NERR=66
        DO 277 L=1,NUMTZ
        READ(1,*,ERR=998) I1TZ(L),I2TZ(L),J1TZ(L),J2TZ(L),
     &             K1TZ(L),K2TZ(L),REGVALTZ(L)
        WRITE(BUFFER,'(6I4,F8.3)') I1TZ(L),I2TZ(L),J1TZ(L),J2TZ(L),
     &             K1TZ(L),K2TZ(L),REGVALTZ(L)
  277   CONTINUE
      ENDIF
      RETURN
998   CALL AboutB4(1,TRIM(BUFFER),'Last line')
      WRITE(BUFFER,*) 'TRANSAIN error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
999   RETURN
      END

C     TABLEAIN.FOR
C                    Designed by
C                    Raymond J. Heemstra
C.................................................................TABLE
      SUBROUTINE TABLEAIN(EL,IROCK,IPVT,PBOT)
C      (IOCODE,II,JJ,KK,RKROMX,KR3)
C      MACHINE DEPENDENT INCLUDE STATEMENT
       INCLUDE 'BAEDPARM.INC'
       INCLUDE 'BED.INC'
       INCLUDE 'TABLEA.INC'
       CHARACTER*80 BUFFER
C      READ ROCK AND PVT DATA
C      REAL KROT,KROGT,KRWT,KRGT,MUOT,MUWT,MUGT,KX,KY,KZ

C      DIMENSION KR3(LP1,LP2,LP3)

C      COMMON /BUBBLE/ PBO,VSLOPE(LP8),BSLOPE(LP8),RSLOPE(LP8),PMAXT,
C     & IREPRS,MPGT(LP8),
C     & RHOSCO(LP8),RHOSCW(LP8),RHOSCG(LP8),MSAT(LP7),MPOT(LP8),
C     & MPWT(LP8),PBOT(LP1,LP2,LP3),PBOTN(LP1,LP2,LP3)
C      COMMON /SPARM/ KX(LP1,LP2,LP3),KY(LP1,LP2,LP3),KZ(LP1,LP2,LP3),
C     & EL(LP1,LP2,LP3),TX(LP4,LP2,LP3),TY(LP1,LP5,LP3),TZ(LP1,LP2,LP6),
C     & PDAT(LP1,LP2,LP3),PDATUM,GRAD
C      COMMON /SPVT/ SAT(LP7,LP9),KROT(LP7,LP9),KRWT(LP7,LP9),
C     & BGT(LP7,LP9),
C     & KRGT(LP7,LP9),ITHREE(LP7),RSOT(LP7,LP9),BWPT(LP7,LP9),
C     & PCOWT(LP7,LP9),PCGOT(LP7,LP9),KROGT(LP7,LP9),SWR(LP7),
C     & POT(LP7,LP9),MUOT(LP7,LP9),BOT(LP7,LP9),BOPT(LP7,LP9),
C     & RSOPT(LP7,LP9),PWT(LP7,LP9),MUWT(LP7,LP9),BWT(LP7,LP9),
C     & PGT(LP7,LP9),MUGT(LP7,LP9),
C     & BGPT(LP7,LP9),CRT(LP7,LP9),IPVT(LP1,LP2,LP3),IROCK(LP1,LP2,LP3),
C     & NROCK,NPVT,PSIT(LP7,LP9),PRT(LP7,LP9),WOROCK(LP7),GOROCK(LP7)
      COMMON /TSTDAT/ IFATAL,IWARN
      LOGICAL EQUALS
C      DIMENSION I1ROK(LP7),I2ROK(LP7),J1ROK(LP7),J2ROK(LP7),
C     &                K1ROK(LP7),K2ROK(LP7),IVALROK(LP7)
C      DIMENSION I1PVT(LP7),I2PVT(LP7),J1PVT(LP7),J2PVT(LP7),
C     &                K1PVT(LP7),K2PVT(LP7),IVALPVT(LP7)
      DO I=1,LP8
        MPOT(I)=0
        MPWT(I)=0
        MPGT(I)=0
      END DO
      DO I=1,LP7
        DO J=1,LP9
          SAT(I,J)=0
          KROT(I,J)=0
          KRWT(I,J)=0
          KRGT(I,J)=0
          RSOT(I,J)=0
          PCOWT(I,J)=0
          PCGOT(I,J)=0
          KROGT(I,J)=0
          POT(I,J)=0
          PWT(I,J)=0
          PGT(I,J)=0
          BOT(I,J)=0
          BWT(I,J)=0
          BGT(I,J)=0
          MUOT(I,J)=0
          MUWT(I,J)=0
          MUGT(I,J)=0
          CRT(I,J)=0
          PRT(I,J)=0
C          BOPT(I,J)=0
C          BWPT(I,J)=0
C          BGPT(I,J)=0
C          RSOPT(I,J)=0
        END DO
      END DO
C   ***** EMPIRICAL DATA TABLES *****
      NERR=67
      BUFFER=H9
      READ(1,1,ERR=998,END=999) H9
1     FORMAT(A80)
C   ***** NUMBER OF REGIONS, Rock, PVT ****
      NERR=68
      READ(1,*,ERR=998,END=999) NROCK,NPVT
      NUMROK=0
      IF(NROCK.GT.1) THEN
        NERR=69
        BUFFER=H10
        READ(1,1,ERR=998) H10
        NERR=70
        READ(1,*,ERR=998) NUMROK
        IF(NUMROK.NE.0) THEN

C      ***** ROCK REGION MODIFICATIONS *****
          NERR=71
          DO 1200 L=1,NUMROK
           READ(1,*,ERR=998) I1ROK(L),I2ROK(L),J1ROK(L),J2ROK(L),
     &                K1ROK(L),K2ROK(L),IVALROK(L)
 1200     CONTINUE
        ENDIF

C      ***** ROCK REGION DISTRIBUTION *****
        IF(NUMROK.EQ.0) THEN
          NERR=72
          DO 1700 K=1,KK
          DO 1700 J=1,JJ
	   READ(1,*,ERR=998) (IROCK(I,J,K),I=1,II)
 1700     CONTINUE
	ENDIF
      ENDIF
      NUMPVT=0
      IF(NPVT.GT.1) THEN
        NERR=73
        READ(1,1,ERR=998) H11
        NERR=74
        READ(1,*,ERR=998) NUMPVT

        IF(NUMPVT.NE.0) THEN
C      ***** PVT REGION MODIFICATIONS *****
          NERR=75
          DO 2200 L=1,NUMPVT
           READ(1,*,ERR=998) I1PVT(L),I2PVT(L),J1PVT(L),J2PVT(L),
     &                K1PVT(L),K2PVT(L),IVALPVT(L)
 2200     CONTINUE
        ELSE

C     ***** PVT REGION DISTRIBUTION *****
          NERR=76
          DO 2700 K=1,KK
           DO 2700 J=1,JJ
	    READ(1,*,ERR=998) (IPVT(I,J,K),I=1,II)
 2700     CONTINUE
        ENDIF
      ENDIF

C=============================================================
C****  RELATIVE PERMEABILITY & CAPILLARY PRESSURE TABLE
C=============================================================
C   *** ROCK REGION # NR ***
      DO 10 NR=1,NROCK
       NERR=77
       READ(1,1,ERR=998) H12
       NERR=78
       DO 5 I=1,LP9
        READ(1,*,ERR=998) SAT(NR,I),KROT(NR,I),KRWT(NR,I),
     &   KRGT(NR,I),KROGT(NR,I),PCOWT(NR,I),PCGOT(NR,I)

         IF(ABS(SAT(NR,I) - 1.00).LE.0.00001) GO TO 9
5     CONTINUE
9     MSAT(NR) = I

C   ITHREE = 0, Three-phase rel. perm. calc. not used
C   ITHREE > 0, Three-phase rel. perm. calc. is used

      NERR=79
      READ(1,1,ERR=998) H13
      NERR=80
      READ(1,*,ERR=998) ITHREE(NR),SWR(NR)
10    CONTINUE

C****  BUBBLE POINT & MAXIMUM PRESSURES
      NERR=81
      DO 400 NP=1,NPVT
C      INITIALIZE BUBBLE POINT PRESSURE ARRAY.
       NERR=82
       READ(1,1,ERR=998) H14
C    BP press., BP depth, BP gradient(PSI/FT)
       NERR=83
       READ(1,*,ERR=998) PBO,PBODAT,PBGRAD
       DO 3500 K=1,KK
       DO 3500 J=1,JJ
       DO 3500 I=1,II
      IF(IPVT(I,J,K).NE.NP) GO TO 3500
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C....... Found and fixed bug here - WKS 7/31/93
CCC      PBOT(I,J,K)=PBO+(PBODAT-EL(I,J,K))*PBGRAD
       PBOT(I,J,K) = PBO + (EL(I,J,K) - PBODAT)*PBGRAD
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C       PBOTN(I,J,K)=PBOT(I,J,K)
C      CHECK BUBBLE POINT PRESSURE DATA
       IF(PBOT(I,J,K).GE.0.0) GO TO 3500
         IFATAL=IFATAL+1
         WRITE(BUFFER,3300) I,J,K
 3300    FORMAT('BUBBLE POINT PRESSURE ERROR IN GRID BLOCK = ',3I5)
         CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
 3500  CONTINUE

C****  OIL DATA TABLE
      NERR=84
      READ(1,1,ERR=998) H15
      NERR=85
      READ(1,*,ERR=998) VSLOPE(NP),BSLOPE(NP),RSLOPE(NP),PMAXT,IREPRS
C      CHECK UNDERSATURATED SLOPES
      IF(VSLOPE(NP).GE.0.0) GO TO 3520
        IWARN=IWARN+1
        WRITE(BUFFER,3510) NP
 3510   FORMAT('VSLOPE FOR PVT REGION',I5,' IS NEGATIVE')
        CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
 3520 IF(BSLOPE(NP).LE.0.0) GO TO 3540
        IWARN=IWARN+1
        WRITE(BUFFER,3530) NP
 3530   FORMAT('BSLOPE FOR PVT REGION',I5,' IS POSITIVE')
        CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
 3540 IF(RSLOPE(NP).EQ.0.0) GO TO 3560
        IWARN=IWARN+1
        WRITE(BUFFER,3550) NP
 3550   FORMAT('RSLOPE FOR PVT REGION',I5,'IS NOT ZERO')
        CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
 3560 CONTINUE

      NERR=86
      READ(1,1,ERR=998) H16
      NERR=87
      DO 15 I=1,LP9
       READ(1,*,ERR=998) POT(NP,I),MUOT(NP,I),
     &       BOT(NP,I),RSOT(NP,I)
C      IF(POT(NP,I).GE.PMAXT)GO TO 20
      IF((POT(NP,I).GT.PMAXT).OR.EQUALS(POT(NP,I),PMAXT))GO TO 20
15    CONTINUE
20    MPOT(NP)=I

C      POT  DEPENDENT DATA CHECK
      DO 5200 I=1,MPOT(NP)
       IF(I.GT.1) GO TO 5105
C         IF(POT(NP,1).GE.0.0.AND.POT(NP,1).LE.PMAXT) GO TO 5120
         IF( POT(NP,1).GE.0.0 .AND.
     &    (POT(NP,1).LT.PMAXT.OR.EQUALS(POT(NP,1),PMAXT)) ) GO TO 5120
         IFATAL=IFATAL+1
         WRITE(BUFFER,5110) NP,I
         CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
C       ELSE
       GO TO 5120
 5105    IF(POT(NP,I).LT.POT(NP,I-1).OR.POT(NP,I).GT.PMAXT) THEN
           IFATAL=IFATAL+1
           WRITE(BUFFER,5110) NP,I
 5110      FORMAT('POT ERROR FOR PVT REGION',I5,' AND ENTRY # ',I5)
           CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
         ENDIF
C       ENDIF
 5120  CONTINUE
       IF(MUOT(NP,I).LT.0.0) THEN
         IFATAL=IFATAL+1
         WRITE(BUFFER,5130) NP,I
 5130    FORMAT('MUO ERROR FOR PVT REGION',I5,' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
       ENDIF
       IF(BOT(NP,I).LT.0.0) THEN
         IFATAL=IFATAL+1
         WRITE(BUFFER,5150) NP,I
 5150    FORMAT('BO ERROR FOR PVT REGION',I5,' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
       ENDIF
       IF(RSOT(NP,I).LT.0.0) THEN
         IFATAL=IFATAL+1
         WRITE(BUFFER,5170) NP,I
 5170    FORMAT('RSO ERROR FOR PVT REGION',I5,' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
       ENDIF
 5200 CONTINUE

C****  WATER DATA TABLE
      NERR=88
      READ(1,1,ERR=998) H17
      NERR=89
      DO 25 I=1,LP9
       READ(1,*,ERR=998) PWT(NP,I),MUWT(NP,I),BWT(NP,I) 
C       WRITE(*,'(F6.1,F8.4,F9.5)') PWT(NP,I),MUWT(NP,I),BWT(NP,I)
c       IF(PWT(NP,I).GE.PMAXT)GO TO 30
       IF(PWT(NP,I).GT.PMAXT.OR.EQUALS(PWT(NP,I),PMAXT))GO TO 30
25    CONTINUE
30    MPWT(NP)=I

C      PWT DEPENDENT DATA CHECK
      DO 5400 I=1,MPWT(NP)
       IF(I.GT.1) GO TO 5305
         IF(PWT(NP,1).GE.0.0.AND.PWT(NP,1).LE.PMAXT) GO TO 5320
           IFATAL=IFATAL+1
           WRITE(BUFFER,5310) NP,I
           CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
           GO TO 5320
 5305  IF(PWT(NP,I).GE.PWT(NP,I-1).AND.PWT(NP,I).LE.PMAXT)GO TO 5320
         IFATAL=IFATAL+1
         WRITE(BUFFER,5310) NP,I
 5310    FORMAT('PWT ERROR FOR PVT REGION',I5,' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
 5320  IF(MUWT(NP,I).GE.0.0) GO TO 5353
         IFATAL=IFATAL+1
         WRITE(BUFFER,5330) NP,I
 5330    FORMAT('MUW ERROR FOR PVT REGION',I5,' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
 5353  IF(BWT(NP,I).GE.0.0) GO TO 5400
         IFATAL=IFATAL+1
         WRITE(BUFFER,5350) NP,I
 5350    FORMAT('BW ERROR FOR PVT REGION',I5,' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
 5400 CONTINUE

C****  GAS & ROCK DATA TABLE
      NERR=90
      BUFFER=H18
      READ(1,1,ERR=998) H18
      NERR=91
      READ(1,*,ERR=998) KGCOR
      NERR=92
      BUFFER=H19
      READ(1,1,ERR=998) H19
      IF(KGCOR.EQ.1)  THEN
C        MPGT(NP)=1
C        GO TO 50
C   50 CONTINUE
      NPHASE=NP
      CALL PSEUDOIN(NPHASE,IFATAL,IOCODE)
C      **** ROCK COMPRESSIBILITY ****
      NERR=94
      BUFFER=H20
      READ(1,1,ERR=998) H20
C    Pressure & Rock Comp.
      NERR=95
      DO 55 IG=1,MPGT(NP)
C       IF(IG.GT.1.AND.PRT(NP,1).EQ.PMAXT) GO TO 53
       IF(IG.GT.1.AND.EQUALS(PRT(NP,1),PMAXT)) GO TO 53
       READ(1,*,ERR=998) PRT(NP,IG),CRT(NP,IG)
   53 CONTINUE
   55 CONTINUE
      ELSE
C      ENDIF
        NERR=93
C        DO 35 I=1,999
        DO 35 I=1,LP9
         READ(1,*,ERR=998) PGT(NP,I),MUGT(NP,I),BGT(NP,I),
     &                     PSIT(NP,I),CRT(NP,I)
         IF(PGT(NP,I).GE.PMAXT)GO TO 40
35      CONTINUE

40    MPGT(NP)=I
C      GO TO 99
C   50 CONTINUE
C      NPHASE=NP
C      CALL PSEUDOIN(NPHASE,IFATAL,IOCODE)
C      **** ROCK COMPRESSIBILITY ****
C      NERR=94
C      READ(1,1,ERR=998) H20
C    Pressure & Rock Comp.
C      NERR=95
C      DO 55 IG=1,MPGT(NP)
C       IF(IG.GT.1.AND.PRT(NP,1).EQ.PMAXT) GO TO 53
C       IF(IG.GT.1.AND.EQUALS(PRT(NP,1),PMAXT)) GO TO 53
C       READ(1,*,ERR=998) PRT(NP,IG),CRT(NP,IG)
C   53 CONTINUE
C   55 CONTINUE
      END IF
c   99 CONTINUE

C      PGT DEPENDENT DATA CHECK
      DO 5600 I=1,MPGT(NP)
       IF(I.GT.1) GO TO 5505
         IF(PGT(NP,1).GE.0.0.AND.PGT(NP,1).LE.PMAXT) GO TO 5520
           IFATAL=IFATAL+1
           WRITE(BUFFER,5510) NP,I
 5510      FORMAT('PGT ERROR FOR PVT REGION',I5,' AND ENTRY # ',I5)
           CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
           GO TO 5520
 5505  IF(PGT(NP,I).GE.PGT(NP,I-1).AND.
     & (PGT(NP,I)-PMAXT).LE.0.1) GO TO 5520
          IFATAL=IFATAL+1
         WRITE(BUFFER,5510) NP,I
         CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
      
 5520  IF(MUGT(NP,I).LT.0.0) THEN
         IFATAL=IFATAL+1
         WRITE(BUFFER,5530) NP,I
 5530    FORMAT('MUG ERROR FOR PVT REGION',I5,' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
       ENDIF
       IF(BGT(NP,I).LT.0.0) THEN
         IFATAL=IFATAL+1
         WRITE(BUFFER,5550) NP,I
 5550    FORMAT('BG ERROR FOR PVT REGION',I5,' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
       ENDIF
       IF(CRT(NP,I).LT.0.0) THEN
        IFATAL=IFATAL+1
         WRITE(BUFFER,5570) NP,I
 5570    FORMAT('CR ERROR FOR PVT REGION',I5,' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
       ENDIF
       IF(I.EQ.1.AND.PRT(NP,1).GT.PMAXT) THEN
         IF(PRT(NP,I).LT.0.0.OR.(PRT(NP,I)-PMAXT).GT.0.1) THEN
           IFATAL=IFATAL+1
           WRITE(BUFFER,5585) NP,I
 5585      FORMAT('ROCK PRES ERROR FOR PVT REGION',I5,
     &          ' AND ENTRY # ',I5)
           CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error 1 alert')
           WRITE(BUFFER,*) 'PRT(NP,1)=',PRT(NP,1)
           CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error 2 alert')
           WRITE(BUFFER,*) ' PMAXT=',PMAXT
           CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error 3 alert')
         ENDIF
       ENDIF
       IF(PSIT(NP,I).LT.0.0) THEN
        IFATAL=IFATAL+1
        WRITE(BUFFER,5595) NP,I
 5595   FORMAT('PSEUDO-PRES ERROR FOR PVT REGION',I5,
     &   ' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
       ENDIF
C       IF(I.GT.1 .AND. PRT(NP,1).NE.PMAXT) THEN
       IF(I.GT.1 .AND. ( .NOT. EQUALS(PRT(NP,1),PMAXT) )) THEN
	 IF(PRT(NP,I).LT.PRT(NP,I-1).OR.(PRT(NP,I)-PMAXT).GT.0.1)
     &   THEN
           IFATAL=IFATAL+1
           WRITE(BUFFER,5585) NP,I
         CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
	 ENDIF
       ENDIF
 5600 CONTINUE

C****  OIL, WATER, & GAS DENSITIES AT STOCK TANK CONDITIONS
      NERR=96
      READ(1,1,ERR=998) H21
      NERR=97
      READ(1,*,ERR=998)RHOSCO(NP),RHOSCW(NP),RHOSCG(NP)
C      WRITE(*,'(3F9.4)') RHOSCO(NP),RHOSCW(NP),RHOSCG(NP)
C      CHECK DENSITY DATA
      IF(RHOSCO(NP).LE.0.0) THEN
        IFATAL=IFATAL+1
        WRITE(BUFFER,5710) NP
 5710   FORMAT('OIL DENSITY FOR PVT REGION',I5,
     &   ' IN ERROR')
        CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
      ENDIF
      IF(RHOSCW(NP).LE.0.0) THEN
        IFATAL=IFATAL+1
        WRITE(BUFFER,5730) NP
 5730   FORMAT('WATER DENSITY FOR PVT REGION',I5,
     &   ' IN ERROR')
        CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
      ENDIF
      IF(RHOSCG(NP).LE.0.0) THEN
        IFATAL=IFATAL+1
        WRITE(BUFFER,5750) NP
 5750   FORMAT('GAS DENSITY  FOR PVT REGION',I5,
     &   ' IN ERROR')
        CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
      ENDIF

  400 CONTINUE

      RETURN
998   CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
      WRITE(BUFFER,*) 'Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'TABLEAIN Error alert')
      RETURN
999   RETURN
      END

C     PSEUDOIN.FOR
C                    Designed by
C                    Raymond J. Heemstra
C.............................................................PSEUDO
      SUBROUTINE PSEUDOIN(NP,IFATAL,IOCODE)
C      (NP,IFATAL,IOCODE)
C      MACHINE DEPENDENT INCLUDE STATEMENT
       INCLUDE 'BAEDPARM.INC'
       INCLUDE 'BED.INC'
       CHARACTER*80 BUFFER
C      GAS PROP BY CORRELATIONS
C      REAL KROT,KROGT,KRWT,KRGT,MUOT,MUWT,MUGT
C      COMMON /BUBBLE/ PBO,VSLOPE(LP8),BSLOPE(LP8),RSLOPE(LP8),PMAXT,
C     & IREPRS,MPGT(LP8),
C     & RHOSCO(LP8),RHOSCW(LP8),RHOSCG(LP8),MSAT(LP7),MPOT(LP8),
C     & MPWT(LP8),PBOT(LP1,LP2,LP3),PBOTN(LP1,LP2,LP3)
C      COMMON /SPVT/ SAT(LP7,LP9),KROT(LP7,LP9),KRWT(LP7,LP9),
C     & BGT(LP7,LP9),
C     & KRGT(LP7,LP9),ITHREE(LP7),RSOT(LP7,LP9),BWPT(LP7,LP9),
C     & PCOWT(LP7,LP9),PCGOT(LP7,LP9),KROGT(LP7,LP9),SWR(LP7),
C     & POT(LP7,LP9),MUOT(LP7,LP9),BOT(LP7,LP9),BOPT(LP7,LP9),
C     & RSOPT(LP7,LP9),PWT(LP7,LP9),MUWT(LP7,LP9),BWT(LP7,LP9),
C     & PGT(LP7,LP9),MUGT(LP7,LP9),
C     & BGPT(LP7,LP9),CRT(LP7,LP9),IPVT(LP1,LP2,LP3),IROCK(LP1,LP2,LP3),
C     & NROCK,NPVT,PSIT(LP7,LP9),PRT(LP7,LP9),WOROCK(LP7),GOROCK(LP7)
C      DIMENSION FRCI(12),PRSCI(12),RMWTI(12),TEMCI(12)
C     & ,ZEDD(LP8,LP9),CMPGD(LP8,LP9)
C      DATA NCOMP/12/
C      DATA TEMCI /672.37,
C     A547.57, 227.27, 343.04, 549.76, 665.68,
C     B734.65, 765.32, 828.77, 845.37, 913.37, 1023.89/
C      DATA PRSCI /1306.0,
C     A1071.0, 493.00, 667.80, 707.80, 616.30,
C     B529.10, 550.70, 490.40, 488.60, 436.90, 360.60/

C   TEM      =   RESERVOIR TEMPERATURE, DEGREES F
C   SPG      =   GAS GRAVITY
C   TEMPC    =   PSEUDO-CRITICAL TEMP., DEGREES R
C   PRSPC    =   PSEUDO-CRITICAL PRESSURE, PSIA
C   CNCH2S   =   MOLE PERCENT - HYDROGEN SULFIDE
C   CNCCO2   =   MOLE PERCENT - CARBON DIOXIDE
C   CNCN2    =   MOLE PERCENT - NITROGEN

      NERR=98
      READ(1,*,ERR=998,END=999) KODEA,MPGT(NP),TEM,SPG
      NERR=99
      READ(1,*,ERR=998,END=999) (FRCI(I),I=1,12)
      IF(KODEA.GE.4) THEN
        NERR=100
        READ(1,*,ERR=998) PRSCI(12),TEMCI(12),RMWTI(12)
      ENDIF

      RETURN
998   WRITE(BUFFER,*) 'PSEUDOIN Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
999   RETURN
      END

C     UINITAIN.FOR
C                    Designed by
C                    Raymond J. Heemstra
C
      SUBROUTINE UINITAIN(LRCK,PIL,SOIL,SWIL,SGIL,SO,SW,PN)
C      (KPI,II,JJ,KK,ET0,CUMPO,MBEO,
C     &CUMPW,MBEW,CUMPG,MBEG, WOC,GOC, CUMIW,CUMIG,CAPGO,CAPOW)

      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      INCLUDE 'UINITA.INC'
      CHARACTER*80 BUFFER
C======================================================================
C      DIMENSION PWOC(LP7),PGOC(LP7),SOIRK(LP7),SWIRK(LP7),SGIRK(LP7)
C      DIMENSION PIL(LP3), SOIL(LP3), SWIL(LP3), SGIL(LP3)
C======================================================================

C      DIMENSION WOC(LP7),GOC(LP7), CAPGO(LP1,LP2,LP3),CAPOW(LP1,LP2,LP3)

C      REAL MBEO,MBEW,MBEG,KX,KY,KZ,KROT,KRWT,KRGT,KROGT,MUOT,MUWT,MUGT

C      COMMON /BUBBLE/ PBO,VSLOPE(LP8),BSLOPE(LP8),RSLOPE(LP8),PMAXT,
C     & IREPRS,MPGT(LP8),
C     & RHOSCO(LP8),RHOSCW(LP8),RHOSCG(LP8),MSAT(LP7),MPOT(LP8),
C     & MPWT(LP8),PBOT(LP1,LP2,LP3),PBOTN(LP1,LP2,LP3)

C      COMMON /SARRAY/ PN(LP1,LP2,LP3),IOCODE,IDMAX,
C     & SON(LP1,LP2,LP3),SWN(LP1,LP2,LP3),SGN(LP1,LP2,LP3),
C     & A1(LP1,LP2,LP3),A2(LP1,LP2,LP3),A3(LP1,LP2,LP3),
C     & SUM(LP1,LP2,LP3),GAM(LP1,LP2,LP3),QS(LP1,LP2,LP3)

C      COMMON /SPARM/ KX(LP1,LP2,LP3),KY(LP1,LP2,LP3),KZ(LP1,LP2,LP3),
C     & EL(LP1,LP2,LP3),TX(LP4,LP2,LP3),TY(LP1,LP5,LP3),TZ(LP1,LP2,LP6),
C     & PDAT(LP1,LP2,LP3),PDATUM,GRAD

C      COMMON /SPRTPS/ P(LP1,LP2,LP3),SO(LP1,LP2,LP3),SW(LP1,LP2,LP3),
C     & SG(LP1,LP2,LP3)

C      COMMON /SPVT/ SAT(LP7,LP9),KROT(LP7,LP9),KRWT(LP7,LP9),
C     & BGT(LP7,LP9),
C     & KRGT(LP7,LP9),ITHREE(LP7),RSOT(LP7,LP9),BWPT(LP7,LP9),
C     & PCOWT(LP7,LP9),PCGOT(LP7,LP9),KROGT(LP7,LP9),SWR(LP7),
C     & POT(LP7,LP9),MUOT(LP7,LP9),BOT(LP7,LP9),BOPT(LP7,LP9),
C     & RSOPT(LP7,LP9),PWT(LP7,LP9),MUWT(LP7,LP9),BWT(LP7,LP9),
C     & PGT(LP7,LP9),MUGT(LP7,LP9),
C     & BGPT(LP7,LP9),CRT(LP7,LP9),IPVT(LP1,LP2,LP3),IROCK(LP1,LP2,LP3),
C     & NROCK,NPVT,PSIT(LP7,LP9),PRT(LP7,LP9),WOROCK(LP7),GOROCK(LP7)


C      COMMON /SSOLN/ BO(LP1,LP2,LP3),BW(LP1,LP2,LP3),BG(LP1,LP2,LP3),
C     & QO(LP1,LP2,LP3),QW(LP1,LP2,LP3),QG(LP1,LP2,LP3),
C     & GOWT(LP1,LP2,LP3),GWWT(LP1,LP2,LP3),GGWT(LP1,LP2,LP3),
C     & O1(LP4,LP2,LP3),W1(LP4,LP2,LP3),
C     & O2(LP1,LP5,LP3),W2(LP1,LP5,LP3),
C     & O3(LP1,LP2,LP6),W3(LP1,LP2,LP6),
C     & QOWG(LP1,LP2,LP3),VP(LP1,LP2,LP3),CT(LP1,LP2,LP3)

      COMMON /TSTDAT/ IFATAL,IWARN
C     *** NEW COMMON FOR EDITOR ***
C      DIMENSION NRRCK(LP7),LRCK(LP3)
C      COMMON /UINRCK/ NRRCK,LRCK
C............... Read Initialization Data ............................
      NERR=101
      READ(1,69,ERR=998,END=999) H22
69    FORMAT(A80)
      NERR=102
      READ(1,*,ERR=998,END=999) KPI,KSI,PDATUM,GRAD

      NERR=103
      READ(1,69,ERR=998) H23
      NERR=104
      DO 25 M=1,NROCK
       READ(1,*,ERR=998)   NRRCK(M),  PWOC(NRRCK(M)), WOC(NRRCK(M)),
     &        PGOC(NRRCK(M)),  GOC(NRRCK(M)),  SOIRK(NRRCK(M)),
     &       SWIRK(NRRCK(M)),  SGIRK(NRRCK(M))
25    CONTINUE

      NERR=105
      READ(1,69,ERR=998) H24
      NERR=106
      DO 27 K=1,KK
       READ(1,*,ERR=998) LRCK(K),PIL(LRCK(K)), SOIL(LRCK(K)),
     &           SWIL(LRCK(K)), SGIL(LRCK(K))
27    CONTINUE

      IF(KSI.EQ.1) THEN

C  .... KSI=1 ====> Read So and Sw by grid-block and calculate Sg  
        NERR=107
        READ(1,69,ERR=998) H25
        NERR=108
        DO 3011 K=1,KK
        DO 3006 J=1,JJ
         READ(1,*,ERR=998) (SO(I,J,K),I=1,II)
3006	CONTINUE
3011    CONTINUE

        NERR=109
        READ(1,69,ERR=998) H26

        NERR=110
        DO 3020 K=1,KK
        DO 3007 J=1,JJ
         READ(1,*,ERR=998) (SW(I,J,K),I=1,II)
3007    CONTINUE
3020    CONTINUE
      ENDIF

C................ Saturation Initialization complete .................

      IF(KPI.EQ.1) THEN
C....    Read header & initial pressures by grid-block      
         NERR=111
         READ(1,69,ERR=998) H27
         NERR=112
         DO 3010 K=1,KK
         DO 3005 J=1,JJ
           READ(1,*,ERR=998) (PN(I,J,K),I=1,II)
3005     CONTINUE
3010     CONTINUE
      ENDIF
      
      RETURN
998   WRITE(BUFFER,*) 'UINITAIN Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
999   RETURN
      END

C***********************************************************************
C     CODESAIN.FOR
C                    Designed by
C                    Raymond J. Heemstra
C.................................................................CODES
      SUBROUTINE CODESAIN
C      (IOCODE,KSM1,KSN1,KCO1,NN,
C     & FACT1,FACT2,TMAX,KSOL,MITER,OMEGA,TOL,TOL1,
C     & KSN,KSM,KCO,KCOFF,KSCRN, KOUT, DSMAX,DPMAX,
C     & NUMDIS,IRK,THRUIN,
C     &WORMAX,GORMAX,PAMIN,PAMAX)

C      MACHINE DEPENDENT INCLUDE STATEMENT
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      CHARACTER*80 BUFFER
C      REAL KROT,KRWT,KRGT,KROGT,MUOT,MUWT,MUGT

C      COMMON /SPVT/ SAT(LP7,LP9),KROT(LP7,LP9),KRWT(LP7,LP9),
C     & BGT(LP7,LP9),
C     & KRGT(LP7,LP9),ITHREE(LP7),RSOT(LP7,LP9),BWPT(LP7,LP9),
C     & PCOWT(LP7,LP9),PCGOT(LP7,LP9),KROGT(LP7,LP9),SWR(LP7),
C     & POT(LP7,LP9),MUOT(LP7,LP9),BOT(LP7,LP9),BOPT(LP7,LP9),
C     & RSOPT(LP7,LP9),PWT(LP7,LP9),MUWT(LP7,LP9),BWT(LP7,LP9),
C     & PGT(LP7,LP9),MUGT(LP7,LP9),
C     & BGPT(LP7,LP9),CRT(LP7,LP9),IPVT(LP1,LP2,LP3),IROCK(LP1,LP2,LP3),
C     & NROCK,NPVT,PSIT(LP7,LP9),PRT(LP7,LP9),WOROCK(LP7),GOROCK(LP7)

C      READ DEBUG, MATRIX SOLUTION AND RUN CONTROL INFO

      COMMON /TSTDAT/ IFATAL,IWARN

      NERR=113
      READ(1,69,ERR=998,END=999) H28
69    FORMAT(A80)
      NERR=114
      READ(1,*,ERR=998,END=999) KSN1,KSM1,KCO1,KCOFF,KSCRN,KOUT

C Every KSM1 th step solution matrix will be written
C every KSN1 th step lsorx data will be written
C Every KCO1 th step compressibilities & volume factors will be written

      NERR=115
      READ(1,69,ERR=998) H29
      NERR=116
      READ(1,*,ERR=998) NN,FACT1,FACT2,TMAX,WORMAX,GORMAX,
     &       PAMIN,PAMAX

      IF(WORMAX.EQ.0.0) THEN
        NERR=117
        READ(1,*,ERR=998) (WOROCK(I),I=1,NROCK)
      ENDIF

C
C     ******  ROCK REGION SPECIFIED GOR MAXIMA  *******
      IF(GORMAX.EQ.0.0) THEN
        NERR=118
        READ(1,*,ERR=998) (GOROCK(I),I=1,NROCK)
      ENDIF

C NN--Maximum number of time-steps
C FACT1--Factor for increasing time-step size
C FACT2--Factor for decreasing time-step size
C TMAX--Maximum simulation time

      NERR=119
      READ(1,69,ERR=998) H30
      NERR=120
      READ(1,*,ERR=998) KSOL,MITER,OMEGA,TOL,TOL1,DSMAX,DPMAX

C      NUM DIS AND IMPES/R-K SOLN CONTROLS
      NERR=121
      READ(1,69,ERR=998) H31
      NERR=122
      READ(1,*,ERR=998) NUMDIS,IRK,THRUIN

C      CHECK CODE DATA
C      DEBUG

      IF(KSN1 .NE.0) IWARN=IWARN+1 
      IF(KSM1 .NE.0) IWARN=IWARN+1
      IF(KCO1 .NE.0) IWARN=IWARN+1
      IF(KCOFF.NE.0) IWARN=IWARN+1
 
C      RUN CONTROL

C 3000 CONTINUE
 
      RETURN
998   WRITE(BUFFER,*) 'CODESAIN Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
999   RETURN
      END

C     AQUIAIN.FOR
C                    Designed by
C                    Raymond J. Heemstra
C................................................................AQUI
      SUBROUTINE AQUIAIN
C      (TMAX)
C      MACHINE DEPENDENT INCLUDE STATEMENT
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      CHARACTER*80 BUFFER
C          CALC AQUIFER INFLUX	
C      COMMON /SAQUI/ IAQOPT,CPIAQ1(LP1,LP2,LP3),CPIAQ2(LP1,LP2,LP3),
C     & CPI1(LP1,LP2,LP3),CPI2(LP1,LP2,LP3),EWAQ(LP1,LP2,LP3),
C     & CUMAQW(LP1,LP2,LP3),
C     & QWAQ(LP1,LP2,LP3),CUMEW(LP1,LP2,LP3),QWAQR(LP7),CUMAQR(LP7)
C     & ,IAQREG(LP1,LP2,LP3),PAQ(LP1,LP2,LP3),PIAQ(LP1,LP2,LP3)
C      COMMON /SARRAY/ PN(LP1,LP2,LP3),IOCODE,IDMAX,
C     & SON(LP1,LP2,LP3),SWN(LP1,LP2,LP3),SGN(LP1,LP2,LP3),
C     & A1(LP1,LP2,LP3),A2(LP1,LP2,LP3),A3(LP1,LP2,LP3),
C     & SUM(LP1,LP2,LP3),GAM(LP1,LP2,LP3),QS(LP1,LP2,LP3)

C      MAX DIM TIM CORRELATION VALUES
C      DIMENSION TDCMAX(11)
C      DIMENSION I1PAQ(LP7),I2PAQ(LP7),J1PAQ(LP7),J2PAQ(LP7),
C     &           K1PAQ(LP7),K2PAQ(LP7),POTAQ(LP7)
C      DIMENSION I1SAQ(LP7),I2SAQ(LP7),J1SAQ(LP7),J2SAQ(LP7),
C     &           K1SAQ(LP7),K2SAQ(LP7),SSAQ(LP7)
C      DIMENSION I1BAQ(LP7),I2BAQ(LP7),J1BAQ(LP7),J2BAQ(LP7),
C     &          K1BAQ(LP7),K2BAQ(LP7)

C      DATA TDCMAX/0.,0.,0.6,5.,5.,10.,15.,30.,45.,70.,1000./

      NERR=123
      READ(1,5,ERR=998,END=999) H32
    5 FORMAT(A80)
      NERR=124
      READ(1,*,ERR=998,END=999) IAQOPT
      IF(IAQOPT.EQ.0) RETURN

C      IF(IAQOPT.NE.1) GO TO 100
      IF(IAQOPT.EQ.1) THEN

C    ***  POT AQUIFER PARAMETERS
C
        NERR=125
        READ(1,*,ERR=998) NAQEN

        NERR=126
        DO 20 N=1,NAQEN
         READ(1,*,ERR=998) I1PAQ(N),I2PAQ(N),J1PAQ(N),J2PAQ(N),
     &           K1PAQ(N),K2PAQ(N),POTAQ(N)
   20   CONTINUE
        RETURN
      ENDIF
C  100 CONTINUE

C    ***  STEADY-STATE AQUIFER PARAMETERS
C      IF(IAQOPT.NE.2) GO TO 200
      IF(IAQOPT.EQ.2) THEN

        NERR=127
        READ(1,*,ERR=998) NAQEN

        NERR=128
        DO 120 N=1,NAQEN
         READ(1,*,ERR=998) I1SAQ(N),I2SAQ(N),J1SAQ(N),J2SAQ(N),
     &           K1SAQ(N),K2SAQ(N),SSAQ(N)
  120   CONTINUE

        RETURN
      ENDIF
C  200 CONTINUE

C    ***  CARTER-TRACY AQUIFER
      NERR=129
      READ(1,*,ERR=998) NAQREG
C
C   CARTER-TRACY AQUIFER PARAMETERS FOR REGION NR
C
C     IAQOPT =   3,   4,   5,   6,   7,   8,   9,  10,   11
C      RE/RW = 1.5, 2.0, 3.0, 4.0, 5.0, 6.0, 8.0, 10.0, INFINITE-ACTING AQUIFER CASE 
C
      DO 300 NR=1,NAQREG
       NERR=130
       READ(1,*,ERR=998) AQCR(NR),AQCW(NR),AQMUW(NR),AQK(NR),
     &   AQPHI(NR),AQH(NR),AQS(NR),AQRE(NR)
C
C  AQCR  -- AQ ROCK COMP (1/PSI)
C  AQCW  -- AQ WATER COMP (1/PSI)
C  AQMUW -- AQ WATER VISCOSITY (CP)
C  AQK   -- AQ PERMEABILITY (MD)
C  AQPHI -- AQ POROSITY (FRACTION)
C  AQH   -- AQ NET THICKNESS (FT)
C  AQS   -- AQ/RES BOUNDARY INTERFACE (FRACTION)
C  AQRE  -- EXTERNAL RES RADIUS (FT)
C
C    ***  REGION LIMITS AND C-T PARAMETERS
C          I1  I2  J1  J2  K1  K2  AQ PAR 1  AQ PAR 2
C   WRITE(IOCODE,230) I1,I2,J1,J2,K1,K2,AQKT,AQBETA
C
       NERR=131
       READ(1,*,ERR=998) NAQEN
       NERR=132
       DO 250 N=1,NAQEN
        READ(1,*,ERR=998) I1BAQ(NR,N),I2BAQ(NR,N),J1BAQ(NR,N),
     &        J2BAQ(NR,N),K1BAQ(NR,N),K2BAQ(NR,N)
  250  CONTINUE
 
  300 CONTINUE
      RETURN
998   WRITE(BUFFER,*) 'AQUIAIN Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
999   RETURN
      END

C     WELLSAIN.FOR
C                    Designed by
C                    Raymond J. Heemstra
C============================================================================
C!!! THIS IS "WELLS" and "WRTMAP" from MIS4 - being modified for BOAST3 !!!
C============================================================================
      SUBROUTINE WELLSAIN
C      (NWELLS,WELNAM,KSCRN,NODTOT, IDWEL,NPW,
C     &                 LWX,LWY,LWZ,IDIR, IOCODE)
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      CHARACTER*80 BUFFER
C      CHARACTER*75 HEADIN(4)

C.... NOTE:  NWX  = max no of wells in PARAMS.FOR .............
C....        NODX = max nodes per well in PARAMS.FOR..........

C      CHARACTER*8  WELNAM(NWX)
C      DIMENSION  IDWEL(NWX), NPW(NWX)
C      DIMENSION  LWX(NWX,NODX), LWY(NWX,NODX), LWZ(NWX,NODX),
C     &          IDIR(NWX,NODX),IDWELX(NWX,NODX)

      NERR=133
      READ(1,69,ERR=998,END=999)  H33
69    FORMAT(A80)
      NERR=134
      READ(1,69,ERR=998,END=999)  H34

      NERR=135
      READ(1,*,ERR=998,END=999)   NWELLS
      NERR=136
      READ(1,69,ERR=998)  H35

      NERR=137
      DO 411 NW = 1,NWELLS
        READ(1,*,ERR=998) IDWEL(NW),NPW(NW),WELNAM(NW)  
411   CONTINUE

      NERR=138
      READ(1,69,ERR=998) H36
      NERR=139
      DO 4111 NW=1,NWELLS
          NODS = NPW(NW)
       DO 4112 M=1,NODS
        READ(1,*,ERR=998) IDWELX(NW,M),LWX(NW,M),LWY(NW,M),
     &     LWZ(NW,M),IDIR(NW,M)
4112  CONTINUE
4111  CONTINUE
      RETURN
998   WRITE(BUFFER,*) 'WELLSAIN Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
999   RETURN
      END
C     RECURAIN.FOR
C                    Designed by
C                    Raymond J. Heemstra
C
      SUBROUTINE RECURAIN(NDATASET,PID,PWF)
C
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      INCLUDE 'NODESA.INC'

      CHARACTER*80 BUFFER
!      CHARACTER*80 PAGE(6)
      INTEGER NDATASET
!      CALL AboutB4(1,'inside recurain','debug')
C  NDATASET will count the number of recurrances
      NDATASET=0
C.... Read Recurrent Data Header
      READ(1,69,END=1005) H37
69    FORMAT(A80)

C...  Determine time step index range
C      IF(IREOPT.EQ.1) THEN
C        NINIT=IRSTRT
C      ELSE
C        NINIT=1
C      ENDIF
C      NMAX=NN+1

C============== THIS IS BEGINNING OF TIME-STEP LOOP ====================
C.... Recurrent calc loop....................
C      DO 1000 N=NINIT,NMAX

C  ****************** Restart ************************
C**** Restart algorithm
C      IF(IREOPT.EQ.-1) GO TO 30
C      IF(IREOPT.EQ.0) GO TO 25
C      IF(N.LT.IRSTRT) GO TO 1000
C      IF(N.GT.IRSTRT) GO TO 25
C      DO IRS=1,3
C      READ (24) CPIAQ1,CPIAQ2,CPI1,CPI2,EWAQ,CUMAQW,
C     & QWAQ,CUMEW,IAQREG,PAQ,PIAQ,
C     & P,SO,SW,SG,PN,SON,SWN,SGN,
C     & CUMO,CUMW,CUMG,TX,TY,TZ, DX,DY,DZ,
C     & QOC,QWC,QGC,PID,PWF,PWFC,GMO,GMW,GMG,
C     & BO,BW,BG,VP,CT,EL,PBOT,PBOTN, RPO,RPW,RPG,RSOA,
C     & NPW,LWX,LWY,LWZ, ALPHA,TOP, KR3, CAPGO,CAPGW,
C     & RHOO,RHOW,RHOG, VISO,VISW,VISG, IDIR,IDWEL

C**    VECTORS
C      READ (24) QWAQR,CUMAQR, KX,KY,KZ,PHI,
C     & ITSNO,STIME,SOPROD,SGPROD,SWPROD,SGOR,SWOR,
C     & SGINJ,SWINJ,SPVWTP,SOCUMP,SWCUMP,SGCUMP,
C     & SGCUMI,SWCUMI,SAQUIR,SAQUIC, GORT,WORT,GORL,WORL,
C     & ILIMOP,KIP,WELNAM,LAYER,IDWELL, QVO,QVG,QVW,QVT, IQN1,IQN2,IQN3,
C     & MSAT,MPOT,MPWT,MPGT,RHOSCO,RHOSCW,RHOSCG, VSLOPE,BSLOPE,RSLOPE,
C     & SAT,KROT,KRWT,KRGT,KROGT,PCOWT,PCGOT,POT,MUOT,BOT,BOPT,RSOT,
C     & RSOPT,PWT,MUWT,BWT,BWPT, PGT,PSIT,MUGT,BGT,BGPT,PRT,CRT,
C     & WQG,WQW,WQO,WCGP,WCWP,WCOP,WGOR,WWOR,WSGAV,WSWAV,WSOAV,WPOAV,
C     & WPWFAV, QGN,QWN,QON,CUMGN,CUMWN,CUMON,NGOR,NWOR,SGG,SWW,SOO,
C     & POO,NPWF

C**    SCALARS
C      READ (24) II,JJ,KK,KSM1,KSN1,KCO1,KSOL,MITER, NUMDIS,IRK,THRUIN,
C     & FACT1,FACT2,OMEGA,TOL,TOL1,WORMAX,GORMAX,PAMIN,PAMAX,
C     & NVQN,CWI,CGI,ETI,PBO,PMAXT, KSCRN,KOUT, KDX,KDY,KDZ,KDZNET,
C     & STBO,STBOI,STBW,STBWI,MCFG,MCFGI,MBEO,MBEW,MBEG,CMBEO,CMBEW,
C     & CMBEG,TOOIP,TOWIP,TOGIP,TODGIP,TOFGIP,DELT0,RESVOL,OP,WP,GP,WI,
C     & GI,PAVG0,PAVG,OPR,WPR, GPR,WIR,GIR,COP, CWP,CGP,MCFG1,MCFGT,
C     & CWOR,WOR,CGOR,GOR,DSMAX,DPMAX,KCOFF,KSN,KSM, KCO,SWR,PDATUM,
C     & GRAD,DSMC,DPMC,IAQOPT,NTSTEP,IREPRS,ITHREE, NROCK,NPVT,IROCK,
C     & IPVT,NWELLS,NODTOT,RKROMX,KXMP,KYMP,KZMP,IPMAP,ISOMAP,ISWMAP,
C     & ISGMAP,IPBMAP,IAQMAP,KROMP,KRWMP,KRGMP,IRSOMP,IPCOW,IPCGO,
C     & KPHIMP,IPHIMP

C      IF(N.EQ.NTSTEP) GO TO 25
C      END DO
C      WRITE(BUFFER,23) IRS,N
C23    FORMAT(1X,'ATTEMPT TO READ RESTART DATA FAILED AFTER',I3,
C     &          ' TRIES @ STEP',I4)
C      CALL AboutB4(1,TRIM(BUFFER),'RECURRIN Error alert')
C      WRITE(BUFFER,24) ETI,NTSTEP
C24    FORMAT(1X,'TIME =',F10.2,' DAYS',3X,
C     &          'LAST RESTART TIME STEP READ =',I5)
C      CALL AboutB4(1,TRIM(BUFFER),'RECURRIN Error alert')
C      GO TO 1006

C   25 CONTINUE

C      IF(ETI.NE.REDATE(IRSCNT)) GO TO 30
C      IF(IRSCNT.GT.3) GO TO 28
C      NTSTEP=N
c--------------------------------
C      INCLUDE 'RESTART.INC'
c--------------------------------

C      IRSCNT=IRSCNT+1
C      GO TO 30
C   28 WRITE(PAGE(1),29) IRSCNT,NTSTEP
C   29 FORMAT(1X,'THE NUMBER OF RESTART WRITE (',I2,') EXCEEDS THE',
C     & ' ALLOWED NUMBER AT TIME STEP',I5)
C      WRITE(PAGE(2),'(A,F10.2,A)') '(TIME =',ETI,' DAYS)'
C      CALL AboutB4(2,PAGE,'RECURRIN Error alert')
C      GO TO 1006

C30    CONTINUE
C   ********************** End Restart Stuff *****************

C**** RECURRENT DATA....................................................
C      IF(N.EQ.1) GO TO 40
C      IF(FT.LT.FTMAX) GO TO 46
C      IF(IOMETH(NDATASET).EQ.0) GO TO 40

C      IF(IFTCOD.EQ.IOMETH(NDATASET)) GO TO 40
C      IFTCOD=IFTCOD+1
C      FTMAX=FTIO(IFTCOD)
C      IF(FTMAX.GT.TMAX) FTMAX=TMAX
C      GO TO 46

C.... Read Header (e.g. "Data Set 1") ....................
40    READ(1,69,END=1005) BUFFER
      NDATASET=NDATASET+1
      H38(NDATASET)=BUFFER
!      CALL AboutB4(1,TRIM(BUFFER),'Status')
C==================================================================
C.....NOTE THAT IOMETH & IWLCNG REVERSED - MORE LOGICAL
C==================================================================
      READ(1,*,ERR=1004,END=1005) ICHANG(NDATASET), IOMETH(NDATASET),
     &                   IWLCNG(NDATASET)
C      IF(IOMETH(NDATASET).GT.0) GO TO 42
      IF(IOMETH(NDATASET).LE.0) THEN
        READ(1,*,ERR=1006) IWLREP(NDATASET),ISUMRY(NDATASET)
        READ(1,*,ERR=1008) IPMAP(NDATASET),ISOMAP(NDATASET),
     &          ISWMAP(NDATASET),ISGMAP(NDATASET),IPBMAP(NDATASET),
     &          IAQMAP(NDATASET)
        READ(1,*,ERR=1009) KROMP(NDATASET),KRWMP(NDATASET),
!     &          IAQMAP(NDATASET),
!     &          KROMP(NDATASET),KRWMP(NDATASET),
     &          KRGMP(NDATASET),IRSOMP(NDATASET),IPCOW(NDATASET),
     &          IPCGO(NDATASET),IPHIMP(NDATASET)
        READ(1,*,ERR=1009)DAY(NDATASET),DTMIN(NDATASET),DTMAX(NDATASET)
C      DELT=DAY(NDATASET)
C      FTMAX=ETI+ICHANG(NDATASET)*DELT
C      IF(FTMAX.GT.TMAX) FTMAX=TMAX
C      GO TO 43
      ELSE
C42    CONTINUE
        READ(1,*,ERR=1007)  (FTIO(I,NDATASET),I=1,IOMETH(NDATASET))

        READ(1,*,ERR=1008) IPMAP(NDATASET),ISOMAP(NDATASET),
     &        ISWMAP(NDATASET),
     &       ISGMAP(NDATASET),IPBMAP(NDATASET),IAQMAP(NDATASET)
        READ(1,*)  KROMP(NDATASET),KRWMP(NDATASET),KRGMP(NDATASET),
!     &        ISGMAP(NDATASET),IPBMAP(NDATASET),IAQMAP(NDATASET),
!     &        KROMP(NDATASET),KRWMP(NDATASET),KRGMP(NDATASET),
     &        IRSOMP(NDATASET),IPCOW(NDATASET),IPCGO(NDATASET),
     &        IPHIMP(NDATASET)
        READ(1,*,ERR=1009)DAY(NDATASET),DTMIN(NDATASET),DTMAX(NDATASET)
      ENDIF
C      DELT=DAY(NDATASET)
C      IFTCOD=1
C      FTMAX=FTIO(IFTCOD)
C      IF(FTMAX.GT.TMAX) FTMAX=TMAX
C   43 CONTINUE

      IF(IWLCNG(NDATASET).NE.0) THEN

C  ************  NODESIN INPUT **********
C
!        CALL AboutB4(1,'entering nodesin','debug')
        CALL NODESIN(NVQN,NDATASET,PID,PWF)
!        CALL AboutB4(1,'leaving nodesin','debug')
C
C ***************************************
      ENDIF

C46    CONTINUE

C      IF(N.EQ.1) THEN
C         GO TO 1050
C      ENDIF

C      IF(DELT.LT.DTMIN(NDATASET))     DELT=DTMIN(NDATASET)
C      IF(ETI+DELT.GT.FTMAX) DELT=FTMAX-ETI
C1050  FT=ETI+DELT
C      IF(ETI+DELT*0.5.GE.TMAX) GO TO 1006

C1060  CONTINUE

C      IF(N.EQ.NMAX) GO TO 1006

C****REPEAT TIME STEP?
C      IF(DELT.LE.DTMIN(NDATASET).OR.FACT2.GE.1.0)   GO TO 402
C      ITFLAG=ITFLAG+1
C      DELT=DELT*FACT2
C      IF(DELT.LT.DTMIN(NDATASET)) DELT=DTMIN(NDATASET)

C      FT=ETI+DELT
C      IF(FT.GT.FTMAX) DELT=FTMAX-ETI
C      GO TO 1060
C  402 CONTINUE

C**** Calculate material balance errors & average reservoir pressure....
C      ETI=ETI+DELT

C      END OF TIME?
C      IF(FT.GE.TMAX) GO TO 10066
C1000  CONTINUE


C10066 CONTINUE

C------------ SEE IF RESTART IS TO BE WRITTEN AT TMAX? 
C      NTSTEP=N+1
C      IF(IREOPT.EQ.-1 .OR. IRNUM.EQ.0
C     &                .OR. ETI.NE.REDATE(IRSCNT)) GO TO 1006
C**    ARRAYS
C   --------------------------------
C      INCLUDE 'RESTART.INC'
C   --------------------------------
C******  EXIT POINT
      GO TO 40
1005  CONTINUE
C      BUFFER = 'Input Successful!'
C      CALL AboutB4(1,TRIM(BUFFER),'Status')
      RETURN
1004  WRITE(BUFFER,*)
     &  'ICHANG,IOMETH,IWLCNG error in data set ',NDATASET
      CALL AboutB4(1,TRIM(BUFFER),'RECURRIN error')
      WRITE(BUFFER,*)
     &  'ICHANG=',ICHANG,'IOMETH=',IOMETH,'IWLCNG=',IWLCNG
      CALL AboutB4(1,TRIM(BUFFER),'RECURRIN error')
      RETURN
1006  WRITE(BUFFER,*) 'IWLREP,ISUMRY error in data set ',NDATASET
      CALL AboutB4(1,TRIM(BUFFER),'RECURRIN error')
      RETURN
1007  WRITE(BUFFER,*) 'Error in data set ',NDATASET
      CALL AboutB4(1,TRIM(BUFFER),'RECURRIN error')
      WRITE(BUFFER,*)
     &  'ICHANG=',ICHANG,'IOMETH=',IOMETH,'IWLCNG=',IWLCNG
      CALL AboutB4(1,TRIM(BUFFER),'RECURRIN error')
      RETURN
1008  WRITE(BUFFER,*) 'Map code error in data set ',NDATASET
      CALL AboutB4(1,TRIM(BUFFER),'RECURRIN error')
      RETURN
1009  WRITE(BUFFER,*) 'Time control error in data set ',NDATASET
      CALL AboutB4(1,TRIM(BUFFER),'RECURRIN error')
      RETURN
      END

C     NODESIN.FOR
C                    Designed by
C                    Raymond J. Heemstra
C
      SUBROUTINE NODESIN(NVQN,NDATASET,PID,PWF)
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      INCLUDE 'NODESA.INC'
C      CHARACTER*80 BUFFER
!      CHARACTER*80 PAGE(42)
C      CHARACTER*5 WELNM,VAR1

C      COMMON /SARRAY/ PN(LP1,LP2,LP3),IOCODE,IDMAX,
C     & SON(LP1,LP2,LP3),SWN(LP1,LP2,LP3),SGN(LP1,LP2,LP3),
C     & A1(LP1,LP2,LP3),A2(LP1,LP2,LP3),A3(LP1,LP2,LP3),
C     & SUM(LP1,LP2,LP3),GAM(LP1,LP2,LP3),QS(LP1,LP2,LP3)

C      COMMON /SPRTPS/ P(LP1,LP2,LP3),SO(LP1,LP2,LP3),SW(LP1,LP2,LP3),
C     & SG(LP1,LP2,LP3)

C      COMMON /SRATE/ PID(LP11,LP3),PWF(LP11,LP3),PWFC(LP11,LP3),
C     & KIP(LP11),LAYER(LP11),QVO(LP11),CUMG(LP11,LP3),
C     & GMO(LP11,LP3),GMW(LP11,LP3),GMG(LP11,LP3),
C     & QVW(LP11),QVG(LP11),QVT(LP11),CUMO(LP11,LP3),CUMW(LP11,LP3),
C     & IDWELL(LP11),ALIT(LP11),BLIT(LP11)

C      COMMON /VECTOR/ DX(LP1,LP2,LP3),DY(LP1,LP2,LP3),DZ(LP1,LP2,LP3),
C     & DZNET(LP1,LP2,LP3),IQN1(LP11),IQN2(LP11),IQN3(LP11),IHEDIN(80)

C      COMMON /CHAR/ WELNM(LP11)

      DIMENSION NCOUNT(LP11)

      DATA NCOUNT/LP11*0/
C      CALL AboutB4(1,BUFFER,'In NODESIN')
C**** Establish rate-specified & pressure-specified wells
!      CALL AboutB4(1,'inside nodesin','debug')

      READ(1,69,END=999) H39(NDATASET)
69    FORMAT(A80)

C.... NWELLN = No. of new wells;  NWELL0 = No. of old wells ............
      READ(1,*,END=999) NWELLN(NDATASET),NWELLO(NDATASET)

      IF(NWELLN(NDATASET).EQ.0.AND.NWELLO(NDATASET).EQ.0) RETURN

      NCHANG=NWELLN(NDATASET)+NWELLO(NDATASET)

      IF(NWELLN(NDATASET).NE.0) THEN
C....   Read header for new wells ........................................
        READ(1,69) H40(NDATASET)
        DO 2000 J=1,NWELLN(NDATASET)
C**      Input rate signs by convention:
C**      Injectors are negative; producers are positive
         READ(1,3) VAR1,I1,I2,I3,I4,I5
3        FORMAT(A5,5I3)
         I1NEW(J,NDATASET)=I1
!         IPAGE=0
!         IPAGE=IPAGE+1
!         WRITE(PAGE(IPAGE),'(2(A,I3))')'J=',J,
!     &       ' I1NEW(J,NDATASET)=I1=',I1NEW(J,NDATASET)
         IF(IDMAX.LT.I1) IDMAX=I1
         WELNM(I1,NDATASET)=VAR1    !  WELLID
         IDWELL(I1,NDATASET)=I1     !  IDWELL
         IQN1(I1,NDATASET)=I2       !  I
!         IPAGE=IPAGE+1
!	 WRITE(PAGE(IPAGE),'(2(A,I3))')  'I2=',I2,
!     &    ' IQN1(I1,NDATASET)=I2=',IQN1(I1,NDATASET)
!         IPAGE=IPAGE+1
!         WRITE(PAGE(IPAGE),'(5(A,I3))') 'I1=',I1,' I2=',I2,' I3=',I3,
!     &    ' I4=',I4,' I5=',I5
!        IF(IPAGE.GT.0) CALL AboutB4(IPAGE,PAGE,'New Well Info')
         IQN2(I1,NDATASET)=I3       !  J
         IQN3(I1,NDATASET)=I4       !  PERF1
         LAYER(I1,NDATASET)=I5      !  NLAYER
         IQ3=IQN3(I1,NDATASET)
         LAY=IQ3+(LAYER(I1,NDATASET)-1)
!         IPAGE=IPAGE+1
!         WRITE(PAGE(IPAGE),*) 'IQ3=',IQ3,' LAY=',LAY
!        IF(IPAGE.GT.0) CALL AboutB4(IPAGE,PAGE,'New Well Info')
!         CALL AboutB4(1,'ready to read PID','debug')
         READ(1,*) (PID(I1,K,NDATASET),K=IQ3,LAY)

!         CALL AboutB4(1,'ready to read PWF','debug')
!         IPAGE=IPAGE+1
!         READ(1,*) PAGE(IPAGE)
!         CALL AboutB4(IPAGE,PAGE,'PWF line')
         READ(1,*) (PWF(I1,K,NDATASET),K=IQ3,LAY)
!         CALL AboutB4(1,'ready to read VAR1,etc','debug')
         READ(1,6) VAR1,IDWELL(I1,NDATASET),KIP(I1,NDATASET),
     &             QVO(I1,NDATASET),QVW(I1,NDATASET),
     &             QVG(I1,NDATASET),QVT(I1,NDATASET)
6        FORMAT(A5,2I3,4F10.0)

         IF(KIP(I1,NDATASET).EQ.-4) THEN
           READ(1,8) VAR1,IDWELL(I1,NDATASET),
     &             ALIT(I1,NDATASET),BLIT(I1,NDATASET)
8          FORMAT(A5,I3,2E12.5)
         END IF

        NCOUNT(J)=IDWELL(I1,NDATASET)
2000    CONTINUE
        NVQN=IDMAX
      END IF
!      CALL AboutB4(1,'ready to read NWELLO','debug')

      IF(NWELLO(NDATASET).NE.0) THEN
        READ(1,69) H41(NDATASET)

        DO 2500 NC=1,NWELLO(NDATASET)
         READ(1,6) VAR1,I1,I2,F1,F2,F3,F4
	 I1OLD(NC,NDATASET)=I1
         WELONM(I1,NDATASET)=VAR1
         IDOWELL(I1,NDATASET)=I1
         KIP(I1,NDATASET)=I2
         QVO(I1,NDATASET)=F1
         QVW(I1,NDATASET)=F2
         QVG(I1,NDATASET)=F3
         QVT(I1,NDATASET)=F4
         IQ3=IQN3(I1,NDATASET)
         LAY=IQ3+(LAYER(I1,NDATASET)-1)
         NCOUNT(NWELLN(NDATASET)+NC)=IDWELL(I1,NDATASET)
 2500   CONTINUE

      ENDIF

      DO 3000 I=1,NCHANG
      J=NCOUNT(I)
      IQ3=IQN3(J,NDATASET)
      LAY=IQ3+(LAYER(J,NDATASET)-1)
      DO 3000 K=IQ3,LAY
C      IPAGE=0
C       IF(KIP(J,NDATASET).EQ.1.AND.QVO(J,NDATASET).GT.0.0) THEN
C	 IPAGE=IPAGE+1
C	 WRITE(PAGE(IPAGE),2995) IQN1(J,NDATASET),IQN2(J,NDATASET),
C     &                 K,IDWELL(J,NDATASET)
C2995     FORMAT(1X,'Block ',3I3,
C     &   ' :  Oil rate specified producing well #',I5)
C       END IF
C       IF(KIP(J,NDATASET).EQ.1.AND.QVT(J,NDATASET).GT.0.0) THEN
C	 IPAGE=IPAGE+1
C	 WRITE(PAGE(IPAGE),2995) IQN1(J,NDATASET),IQN2(J,NDATASET),
C     &                 K,IDWELL(J,NDATASET)
C       END IF
C       IF(KIP(J,NDATASET).EQ.1.AND.QVW(J,NDATASET).GT.0.0) THEN
C	 IPAGE=IPAGE+1
C	 WRITE(PAGE(IPAGE),2996) IQN1(J,NDATASET),IQN2(J,NDATASET),
C     &                 K,IDWELL(J,NDATASET)
C 2996    FORMAT(1X,'Block ',3I3,
C     &   ' :  Water rate specified producing well #',I5)
C       END IF
C       IF(KIP(J,NDATASET).EQ.1.AND.QVG(J,NDATASET).GT.0.0) THEN
C	 IPAGE=IPAGE+1
C	 WRITE(PAGE(IPAGE),2997) IQN1(J,NDATASET),IQN2(J,NDATASET),
C     &                 K,IDWELL(J,NDATASET)
C 2997    FORMAT(1X,'Block ',3I3,
C     &   ' :  Gas rate specified producing well #',I5)
C       END IF
C       IF(KIP(J,NDATASET).EQ.2) THEN
C	 IPAGE=IPAGE+1
C	 WRITE(PAGE(IPAGE),2998) IQN1(J,NDATASET),IQN2(J,NDATASET),
C     &                 K,IDWELL(J,NDATASET)
C 2998    FORMAT(1X,'Block ',3I3,
C     &   ' :  Rate specified water injection well #',I5)
C       END IF
C       IF(KIP(J,NDATASET).EQ.3) THEN
C	 IPAGE=IPAGE+1
C	 WRITE(PAGE(IPAGE),2999) IQN1(J,NDATASET),IQN2(J,NDATASET),
C     &                  K,IDWELL(J,NDATASET)
C 2999    FORMAT(1X,'Block ',3I3,
C     &   ' :  Rate specified gas injection well #',I5)
C       ENDIF
C       IF(KIP(J,NDATASET).EQ.-1)  THEN
C	 IPAGE=IPAGE+1
C	 WRITE(PAGE(IPAGE),3005) IQN1(J,NDATASET),IQN2(J,NDATASET),
C     &                 K,IDWELL(J,NDATASET)
C 3005    FORMAT(1X,'Block ',3I3,
C     &   ' :  Explicit pressure specified producing well #',I5)
C	ENDIF
C       IF(KIP(J,NDATASET).EQ.-2) THEN
C	 IPAGE=IPAGE+1
C	 WRITE(PAGE(IPAGE),3006) IQN1(J,NDATASET),IQN2(J,NDATASET),
C     &                 K,IDWELL(J,NDATASET)
C 3006    FORMAT(1X,'Block ',3I3,
C     &   ' :  Explicit pressure specified water injection well #',I5)
C       END IF
C       IF(KIP(J,NDATASET).EQ.-3) THEN
C	 IPAGE=IPAGE+1
C	 WRITE(PAGE(IPAGE),3007) IQN1(J,NDATASET),IQN2(J,NDATASET),
C     &                 K,IDWELL(J,NDATASET)
C 3007    FORMAT(1X,'Block ',3I3,
C     &   ' :  Explicit pressure specified gas injection well #',I5)
C       END IF
C       IF(KIP(J,NDATASET).EQ.-4) THEN
C	 IPAGE=IPAGE+1
C	 WRITE(PAGE(IPAGE),3008) IQN1(J,NDATASET),IQN2(J,NDATASET),
C     &                 K,IDWELL(J,NDATASET)
C 3008    FORMAT(1X,'Block ',3I3,
C     &   ' :  Explicit pressure specified gas production well #',I5)
C       END IF
C       IF(KIP(J,NDATASET).EQ.-11) THEN
C	 IPAGE=IPAGE+1
C	 WRITE(PAGE(IPAGE),3015) IQN1(J,NDATASET),IQN2(J,NDATASET),
C     &    K,IDWELL(J,NDATASET)
C 3015    FORMAT(1X,'Block ',3I3,
C     &   ' :  Implicit pressure specified producing well #',I5)
C       END IF
C       IF(KIP(J,NDATASET).EQ.-12) THEN
C	 IPAGE=IPAGE+1
C	 WRITE(PAGE(IPAGE),3016) IQN1(J,NDATASET),IQN2(J,NDATASET),
C     &                 K,IDWELL(J,NDATASET)
C 3016    FORMAT(1X,'Block ',3I3,
C     &   ' :  Implicit pressure specified water injection well #',I5)
C       END IF
C       IF(KIP(J,NDATASET).EQ.-13) THEN
C	 IPAGE=IPAGE+1
C	 WRITE(PAGE(IPAGE),3017) IQN1(J,NDATASET),IQN2(J,NDATASET),
C     &                 K,IDWELL(J,NDATASET)
C 3017    FORMAT(1X,'Block ',3I3,
C     &   ' :  Implicit pressure specified gas injection well #',I5)
C       END IF

C      IF(IPAGE.GT.0) CALL AboutB4(IPAGE,PAGE,'Information')

3000  CONTINUE
!      CALL AboutB4(1,'leaving nodesin','debug')
      RETURN
999   RETURN
      END
C      B3OUT.FOR
C                    Designed by
C                    Raymond J. Heemstra
C
!      SUBROUTINE BAOUT(NDATASET)
      SUBROUTINE BAOUT(NDATASET,
     &    DX,DY,DZ,DZNET,RDXL,RDYL,RDZL,RDZNET,ZT,VAREL,RKEL,EL,
     &    RPHL,RKXL,RKYL,RKZL,VP,KX,KY,KZ,
     &    IROCK,IPVT,PBOT,SO,SW,PN,LRCK,PIL,SOIL,SWIL,SGIL,PID,PWF)

C   BOAST3 VARIABLES TO INCLUDE IN B3.INC LATER
C      KEL, ALPHA  -- also included in B3.INC
C
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      INCLUDE 'GRIDA.INC'
      INCLUDE 'PORPRA.INC'
      INCLUDE 'TABLEA.INC'
      INCLUDE 'UINITA.INC'
      INCLUDE 'NODESA.INC'
      CHARACTER*80 BUFFER
C      INTEGER NPOSTRUN
      DO I=1,5
        NERR=I
        WRITE(2,'(A80)',ERR=998) B3HDR(I)
      END DO
        CALL BEGINOUT
        IF (IREOPT.LE.0) THEN
          CALL GRIDSZOUT(DX,DY,DZ,DZNET,RDXL,RDYL,RDZL,RDZNET,
     &                   ZT,VAREL,RKEL,EL)
          CALL PORPRMOUT(RPHL,RKXL,RKYL,RKZL,VP,KX,KY,KZ)
          CALL TRANSOUT
          CALL TABLEOUT(EL,IROCK,IPVT,PBOT)
          CALL UINITLOUT(LRCK,PIL,SOIL,SWIL,SGIL,SO,SW,PN)
          CALL CODESOUT
          CALL AQUIOUT
          CALL WELLSOUT
        ELSE IF(IREOPT.GT.0) THEN
C   WRITE OUT BINARY TO RESOUT
C         OPEN(25,FILE=RESOUT)
        END IF
C  ************* Recurrent Input Section ****************
         CALL RECURROUT(NDATASET,PID,PWF)
C  *************  End of Recurrent Input ****************
      RETURN
998   WRITE(BUFFER,*)'B3OUT Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
      END
C     BEGINOUT.FOR
C                    Designed by
C                    Raymond J. Heemstra
C
      SUBROUTINE BEGINOUT

      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      CHARACTER*80 BUFFER
C      WRITE(*,3005)
C3005  FORMAT(//T10,69('*'),
C     & /T10,'*',                                                T78,'*',
C     & /T10,'*',T25,'          B O A S T  3           ',        T78,'*',
C     & /T10,'*',T25,'         Data Output File          ',      T78,'*',
C     & /T10,'*',T25,'Developed for BDM-Oklhoma - June, 1996',   T78,'*',
C     & /T10,'*',T25,'                                   ',      T78,'*',
C     & /T10,69('*') /)

C** RESTART OPTION READ
      NERR=6
      WRITE(2,69,ERR=998) H1
69    FORMAT(A80)
      NERR=7
      WRITE(2,*,ERR=998) IREOPT,IPLOTP

C     NOTE:  IREOPT= 0 or 1  will work like BOASTII   
C
C    IREOPT -- Restart option code  (not activated = -1; activated = 0; 
C                           restart run begun at time step IRSTRT = 1)
C    IRSTRT -- Restart time step
C    IRNUM -- Number of restart entries, Maximum of 3 (only 1 recommended)
C    NN -- Maximum number of time steps
C    TMAX -- Maximum number of days
C    This is a restart run beginning at time step IRSTRT
C
      NERR=8
      IF(IREOPT.GT.-1) THEN
        WRITE(2,'(3(I4,1X),F7.0)',ERR=998) IRNUM,IRSTRT,NNRST,TMAXRST
C	WRITE(*,*) 'Restart entries = ',IRNUM
C	WRITE(*,*) 'Restart begins at time step ',IRSTRT
C	WRITE(*,*) 'Maximum time steps is ',NN
C	WRITE(*,*) 'Maximum days is ',TMAX
C      ELSE
C        WRITE(*,*) 'Restart not active'
      ENDIF
      IF(IREOPT.GE.0) THEN
C----INPUT RESTART FILE
        NERR=9
        WRITE(2,7,ERR=998) RESIN
7       FORMAT(A12)
        NERR=10
        WRITE(2,7,ERR=998) RESOUT
        NERR=11
        IF(IRNUM.GT.0) THEN
          WRITE(2,*,ERR=998) (REDATE(I),I=1,IRNUM)
        ELSE
          REDATE(1)=0.0
          WRITE(2,*,ERR=998) REDATE(1),'   RSTTIME=0.0 if IRNUM=0'
        END IF
      ENDIF
      RETURN
998   WRITE(BUFFER,*)'BEGINOUT Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
      END 

C    GRIDSZOUT.FOR
C                    Designed by
C                    Raymond J. Heemstra
C................................................................GRIDSZ
      SUBROUTINE GRIDSZOUT(DX,DY,DZ,DZNET,RDXL,RDYL,RDZL,RDZNET,
     &                   ZT,VAREL,RKEL,EL)

      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      INCLUDE 'GRIDA.INC'

      COMMON /TSTDAT/ IFATAL,IWARN
      CHARACTER*80 BUFFER

C    ***** INITIALIZATION DATA *****
      NERR=12
      WRITE(2,69,ERR=998) H2
69    FORMAT(A80)
C   Rows, Columns, and Layers
      NERR=13
      WRITE(2,'(3(1X,I4))',ERR=998) II,JJ,KK

C.... Grid dimension limit check
      IF(II.GT.NX) THEN
        IFATAL=IFATAL+1
        WRITE(BUFFER,1510,ERR=999)
     &   ' No. of x-direction blocks cannot exceed ',NX
 1510   FORMAT(A,I5)
        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      ENDIF
      IF(JJ.GT.NY) THEN
        IFATAL=IFATAL+1
        WRITE(BUFFER,1510,ERR=999)
     &  ' No. of y-direction blocks cannot exceed ',NY
        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      ENDIF
      IF(KK.GT.NZ) THEN
        IFATAL=IFATAL+1
        WRITE(BUFFER,1510,ERR=999)
     &   ' No. of z-direction blocks cannot exceed ',NZ
        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      ENDIF

      NERR=14
      WRITE(2,69,ERR=998) H3
      NERR=15
      WRITE(2,'(4(I2,1X),A)',ERR=998) KDX,KDY,KDZ,KDZNET,
     &   '                  [KDX KDY KDZ KDZNET]'

C  *****  ESTABLISH GRID BLOCK LENGTH (DX) DISTRIBUTION
      IF(KDX.LT.0) THEN
        NERR=16
        WRITE(2,*,ERR=998) DXC
      ELSE IF(KDX.EQ.0) THEN
        NERR=17
        WRITE(2,*,ERR=998)(RDXL(I),I=1,II)
      ELSE
C ***** GRID BLOCK LENGTH (DX) DISTRIBUTION
        K=1
        NERR=18
        DO 190 J=1,JJ
          WRITE(2,*,ERR=998)(DX(I,J,K),I=1,II)
  190   CONTINUE
      ENDIF

C  *****  ESTABLISH GRID BLOCK LENGTH (DY) DISTRIBUTION
      IF(KDY.LT.0) THEN
        NERR=19
        WRITE(2,*,ERR=998)DYC
      ELSE IF(KDY.EQ.0) THEN
        NERR=20
        WRITE(2,*,ERR=998)(RDYL(J),J=1,JJ)
      ELSE
C *****  GRID BLOCK LENGTH (DY) DISTRIBUTION
        K=1
        NERR=21
        DO 215 J=1,JJ
          WRITE(2,*,ERR=998)(DY(I,J,K),I=1,II)
  215   CONTINUE
      ENDIF
 
C ***** ESTABLISH GRID BLOCK LENGTH (DZ) DISTRIBUTION
      IF(KDZ.LT.0) THEN
        NERR=22
        WRITE(2,*,ERR=998)DZC
      ELSEIF (KDZ.EQ.0) THEN
        NERR=23
        WRITE(2,*,ERR=998)(RDZL(K),K=1,KK)
      ELSE
        NERR=24
        DO 240 K=1,KK
         DO 242 J=1,JJ
           WRITE(2,*,ERR=998)(DZ(I,J,K),I=1,II)
  242    CONTINUE
240     CONTINUE
      ENDIF
C245   CONTINUE

C*****GRID BLOCK NET THICKNESS (DZNET) DISTRIBUTION
      IF(KDZNET.LT.0) THEN
        NERR=25
        WRITE(2,*,ERR=998) DZNETC
      ELSE IF(KDZNET.EQ.0) THEN
        NERR=26
        WRITE(2,*,ERR=998) (RDZNET(K),K=1,KK)
      ELSE
        NERR=27
        DO 273 K=1,KK
         DO 270 J=1,JJ
          WRITE(2,*,ERR=998) (DZNET(I,J,K),I=1,II)
  270    CONTINUE
  273   CONTINUE

      ENDIF

C********GRID BLOCK LENGTH MODIFICATIONS
      NERR=28
      WRITE(2,69,ERR=998) H4
      NERR=29
      WRITE(2,'(5(1X,I4))',ERR=998) NUMDX,NUMDY,NUMDZ,NUMDZN,IDCODE

      IF(NUMDX.NE.0) THEN
        NERR=30
        DO 275 L=1,NUMDX
        WRITE(2,'(6(I4,1X),F8.2)',ERR=998) I1DX(L),I2DX(L),
     &        J1DX(L),J2DX(L), K1DX(L),K2DX(L),REGVALDX(L)
  275   CONTINUE
      ENDIF

      IF(NUMDY.NE.0) THEN
        NERR=31
        DO 276 L=1,NUMDY
        WRITE(2,'(6(I4,1X),F8.2)',ERR=998) I1DY(L),I2DY(L),
     &      J1DY(L),J2DY(L),K1DY(L),K2DY(L),REGVALDY(L)
  276   CONTINUE
      ENDIF

      IF(NUMDZ.NE.0) THEN
      NERR=32
      DO 277 L=1,NUMDZ
       WRITE(2,'(6(I4,1X),F8.2)',ERR=998) I1DZ(L),I2DZ(L),
     &     J1DZ(L),J2DZ(L),K1DZ(L),K2DZ(L),REGVALDZ(L)
  277 CONTINUE
      ENDIF

      IF(NUMDZN.NE.0) THEN
C      GRID BLOCK NET THICKNESS (DZNET) NODE MODIFICATIONS
        NERR=33
        DO 865 L=1,NUMDZN
         WRITE(2,'(6(I4,1X),F8.2)',ERR=998) I1DZN(L),I2DZN(L),
     &         J1DZN(L),J2DZN(L),K1DZN(L),K2DZN(L),REGVALDZN(L)
  865   CONTINUE

      ENDIF
C
C      GRID BLOCK SIZE CHECK
C
      DO 900 K=1,KK
      DO 900 J=1,JJ
      DO 900 I=1,II
       IF(DX(I,J,K).LT.0.0) THEN
         IFATAL=IFATAL+1
C         WRITE(*,891) I,J,K
C  891    FORMAT(/,5X,5('-'),'GRID BLOCK DX ERROR AT IJK =',3I5)
         WRITE(BUFFER,891,ERR=999) I,J,K
  891    FORMAT(' GRID BLOCK DX ERROR AT IJK = ',3I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF 
       IF(DY(I,J,K).LT.0.0) THEN
         IFATAL=IFATAL+1
C         WRITE(*,893) I,J,K
C  893    FORMAT(/,5X,5('-'),'GRID BLOCK DY ERROR AT IJK =',3I5)
         WRITE(BUFFER,893,ERR=999) I,J,K
  893    FORMAT(' GRID BLOCK DY ERROR AT IJK = ',3I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF
       IF(DZ(I,J,K).LT.0.0) THEN
         IFATAL=IFATAL+1
C         WRITE(*,895) I,J,K
C  895    FORMAT(/,5X,5('-'),'GRID BLOCK DZ ERROR AT IJK =',3I5)
         WRITE(BUFFER,895,ERR=999) I,J,K
  895    FORMAT(' GRID BLOCK DZ ERROR AT IJK = ',3I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF
       IF(DZNET(I,J,K).LT.0.0) THEN
         IFATAL=IFATAL+1
C         WRITE(*,897) I,J,K
C  897    FORMAT(/,5X,5('-'),'GRID BLOCK DZNET ERROR AT IJK =',3I5)
         WRITE(BUFFER,897,ERR=999) I,J,K
  897    FORMAT(' GRID BLOCK DZNET ERROR AT IJK = ',3I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF
  900 CONTINUE

C.... Establish node mid-point elevations...............

C.... Read elevation code and dip angle ......................
C.... KEL < 0  ===> constant dip (alpha); otherwise alpha not used !!
C.... KEL = -1 ===> contigous layers
C.... KEL = -2 ===> non-contiguous layers
      NERR=34
      WRITE(2,69,ERR=998) H5
C      ALPHA is dipping reservoir option in degrees
C---- Now must break into two cases:  alpha > 0  (dipping down in x-dir)
C                                     alpha < 0  (sloping up in x-dir)
      NERR=35
      WRITE(2,*,ERR=998) KEL, ALPHA  ,'      <---- KEL, ALPHA'

      IF(KEL.LT.0) THEN
        NERR=36
        IF(KEL.EQ.-1) THEN
	  WRITE(2,*,ERR=998) ELEV
        ENDIF
C    NOTE:  IF KEL = -2  -- non-contiguous layers, ZT's are read in
        NERR=37
        IF(KEL.EQ.-2) THEN
	  WRITE(2,*,ERR=998) (ZT(K),K=1,KK)
        ENDIF

C.... KEL = 0, 1, 2, 3 options - not altered !

      ELSE IF(KEL.EQ.0) THEN
      
        NERR=38
        WRITE(2,*,ERR=998) ELEV

      ELSE IF(KEL.EQ.1) THEN
      
        NERR=39
        DO 922 J=1,JJ
          WRITE(2,*,ERR=998) (VAREL(I,J),I=1,II)
  922   CONTINUE

      ELSE IF(KEL.EQ.2) THEN
c....   KEL = 2 ....................................
        NERR=40
        WRITE(2,*,ERR=998)(RKEL(K),K=1,KK)
      ELSE IF (KEL .EQ. 3) THEN
        NERR=41
        DO 963 K=1,KK
          DO 965 J=1,JJ
           WRITE(2,*,ERR=998)(EL(I,J,K),I=1,II)
  965     CONTINUE
  963   CONTINUE
      ELSE
        IFATAL=IFATAL+1
	RETURN
      ENDIF 

      RETURN
998   WRITE(BUFFER,*,ERR=999) 'GRIDSZOUT Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
999   WRITE(BUFFER,*) 'Internal write error ',NERR,', IFATAL=',IFATAL
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
      END

C     PORPRMOUT.FOR
C                    Designed by
C                    Raymond J. Heemstra
C.................................................................PORPRM
      SUBROUTINE PORPRMOUT(RPHL,RKXL,RKYL,RKZL,VP,KX,KY,KZ)
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      INCLUDE 'PORPRA.INC'

      COMMON /TSTDAT/ IFATAL,IWARN
      CHARACTER*80 BUFFER
      NERR=42
      WRITE(2,69,ERR=998) H6
69    FORMAT(A80)
C*****READ INPUT CODES FOR PHI,KX,KY,KZ
      NERR=43
      WRITE(2,'(4(1X,I4),A)',ERR=998)KPH,KKX,KKY,KKZ,
     &   '       KPH, KKX, KKY, KKZ'

C*****ESTABLISH POROSITY (PHI) DISTRIBUTION
      IF(KPH.LT.0) THEN
        NERR=44
        WRITE(2,*,ERR=998)PHIC
      ELSE IF(KPH.EQ.0) THEN
        NERR=45
        WRITE(2,*,ERR=998)(RPHL(K),K=1,KK)
      ELSE
        NERR=46
        DO 160 K=1,KK
         DO 155 J=1,JJ
          WRITE(2,*,ERR=998)(VP(I,J,K),I=1,II)
  155    CONTINUE
160     CONTINUE
      ENDIF

C*****ESTABLISH PERMEABILITY (KX) DISTRIBUTION
      IF(KKX.LT.0) THEN
        NERR=47
        WRITE(2,*,ERR=998)KXC
      ELSE IF(KKX.EQ.0) THEN
        NERR=48
        WRITE(2,*,ERR=998)(RKXL(K),K=1,KK)
      ELSE
        NERR=49
        DO 192 K=1,KK
         DO 190 J=1,JJ
          WRITE(2,*,ERR=998)(KX(I,J,K),I=1,II)
  190    CONTINUE
192     CONTINUE
      ENDIF

C*****ESTABLISH PERMEABILITY (KY) DISTRIBUTION
      IF(KKY.LT.0) THEN
        NERR=50
        WRITE(2,*,ERR=998)KYC
      ELSE IF(KKY.EQ.0) THEN
        NERR=51
        WRITE(2,*,ERR=998)(RKYL(K),K=1,KK)
      ELSE
        NERR=52
        DO 212 K=1,KK
         DO 215 J=1,JJ
          WRITE(2,*,ERR=998)(KY(I,J,K),I=1,II)
  215    CONTINUE
212     CONTINUE
C220   CONTINUE
      ENDIF

C*****ESTABLISH PERMEABILITY (KZ) DISTRIBUTION
      IF(KKZ.LT.0) THEN
        NERR=53
        WRITE(2,*,ERR=998)KZC
      ELSE IF(KKZ.EQ.0) THEN
        NERR=54
        WRITE(2,*,ERR=998)(RKZL(K),K=1,KK)
      ELSE
        NERR=55
        DO 240 K=1,KK
         DO 242 J=1,JJ
          WRITE(2,*,ERR=998)(KZ(I,J,K),I=1,II)
  242    CONTINUE
240     CONTINUE
      ENDIF

C**********POROSITY AND PERMEABILITY MODIFICATIONS
      NERR=56
      WRITE(2,69,ERR=998) H7
      NERR=57
      WRITE(2,'(4(I4,1X),4(I1,1X),A)',ERR=998) NUMP,NUMKX,NUMKY,NUMKZ,
     &                             KPHIMP,KXMP,KYMP,KZMP,
     &    '   [NUMP,NUMKX,NUMKY,NUMKZ,KPHIMP,KXMP,KYMP,KZMP]'

      IF(NUMP.NE.0) THEN

        NERR=58
        DO 274 L=1,NUMP
         WRITE(2,'(6(I3,1X),F15.6,A)',ERR=998) I1NUM(L),I2NUM(L),
     &    J1NUM(L),J2NUM(L),K1NUM(L),K2NUM(L),REGVALNUM(L),
     &  '     [I1,I2,J1,J2,K1,K2,PHI]'
  274   CONTINUE
      ENDIF

      IF(NUMKX.NE.0) THEN
        NERR=59
        DO 275 L=1,NUMKX
         WRITE(2,'(6(I3,1X),F15.6,A)',ERR=998) I1KX(L),I2KX(L),
     &     J1KX(L),J2KX(L),K1KX(L),K2KX(L),REGVALKX(L),
     &  '     [I1,I2,J1,J2,K1,K2,KX]'
  275   CONTINUE
      ENDIF
C                '(6(I4,1X),F8.2)'
      IF(NUMKY.NE.0) THEN
        NERR=60
        DO 276 L=1,NUMKY
        WRITE(2,'(6(I3,1X),F15.6,A)',ERR=998) I1KY(L),I2KY(L),
     &     J1KY(L),J2KY(L),K1KY(L),K2KY(L),REGVALKY(L),
     &  '     [I1,I2,J1,J2,K1,K2,KY]'
  276   CONTINUE
      ENDIF

      IF(NUMKZ.NE.0) THEN
        NERR=61
        DO 277 L=1,NUMKZ
         WRITE(2,'(6(I3,1X),F15.6,A)',ERR=998) I1KZ(L),I2KZ(L),
     &     J1KZ(L),J2KZ(L),K1KZ(L),K2KZ(L),REGVALKZ(L),
     &  '     [I1,I2,J1,J2,K1,K2,KZ]'
  277    CONTINUE
      ENDIF

      RETURN
998   WRITE(BUFFER,*) 'PORPRMOUT Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
      END

C     TRANSOUT.FOR
C                    Designed by
C                    Raymond J. Heemstra
C........................................................................TRANS
      SUBROUTINE TRANSOUT
C      MACHINE DEPENDENT INCLUDE STATEMENT
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'

C      TRANSMISSIBILITY CALC

      COMMON /TSTDAT/ IFATAL,IWARN
      CHARACTER*80 BUFFER
C****** TRANSMISSIBILITY MODIFICATIONS
      NERR=62
      WRITE(2,69,ERR=998) H8
   69 FORMAT(A80)
      NERR=63
      WRITE(2,'(4(1X,I4),A)',ERR=998) NUMTX,NUMTY,NUMTZ,ITCODE,
     &   '   [NUMTX,NUMTY,NUMTZ,ITCODE]'

      IF(NUMTX.GT.0) THEN
        NERR=64
        DO 275 L=1,NUMTX
          WRITE(2,'(6(I3,1X),F15.6,A)',ERR=998) I1TX(L),I2TX(L),
     &       J1TX(L),J2TX(L),K1TX(L),K2TX(L),REGVALTX(L),
     &  '     [I1,I2,J1,J2,K1,K2,TX]'
  275   CONTINUE
      ENDIF

      IF(NUMTY.GT.0) THEN
        NERR=65
        DO 276 L=1,NUMTY
          WRITE(2,'(6(I3,1X),F15.6,A)',ERR=998) I1TY(L),I2TY(L),
     &       J1TY(L),J2TY(L),K1TY(L),K2TY(L),REGVALTY(L),
     &  '     [I1,I2,J1,J2,K1,K2,TY]'
  276   CONTINUE
      ENDIF

      IF(NUMTZ.GT.0) THEN
        NERR=66
        DO 277 L=1,NUMTZ
        WRITE(2,'(6(I3,1X),F15.6,A)',ERR=998) I1TZ(L),I2TZ(L),
     &     J1TZ(L),J2TZ(L),K1TZ(L),K2TZ(L),REGVALTZ(L),
     &  '     [I1,I2,J1,J2,K1,K2,TZ]'
  277   CONTINUE
      ENDIF

      RETURN
998   WRITE(BUFFER,*) 'TRANSOUT Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
      END

C     TABLEOUT.FOR
C                    Designed by
C                    Raymond J. Heemstra
C.................................................................TABLE
      SUBROUTINE TABLEOUT(EL,IROCK,IPVT,PBOT)
C      MACHINE DEPENDENT INCLUDE STATEMENT
       INCLUDE 'BAEDPARM.INC'
       INCLUDE 'BED.INC'
       INCLUDE 'TABLEA.INC'
       DIMENSION EL(LP1,LP2,LP3)
C      READ ROCK AND PVT DATA

      COMMON /TSTDAT/ IFATAL,IWARN
      CHARACTER*80 BUFFER
      LOGICAL EQUALS
C   ***** EMPIRICAL DATA TABLES *****
      NERR=67
      WRITE(2,1,ERR=998) H9
1     FORMAT(A80)
C   ***** NUMBER OF REGIONS, Rock, PVT ****
      NERR=68
      WRITE(2,'(2(1X,I4))',ERR=998) NROCK,NPVT

      IF(NROCK.GT.1) THEN
        NERR=69
        WRITE(2,1,ERR=998) H10
        NERR=70
        WRITE(2,'(I4)',ERR=998) NUMROK
        IF(NUMROK.NE.0) THEN

C      ***** ROCK REGION MODIFICATIONS *****
          NERR=71
          DO 1200 L=1,NUMROK
           WRITE(2,'(7(1X,I4))',ERR=998) I1ROK(L),I2ROK(L),
     &        J1ROK(L),J2ROK(L),K1ROK(L),K2ROK(L),IVALROK(L)
 1200     CONTINUE
        ENDIF

C      ***** ROCK REGION DISTRIBUTION *****
        IF(NUMROK.EQ.0) THEN
          NERR=72
          DO 1700 K=1,KK
          DO 1700 J=1,JJ
	   WRITE(2,*,ERR=998) (IROCK(I,J,K),I=1,II)
 1700     CONTINUE
	ENDIF
      ENDIF

      IF(NPVT.GT.1) THEN
        NERR=73
        WRITE(2,1,ERR=998) H11
        NERR=74
        WRITE(2,'(1X,I4)',ERR=998) NUMPVT

        IF(NUMPVT.NE.0) THEN
C      ***** PVT REGION MODIFICATIONS *****
          NERR=75
          DO 2200 L=1,NUMPVT
           WRITE(2,'(7(1X,I4))',ERR=998) I1PVT(L),I2PVT(L),
     &                 J1PVT(L),J2PVT(L),K1PVT(L),K2PVT(L),IVALPVT(L)
 2200     CONTINUE
        ELSE

C     ***** PVT REGION DISTRIBUTION *****
          NERR=76
          DO 2700 K=1,KK
           DO 2700 J=1,JJ
	    WRITE(2,*,ERR=998) (IPVT(I,J,K),I=1,II)
 2700     CONTINUE
        ENDIF
      ENDIF

C=============================================================
C****  RELATIVE PERMEABILITY & CAPILLARY PRESSURE TABLE
C=============================================================
C   *** ROCK REGION # NR ***
      DO 10 NR=1,NROCK
       NERR=77
       WRITE(2,1,ERR=998) H12
       NERR=78
C       DO 5 I=1, 25
       DO 5 I=1, MSAT(NR)
         WRITE(2,'(F5.3,4(1X,F7.5),2(1X,F7.0))',ERR=998) SAT(NR,I),
     &             KROT(NR,I), KRWT(NR,I), KRGT(NR,I), KROGT(NR,I),
     &            PCOWT(NR,I),PCGOT(NR,I)
         IF(ABS(SAT(NR,I) - 1.00).LE.0.00001) GO TO 9
5     CONTINUE
9     MSAT(NR) = I

C   ITHREE = 0, Three-phase rel. perm. calc. not used
C   ITHREE > 0, Three-phase rel. perm. calc. is used

      NERR=79
      WRITE(2,1,ERR=998) H13
      NERR=80
      WRITE(2,'(I4,1X,F6.3)',ERR=998) ITHREE(NR),SWR(NR)
10    CONTINUE

C****  BUBBLE POINT & MAXIMUM PRESSURES
      NERR=81
      DO 400 NP=1,NPVT
C      INITIALIZE BUBBLE POINT PRESSURE ARRAY.
       NERR=82
       WRITE(2,1,ERR=998) H14
C    BP press., BP depth, BP gradient(PSI/FT)
       NERR=83
       WRITE(2,'(2(1X,F8.1),F9.4)',ERR=998) PBO,PBODAT,PBGRAD
       DO 3500 K=1,KK
       DO 3500 J=1,JJ
       DO 3500 I=1,II
      IF(IPVT(I,J,K).NE.NP) GO TO 3500
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C....... Found and fixed bug here - WKS 7/31/93
CCC      PBOT(I,J,K)=PBO+(PBODAT-EL(I,J,K))*PBGRAD
       PBOT(I,J,K) = PBO + (EL(I,J,K) - PBODAT)*PBGRAD
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
C       PBOTN(I,J,K)=PBOT(I,J,K)
C      CHECK BUBBLE POINT PRESSURE DATA
       IF(PBOT(I,J,K).GE.0.0) GO TO 3500
         IFATAL=IFATAL+1
         WRITE(BUFFER,3300) I,J,K
 3300    FORMAT('BUBBLE POINT PRESSURE ERROR IN',
     &    ' GRID BLOCK = ',3I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
 3500  CONTINUE

C****  OIL DATA TABLE
      NERR=84
      WRITE(2,1,ERR=998) H15
      NERR=85
      WRITE(2,'(3(F10.7,1X),F8.1,1X,I4)',ERR=998)
     &        VSLOPE(NP),BSLOPE(NP),RSLOPE(NP),PMAXT,IREPRS
C      CHECK UNDERSATURATED SLOPES
      IF(VSLOPE(NP).GE.0.0) GO TO 3520
        IWARN=IWARN+1
        WRITE(BUFFER,3510) NP
 3510   FORMAT('VSLOPE FOR PVT REGION',I5,
     &   ' IS NEGATIVE')
        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
 3520 IF(BSLOPE(NP).LE.0.0) GO TO 3540
        IWARN=IWARN+1
        WRITE(BUFFER,3530) NP
 3530   FORMAT('BSLOPE FOR PVT REGION',I5,
     &   ' IS POSITIVE')
        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
 3540 IF(RSLOPE(NP).EQ.0.0) GO TO 3560
        IWARN=IWARN+1
        WRITE(BUFFER,3550) NP
 3550   FORMAT('RSLOPE FOR PVT REGION',I5,
     &   'IS NOT ZERO')
        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
 3560 CONTINUE

      NERR=86
      WRITE(2,1,ERR=998) H16
      NERR=87
C      DO 15 I=1, 25     !  MPOT(NP)=I  max of 25
      DO 15 I=1, MPOT(NP)     !  MPOT(NP)=I  max of 25
       WRITE(2,'(F7.1,1X,F6.4,1X,F6.4,1X,F8.1)',ERR=998) POT(NP,I),
     &  MUOT(NP,I),BOT(NP,I),RSOT(NP,I)
C      IF(POT(NP,I).GE.PMAXT)GO TO 20
      IF((POT(NP,I).GT.PMAXT).OR.EQUALS(POT(NP,I),PMAXT))GO TO 20
15    CONTINUE
20    MPOT(NP)=I

C      POT  DEPENDENT DATA CHECK
      DO 5200 I=1,MPOT(NP)
       IF(I.GT.1) GO TO 5105
C         IF(POT(NP,1).GE.0.0.AND.POT(NP,1).LE.PMAXT) GO TO 5120
         IF( POT(NP,1).GE.0.0 .AND.
     &    (POT(NP,1).LT.PMAXT.OR.EQUALS(POT(NP,1),PMAXT)) ) GO TO 5120

         IFATAL=IFATAL+1
         WRITE(BUFFER,5110) NP,I
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
C       ELSE
       GO TO 5120
 5105    IF(POT(NP,I).LT.POT(NP,I-1).OR.POT(NP,I).GT.PMAXT) THEN
           IFATAL=IFATAL+1
           WRITE(BUFFER,5110) NP,I
 5110      FORMAT('POT ERROR FOR PVT REGION',I5,
     &     ' AND ENTRY # ',I5)
           CALL AboutB4(1,TRIM(BUFFER),'Error alert')
         ENDIF
C       ENDIF
 5120  CONTINUE
       IF(MUOT(NP,I).LT.0.0) THEN
         IFATAL=IFATAL+1
         WRITE(BUFFER,5130) NP,I
 5130    FORMAT('MUO ERROR FOR PVT REGION',I5,
     &    ' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF
       IF(BOT(NP,I).LT.0.0) THEN
         IFATAL=IFATAL+1
         WRITE(BUFFER,5150) NP,I
 5150    FORMAT('BO ERROR FOR PVT REGION',I5,
     &    ' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF
       IF(RSOT(NP,I).LT.0.0) THEN
         IFATAL=IFATAL+1
         WRITE(BUFFER,5170) NP,I
 5170    FORMAT('RSO ERROR FOR PVT REGION',I5,
     &    ' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF
 5200 CONTINUE

C****  WATER DATA TABLE
      NERR=88
      WRITE(2,1,ERR=998) H17
      NERR=89
C      DO 25 I=1, 25
      DO 25 I=1, MPWT(NP)
       WRITE(2,'(F7.1,1X,F6.4,1X,F6.4)',ERR=998) PWT(NP,I),MUWT(NP,I),
     &  BWT(NP,I) 
C       IF(PWT(NP,I).GE.PMAXT)GO TO 30
       IF((PWT(NP,I).GT.PMAXT).OR.EQUALS(PWT(NP,I),PMAXT))GO TO 30
25    CONTINUE
30    MPWT(NP)=I

C      PWT DEPENDENT DATA CHECK
      DO 5400 I=1,MPWT(NP)
       IF(I.GT.1) GO TO 5305
         IF(PWT(NP,1).GE.0.0.AND.PWT(NP,1).LE.PMAXT) GO TO 5320
           IFATAL=IFATAL+1
           WRITE(BUFFER,5310) NP,I
           CALL AboutB4(1,TRIM(BUFFER),'Error alert')
           GO TO 5320
 5305  IF(PWT(NP,I).GE.PWT(NP,I-1).AND.PWT(NP,I).LE.PMAXT) GO TO 5320
         IFATAL=IFATAL+1
         WRITE(BUFFER,5310) NP,I
 5310    FORMAT('PWT ERROR FOR PVT REGION',I5,
     &    ' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
 5320  IF(MUWT(NP,I).GE.0.0) GO TO 5353
         IFATAL=IFATAL+1
         WRITE(BUFFER,5330) NP,I
 5330    FORMAT('MUW ERROR FOR PVT REGION',I5,
     &    ' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
 5353  IF(BWT(NP,I).GE.0.0) GO TO 5400
         IFATAL=IFATAL+1
         WRITE(BUFFER,5350) NP,I
 5350    FORMAT('BW ERROR FOR PVT REGION',I5,
     &    ' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
 5400 CONTINUE

C****  GAS & ROCK DATA TABLE
      NERR=90
      WRITE(2,1,ERR=998) H18
      NERR=91
      WRITE(2,*,ERR=998) KGCOR,'          [ KGCOR  ]'
      NERR=92
      WRITE(2,1,ERR=998) H19    !  Header for PGT,MUGT,etc. even for KGCOR=1
      IF(KGCOR.EQ.1) THEN
C        MPGT(NP)=1    !  Should this statement be included? NO!!
        GO TO 50
      ENDIF
        NERR=93
C        DO 35 I=1,999
        DO 35 I=1,MPGT(NP)
         WRITE(2,'(F8.1,1X,F7.5,1X,F9.6,1X,E12.5,1X,F10.7)',ERR=998)
     &    PGT(NP,I),MUGT(NP,I),BGT(NP,I),PSIT(NP,I),CRT(NP,I)
         IF(PGT(NP,I).GE.PMAXT)GO TO 40
35      CONTINUE

40    MPGT(NP)=I
      GO TO 99
   50 CONTINUE
      NPHASE=NP
      CALL PSEUDOOUT(NPHASE,IFATAL,IOCODE)
C      **** ROCK COMPRESSIBILITY ****
      NERR=94
      WRITE(2,1,ERR=998) H20
C    Pressure & Rock Comp.
      NERR=95
      DO 55 IG=1,MPGT(NP)
C       IF(IG.GT.1.AND.PRT(NP,1).EQ.PMAXT) GO TO 53
       IF(IG.GT.1.AND.EQUALS(PRT(NP,1),PMAXT)) GO TO 53
       WRITE(2,'(F7.1,2X,F9.7)',ERR=998) PRT(NP,IG),CRT(NP,IG)
   53 CONTINUE   
   55 CONTINUE

   99 CONTINUE

C      PGT DEPENDENT DATA CHECK
      DO 5600 I=1,MPGT(NP)
       IF(I.GT.1) GO TO 5505
C         IF(PGT(NP,1).GE.0.0.AND.PGT(NP,1).LE.PMAXT) GO TO 5520
         IF(((PGT(NP,1).GT.0.0).OR.EQUALS(PGT(NP,1),0.0)).AND.
     &    ((PGT(NP,1).LT.PMAXT).OR.EQUALS(PGT(NP,1),PMAXT)))GO TO 5520
           IFATAL=IFATAL+1
           WRITE(BUFFER,5510) NP,I
 5510      FORMAT('PGT ERROR FOR PVT REGION',I5,
     &      ' AND ENTRY # ',I5)
           CALL AboutB4(1,TRIM(BUFFER),'Error alert')
           GO TO 5520
 5505  IF(PGT(NP,I).GE.PGT(NP,I-1).AND.
     & (PGT(NP,I)-PMAXT).LE.0.1) GO TO 5520
          IFATAL=IFATAL+1
        WRITE(BUFFER,5510) NP,I
        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      
 5520  IF(MUGT(NP,I).LT.0.0) THEN
         IFATAL=IFATAL+1
         WRITE(BUFFER,5530) NP,I
 5530    FORMAT('MUG ERROR FOR PVT REGION',I5,
     &    ' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF
       IF(BGT(NP,I).LT.0.0) THEN
        IFATAL=IFATAL+1
        WRITE(BUFFER,5550) NP,I
 5550   FORMAT('BG ERROR FOR PVT REGION',I5,
     &   ' AND ENTRY # ',I5)
        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF
       IF(CRT(NP,I).LT.0.0) THEN
        IFATAL=IFATAL+1
        WRITE(BUFFER,5570) NP,I
 5570   FORMAT('CR ERROR FOR PVT REGION',I5,
     &   ' AND ENTRY # ',I5)
        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF
       IF(PRT(NP,I).LT.0.0.OR.(PRT(NP,I)-PMAXT).GT.0.1) THEN
         IFATAL=IFATAL+1
         WRITE(BUFFER,5585) NP,I
 5585    FORMAT('ROCK PRES ERROR FOR PVT REGION',I5,
     &   ' AND ENTRY # ',I5)
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF
       IF(PSIT(NP,I).LT.0.0) THEN
        IFATAL=IFATAL+1
        WRITE(BUFFER,5595) NP,I
 5595   FORMAT('PSEUDO-PRES ERROR FOR PVT REGION',I5,
     &   ' AND ENTRY # ',I5)
        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
       ENDIF
       IF(I.NE.1) THEN
         IF(PRT(NP,I).LT.PRT(NP,I-1).OR.(PRT(NP,I)-PMAXT).GT.0.1)
     &   THEN
           IFATAL=IFATAL+1
           WRITE(BUFFER,5585) NP,I
           CALL AboutB4(1,TRIM(BUFFER),'Error alert')
	 ENDIF
       ENDIF
 5600 CONTINUE

C****  OIL, WATER, & GAS DENSITIES AT STOCK TANK CONDITIONS
      NERR=96
      WRITE(2,1,ERR=998) H21
      NERR=97
      WRITE(2,'(3F9.4)',ERR=998)RHOSCO(NP),RHOSCW(NP),RHOSCG(NP)
C      CHECK DENSITY DATA
      IF(RHOSCO(NP).LE.0.0) THEN
        IFATAL=IFATAL+1
        WRITE(BUFFER,5710) NP
 5710   FORMAT('OIL DENSITY FOR PVT REGION',I5,
     &   ' IN ERROR')
        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      ENDIF
      IF(RHOSCW(NP).LE.0.0) THEN
        IFATAL=IFATAL+1
        WRITE(BUFFER,5730) NP
 5730   FORMAT('WATER DENSITY FOR PVT REGION',I5,
     &   ' IN ERROR')
        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      ENDIF
      IF(RHOSCG(NP).LE.0.0) THEN
        IFATAL=IFATAL+1
        WRITE(BUFFER,5750) NP
 5750   FORMAT('GAS DENSITY  FOR PVT REGION',I5,
     &   ' IN ERROR')
        CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      ENDIF

  400 CONTINUE

      RETURN
998   WRITE(BUFFER,*) 'TABLEOUT Error Number ',NERR
         CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
      END

C     PSEUDOOUT.FOR
C                    Designed by
C                    Raymond J. Heemstra
C.............................................................PSEUDO
      SUBROUTINE PSEUDOOUT(NP,IFATAL,IOCODE)
C      MACHINE DEPENDENT INCLUDE STATEMENT
       INCLUDE 'BAEDPARM.INC'
       INCLUDE 'BED.INC'
       CHARACTER*80 BUFFER
C      GAS PROP BY CORRELATIONS

C      DATA NCOMP/12/

C   TEM      =   RESERVOIR TEMPERATURE, DEGREES F
C   SPG      =   GAS GRAVITY
C   TEMPC    =   PSEUDO-CRITICAL TEMP., DEGREES R
C   PRSPC    =   PSEUDO-CRITICAL PRESSURE, PSIA
C   CNCH2S   =   MOLE PERCENT - HYDROGEN SULFIDE
C   CNCCO2   =   MOLE PERCENT - CARBON DIOXIDE
C   CNCN2    =   MOLE PERCENT - NITROGEN

      NERR=98
      WRITE(2,'(I4,1X,I4,1X,F5.1,1X,F6.4,A)',ERR=998)
     &          KODEA, MPGT(NP), TEM, SPG,
     &         '      [ KODEA   MPGT   TEM   SPG ]'
      NERR=99
      WRITE(2,'(2(6F7.4))',ERR=998) (FRCI(I),I=1,12)

      IF(KODEA.GE.4) THEN
        NERR=100
        WRITE(2,*,ERR=998) PRSCI(12),TEMCI(12),RMWTI(12)
      ENDIF
      RETURN
998   WRITE(BUFFER,*) 'PSEUDOOUT Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
      END

C     UINITLOUT.FOR
C                    Designed by
C                    Raymond J. Heemstra
C
      SUBROUTINE UINITLOUT(LRCK,PIL,SOIL,SWIL,SGIL,SO,SW,PN)

      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      INCLUDE 'UINITA.INC'

      COMMON /TSTDAT/ IFATAL,IWARN
      CHARACTER*80 BUFFER
C............... Read Initialization Data ............................
      NERR=101
      WRITE(2,69,ERR=998) H22
69    FORMAT(A80)
      NERR=102
      WRITE(2,'(2(I3,1X),F8.1,1X,F8.6,A)',ERR=998) KPI,KSI,PDATUM,GRAD ,
     &            '      [KPI  KSI  PDATUM   GRAD]'

      NERR=103
      WRITE(2,69,ERR=998) H23
      NERR=104
      DO 25 M=1,NROCK
       WRITE(2,'(I4,4(1X,F8.1),3(1X,F5.3))',ERR=998)   NRRCK(M),
     &        PWOC(NRRCK(M)), WOC(NRRCK(M)),
     &        PGOC(NRRCK(M)),  GOC(NRRCK(M)),  SOIRK(NRRCK(M)),
     &       SWIRK(NRRCK(M)),  SGIRK(NRRCK(M))
25    CONTINUE

      NERR=105
      WRITE(2,69,ERR=998) H24
      NERR=106
      DO 27 K=1,KK
       WRITE(2,'(I4,2X,F8.1,2X,3(F5.3,2X),A)',ERR=998) LRCK(K),
     &            PIL(LRCK(K)), SOIL(LRCK(K)),
     &           SWIL(LRCK(K)), SGIL(LRCK(K)),'   [Pi  Soi  Swi  Sgi]'
27    CONTINUE

      IF(KSI.EQ.1) THEN

C  .... KSI=1 ====> Read So and Sw by grid-block and calculate Sg  
        NERR=107
        WRITE(2,69,ERR=998) H25
        NERR=108
        DO 3011 K=1,KK
        DO 3006 J=1,JJ
         WRITE(2,*,ERR=998) (SO(I,J,K),I=1,II)
3006	CONTINUE 
3011    CONTINUE

        NERR=109
        WRITE(2,69,ERR=998) H26

        NERR=110
        DO 3020 K=1,KK
        DO 3007 J=1,JJ
         WRITE(2,*,ERR=998) (SW(I,J,K),I=1,II)
3007    CONTINUE	
3020    CONTINUE
      ENDIF

C................ Saturation Initialization complete .................

      IF(KPI.EQ.1) THEN
C....    Read header & initial pressures by grid-block      
         NERR=111
         WRITE(2,69,ERR=998) H27
         NERR=112
         DO 3010 K=1,KK
         DO 3005 J=1,JJ
           WRITE(2,*,ERR=998) (PN(I,J,K),I=1,II)
3005     CONTINUE
3010     CONTINUE
      ENDIF
      
      RETURN
998   WRITE(BUFFER,*) 'UINITLOUT Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
      END

C***********************************************************************
C     CODESOUT.FOR
C                    Designed by
C                    Raymond J. Heemstra
C.................................................................CODES
      SUBROUTINE CODESOUT

C      MACHINE DEPENDENT INCLUDE STATEMENT
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      CHARACTER*80 BUFFER

C      READ DEBUG, MATRIX SOLUTION AND RUN CONTROL INFO

      COMMON /TSTDAT/ IFATAL,IWARN

      NERR=113
      WRITE(2,69,ERR=998) H28
69    FORMAT(A80)
      NERR=114
      WRITE(2,'(6(1X,I4))',ERR=998) KSN1,KSM1,KCO1,KCOFF,KSCRN,KOUT

C Every KSM1 th step solution matrix will be written
C every KSN1 th step lsorx data will be written
C Every KCO1 th step compressibilities & volume factors will be written

      NERR=115
      WRITE(2,69,ERR=998) H29
      NERR=116
      WRITE(2,'(I4,1X,2(1X,F5.2),2(1X,F7.0),1X,F8.0,1X,F6.0,1X,F7.0)'
     & , ERR=998) NN,FACT1,FACT2,TMAX,WORMAX,GORMAX,PAMIN,PAMAX
C           '(I4,2(1X,F5.2),1X,F7.1,1X,F12.2.1X,F12.0,1X,F10.2,1X,F12.0)'

      IF(WORMAX.EQ.0.0) THEN
        NERR=117
        WRITE(2,*,ERR=998) (WOROCK(I),I=1,NROCK)
      ENDIF

C
C     ******  ROCK REGION SPECIFIED GOR MAXIMA  *******
      IF(GORMAX.EQ.0.0) THEN
        NERR=118
        WRITE(2,*,ERR=998) (GOROCK(I),I=1,NROCK)
      ENDIF

C NN--Maximum number of time-steps
C FACT1--Factor for increasing time-step size
C FACT2--Factor for decreasing time-step size
C TMAX--Maximum simulation time

      NERR=119
      WRITE(2,69,ERR=998) H30
C      WRITE(*,*) H30
      NERR=120
      WRITE(2,'(I3,I6,1X,F5.2,1X,2(F5.3,1X),F6.3,1X,F10.1)',ERR=998)
     &     KSOL,MITER,OMEGA,TOL,TOL1,DSMAX,DPMAX

C      NUM DIS AND IMPES/R-K SOLN CONTROLS

      NERR=121
      WRITE(2,69,ERR=998) H31
      NERR=122
      WRITE(2,'(2I5,2X,F5.2)',ERR=998) NUMDIS,IRK,THRUIN
      
C      CHECK CODE DATA
C      DEBUG

      IF(KSN1 .NE.0) IWARN=IWARN+1 
      IF(KSM1 .NE.0) IWARN=IWARN+1
      IF(KCO1 .NE.0) IWARN=IWARN+1
      IF(KCOFF.NE.0) IWARN=IWARN+1
 
C      RUN CONTROL

C 3000 CONTINUE
 
      RETURN
998   WRITE(BUFFER,*) 'CODESOUT Error Number ',NERR,
     &   ',  Warnings = ',IWARN
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
      END

C     AQUIOUT.FOR
C                    Designed by
C                    Raymond J. Heemstra
C................................................................AQUI
      SUBROUTINE AQUIOUT
C      MACHINE DEPENDENT INCLUDE STATEMENT
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      CHARACTER*80 BUFFER
C          CALC AQUIFER INFLUX

C      MAX DIM TIM CORRELATION VALUES

C      DIMENSION TDCMAX(11)

C      DATA TDCMAX/0.,0.,0.6,5.,5.,10.,15.,30.,45.,70.,1000./

      NERR=123
      WRITE(2,5,ERR=998) H32
    5 FORMAT(A80)
      NERR=124
      WRITE(2,'(I5)',ERR=998) IAQOPT
      IF(IAQOPT.EQ.0) RETURN

C      IF(IAQOPT.NE.1) GO TO 100
      IF(IAQOPT.EQ.1) THEN

C    ***  POT AQUIFER PARAMETERS
C
        NERR=125
        WRITE(2,'(I5)',ERR=998) NAQEN

        NERR=126
        DO 20 N=1,NAQEN
         WRITE(2,'(6(I3,1X),F15.7)',ERR=998) I1PAQ(N),I2PAQ(N),
     &               J1PAQ(N),J2PAQ(N), K1PAQ(N),K2PAQ(N), POTAQ(N)
   20   CONTINUE
        RETURN
      ENDIF
C  100 CONTINUE

C    ***  STEADY-STATE AQUIFER PARAMETERS
C      IF(IAQOPT.NE.2) GO TO 200
      IF(IAQOPT.EQ.2) THEN

        NERR=127
        WRITE(2,'(I5)',ERR=998) NAQEN

        NERR=128
        DO 120 N=1,NAQEN
         WRITE(2,'(6(I4,1X),F15.7)',ERR=998) I1SAQ(N),I2SAQ(N),
     &               J1SAQ(N),J2SAQ(N), K1SAQ(N),K2SAQ(N), SSAQ(N)
  120   CONTINUE

        RETURN
      ENDIF
C  200 CONTINUE

C    ***  CARTER-TRACY AQUIFER
      NERR=129
      WRITE(2,'(I5)',ERR=998) NAQREG
C
C   CARTER-TRACY AQUIFER PARAMETERS FOR REGION NR
C
C     IAQOPT =   3,   4,   5,   6,   7,   8,   9,  10,   11
C      RE/RW = 1.5, 2.0, 3.0, 4.0, 5.0, 6.0, 8.0, 10.0, INFINITE-ACTING AQUIFER CASE 
C
      DO 300 NR=1,NAQREG
       NERR=130
       WRITE(2,*,ERR=998)
     &   AQCR(NR),AQCW(NR),AQMUW(NR),AQK(NR),
     &   AQPHI(NR),AQH(NR),AQS(NR),AQRE(NR)
C
C  AQCR  -- AQ ROCK COMP (1/PSI)
C  AQCW  -- AQ WATER COMP (1/PSI)
C  AQMUW -- AQ WATER VISCOSITY (CP)
C  AQK   -- AQ PERMEABILITY (MD)
C  AQPHI -- AQ POROSITY (FRACTION)
C  AQH   -- AQ NET THICKNESS (FT)
C  AQS   -- AQ/RES BOUNDARY INTERFACE (FRACTION)
C  AQRE  -- EXTERNAL RES RADIUS (FT)
C
C    ***  REGION LIMITS AND C-T PARAMETERS
C          I1  I2  J1  J2  K1  K2  AQ PAR 1  AQ PAR 2
C   WRITE(IOCODE,230) I1,I2,J1,J2,K1,K2,AQKT,AQBETA
C
       NERR=131
       WRITE(2,'(I5)',ERR=998) NAQEN
       NERR=132
       DO 250 N=1,NAQEN
        WRITE(2,'(6(1X,I3))',ERR=998) I1BAQ(NR,N),I2BAQ(NR,N),
     &        J1BAQ(NR,N),J2BAQ(NR,N),K1BAQ(NR,N),K2BAQ(NR,N)
  250  CONTINUE
 
  300 CONTINUE
      RETURN
998   WRITE(BUFFER,*) 'AQUIOUT Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
      END

C     WELLSOUT.FOR
C                    Designed by
C                    Raymond J. Heemstra
C============================================================================
C!!! THIS IS "WELLS" and "WRTMAP" from MIS4 - being modified for BOAST3 !!!
C============================================================================
      SUBROUTINE WELLSOUT

      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'

C      CHARACTER*75 HEADIN(4)
      CHARACTER*80 BUFFER
C.... NOTE:  NWX  = max no of wells in PARAMS.FOR .............
C....        NODX = max nodes per well in PARAMS.FOR..........


      NERR=133
      WRITE(2,69,ERR=998)  H33
69    FORMAT(A80)
C      HEADIN(1)=H33(1:75)
      NERR=134
      WRITE(2,69,ERR=998)  H34
C      HEADIN(2)=H34(1:75)

      NERR=135
      WRITE(2,'(I5)',ERR=998)   NWELLS
      NERR=136
      WRITE(2,69,ERR=998)  H35

      NERR=137
      DO 411 NW = 1,NWELLS
        WRITE(2,'(2I5,A3,A5,A1)',ERR=998) IDWEL(NW),NPW(NW),
     &   '  ''',WELNAM(NW),''''
C        WRITE(BUFFER,*) IDWEL(NW),NPW(NW),'  ',WELNAM(NW)
C        CALL AboutB4(1,TRIM(BUFFER),'WELLSOUT')
411   CONTINUE

      NERR=138
      WRITE(2,69,ERR=998) H36
      NERR=139
      DO 4111 NW=1,NWELLS
          NODS = NPW(NW)
       DO 4111 M=1,NODS 
        WRITE(2,'(5I6)',ERR=998) IDWELX(NW,M),LWX(NW,M),LWY(NW,M),
     &     LWZ(NW,M),IDIR(NW,M)
C        WRITE(BUFFER,*) IDWELX(NW,M),LWX(NW,M),LWY(NW,M),
C     &     LWZ(NW,M),IDIR(NW,M)
C        CALL AboutB4(1,TRIM(BUFFER),'WELLSOUT')
4111  CONTINUE
      RETURN
998   WRITE(BUFFER,*) 'WELLSOUT Error Number ',NERR
      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
      RETURN
      END
C     RECURROUT.FOR
C                    Designed by
C                    Raymond J. Heemstra
C
      SUBROUTINE RECURROUT(NDATASET,PID,PWF)
C
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      INCLUDE 'NODESA.INC'
C      CHARACTER*80 BUFFER
      CHARACTER*80 PAGE(2)
      INTEGER NDATASET,NRECURR
      NRECURR=0
C.... Read Recurrent Data Header
      WRITE(2,69) H37
69    FORMAT(A80)

C...  Determine time step index range
C      IF(IREOPT.EQ.1) THEN
C        NINIT=IRSTRT
C      ELSE
C        NINIT=1
C      ENDIF

C      NMAX=NN+1
C      WRITE(BUFFER,*) 'NINIT=',NINIT,' NMAX=',NMAX,' NDATASET=',NDATASET
C      CALL AboutB4(1,TRIM(BUFFER),'Recurrent Status')

C============== THIS IS BEGINNING OF TIME-STEP LOOP ====================
C.... Recurrent calc loop....................
C      DO 1000 N=NINIT,NMAX

C  ****************** Restart ************************
C**** Restart algorithm
C      IF(IREOPT.EQ.-1) GO TO 30

C      IF(IREOPT.EQ.0) GO TO 25
C      IF(N.LT.IRSTRT) GO TO 1000
C      IF(N.GT.IRSTRT) GO TO 25
C      DO IRS=1,3

C**    VECTORS
C      WRITE(PAGE(1),31)  IRS,NTSTEP
C   31 FORMAT('RESTART DATA RECORD NO.=',I5,' NTSTEP = ',I5)
C      WRITE(PAGE(2),'(A,F10.2,A)') ' & ELAPSED TIME = ',ETI,' DAYS.'
C      CALL AboutB4(2,TRIM(BUFFER),'Information')

C      IF(N.EQ.NTSTEP) GO TO 25
C      END DO

C      WRITE(BUFFER,23) IRS,N
C   23 FORMAT('ATTEMPT TO write RESTART DATA FAILED AFTER',I3,
C     &' TRIES @ STEP',I4)
C      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
C      WRITE(BUFFER,24) ETI,NTSTEP
C   24 FORMAT('TIME =',F10.2,' DAYS',3X,
C     &       'LAST RESTART TIME STEP READ =',I5)
C      CALL AboutB4(1,TRIM(BUFFER),'Information')
C      GO TO 1006

C   25 CONTINUE

C      IF(ETI.NE.REDATE(IRSCNT)) GO TO 30
C      IF(IRSCNT.GT.3) GO TO 28
C      NTSTEP=N
c--------------------------------
C      INCLUDE 'RESTART.INC'
c--------------------------------

C      IRSCNT=IRSCNT+1
C      GO TO 30

C   28 WRITE(BUFFER,29) IRSCNT,NTSTEP
C   29 FORMAT('THE NUMBER OF RESTART WRITE (',I2,') EXCEEDS THE'//
C     & ' ALLOWED NUMBER AT TIME STEP',I5)
C      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
C      WRITE(BUFFER,33) ETI
C   33 FORMAT('(TIME = ',F10.2,' DAYS)')
C      CALL AboutB4(1,TRIM(BUFFER),'Error alert')
C      GO TO 1006

C30    CONTINUE
C   ********************** End Restart Stuff *****************

C      IF(N.EQ.1) GO TO 40
C      IF(FT.LT.FTMAX) GO TO 46
C      IF(IOMETH(NRECURR).EQ.0) GO TO 40

C      IF(IFTCOD.EQ.IOMETH(NRECURR)) GO TO 40
C      IFTCOD=IFTCOD+1
C      FTMAX=FTIO(IFTCOD)
C      IF(FTMAX.GT.TMAX) FTMAX=TMAX
C      GO TO 46

C.... Read Header (e.g. "Data Set 1") ....................
C   WHEN THE LAST RECURRING RECORD IS READ, EXIT TO STATEMENT 1006
40    NRECURR=NRECURR+1
      IF(NRECURR.GT.NDATASET) GO TO 1006
C      WRITE(BUFFER,*) 'NRECURR=',NRECURR,' NDATASET=',NDATASET
C      CALL AboutB4(1,TRIM(BUFFER),'Recurrent Status')
      WRITE(2,69) H38(NRECURR)
      WRITE(PAGE(1),*) H38(NRECURR)
      WRITE(PAGE(2),*) 'NRECURR=',NRECURR,' NDATASET=',NDATASET
C      CALL AboutB4(2,PAGE,'Information')

C==================================================================
C.....NOTE THAT IOMETH & IWLCNG REVERSED - MORE LOGICAL
C==================================================================
      WRITE(2,'(I5,1X,I2,1X,I1,1X,A)')
     &    ICHANG(NRECURR),IOMETH(NRECURR),IWLCNG(NRECURR),
     &'   [ICHANG  IOMETH  IWLCNG -> NOTE: ICHANG not used if IOMETH>0]'
C      IF(IOMETH(NRECURR).GT.0) GO TO 42
      IF(IOMETH(NRECURR).LE.0) THEN
        WRITE(2,'(2I6,A)') IWLREP(NRECURR),ISUMRY(NRECURR),
     &          '       [IWLREP    ISUMRY]'
        WRITE(2,'(6I6,A)') IPMAP(NRECURR),ISOMAP(NRECURR),
     &                  ISWMAP(NRECURR),ISGMAP(NRECURR),
     &                  IPBMAP(NRECURR),IAQMAP(NRECURR),
     &          '       [IPmap ISOmap ISWmap ISGmap IPBmap IAQmap]'
        WRITE(2,'(7I6,A)') KROMP(NRECURR),KRWMP(NRECURR),KRGMP(NRECURR),
     &             IRSOMP(NRECURR),IPCOW(NRECURR),IPCGO(NRECURR),
     &             IPHIMP(NRECURR),
     &      '    [KROmap KRWmap KRGmap IRSOMP PCOWmap PCGOmap KPHImap]'
!        WRITE(2,'(13I2,A)') IPMAP(NRECURR),ISOMAP(NRECURR),
!     &                  ISWMAP(NRECURR),ISGMAP(NRECURR),
!    &                  IPBMAP(NRECURR),IAQMAP(NRECURR),
!     &       KROMP(NRECURR),KRWMP(NRECURR),KRGMP(NRECURR),
!     &             IRSOMP(NRECURR),IPCOW(NRECURR),IPCGO(NRECURR),
!     &             IPHIMP(NRECURR),
!     & '[P,SO,SW,SG,PB,AQ,KRO,KRW,KRG,RSO,PCOW,PCGO,PHI maps]'
        WRITE(2,'(3(F8.2,2X),A)')   DAY(NRECURR),
     &           DTMIN(NRECURR),DTMAX(NRECURR),
     &          '                  [DT,DTMIN,DTMAX]'
C      DELT=DAY(NRECURR)
C      FTMAX=ETI+ICHANG(NRECURR)*DELT
C      IF(FTMAX.GT.TMAX) FTMAX=TMAX
C      GO TO 43
      ELSE
C42    CONTINUE
        WRITE(2,'(10(F7.0),1X)')  (FTIO(I,NRECURR),I=1,IOMETH(NRECURR))
        WRITE(2,'(6(I2,1X),A)') IPMAP(NRECURR),ISOMAP(NRECURR),
     &                   ISWMAP(NRECURR),ISGMAP(NRECURR),
     &                   IPBMAP(NRECURR),IAQMAP(NRECURR),
     &    '       [IPmap ISOmap ISWmap ISGmap IPBmap IAQmap]'
        WRITE(2,'(7(I2,1X),A)')
     &          KROMP(NRECURR),KRWMP(NRECURR),KRGMP(NRECURR),
     &         IRSOMP(NRECURR),IPCOW(NRECURR),IPCGO(NRECURR),
     &         IPHIMP(NRECURR),
     &       '    [KROmap KRWmap KRGmap IRSOMP PCOWmap PCGOmap KPHImap]'
!        WRITE(2,'(13I2,A)') IPMAP(NRECURR),ISOMAP(NRECURR),
!     &                  ISWMAP(NRECURR),ISGMAP(NRECURR),
!     &                  IPBMAP(NRECURR),IAQMAP(NRECURR),
!     &       KROMP(NRECURR),KRWMP(NRECURR),KRGMP(NRECURR),
!     &             IRSOMP(NRECURR),IPCOW(NRECURR),IPCGO(NRECURR),
!     &             IPHIMP(NRECURR),
!     & '[P,SO,SW,SG,PB,AQ,KRO,KRW,KRG,RSO,PCOW,PCGO,PHI maps]'
        WRITE(2,'(3(F8.2,2X),A)')  DAY(NRECURR),
     &          DTMIN(NRECURR),DTMAX(NRECURR),
     &         '                  [DT,DTMIN,DTMAX]'

C      DELT=DAY(NRECURR)
C      IFTCOD=1
C      FTMAX=FTIO(IFTCOD)
C      IF(FTMAX.GT.TMAX) FTMAX=TMAX
C   43 CONTINUE
      END IF
      IF(IWLCNG(NRECURR).NE.0) THEN
C  ************  NODESOUT OUTPUT **********
C
        CALL NODESOUT(NVQN,NRECURR,PID,PWF)
C
C ***************************************
      ENDIF

C46    CONTINUE

C      IF(N.EQ.1) THEN
C         GO TO 1050
C      ENDIF

C      IF(DELT.LT.DTMIN(NRECURR))     DELT=DTMIN(NRECURR)
C      IF(ETI+DELT.GT.FTMAX) DELT=FTMAX-ETI
C1050  FT=ETI+DELT
C      IF(ETI+DELT*0.5.GE.TMAX) GO TO 1006

C1060  CONTINUE

C      IF(N.EQ.NMAX) GO TO 1006

C****REPEAT TIME STEP?
C      IF(DELT.LE.DTMIN(NRECURR).OR.FACT2.GE.1.0)   GO TO 402
C      ITFLAG=ITFLAG+1
C      DELT=DELT*FACT2
C      IF(DELT.LT.DTMIN(NRECURR)) DELT=DTMIN(NRECURR)

C      FT=ETI+DELT
C      IF(FT.GT.FTMAX) DELT=FTMAX-ETI
C      GO TO 1060
C  402 CONTINUE

C**** Calculate material balance errors & average reservoir pressure....
C      ETI=ETI+DELT

C      END OF TIME?
C      IF(FT.GE.TMAX) GO TO 10066
C1000  CONTINUE

C10066 CONTINUE

C------------ SEE IF RESTART IS TO BE WRITTEN AT TMAX? 
C      NTSTEP=N+1
C      IF(IREOPT.EQ.-1 .OR. IRNUM.EQ.0
C     &                .OR. ETI.NE.REDATE(IRSCNT)) GO TO 1006
C**    ARRAYS
C   --------------------------------
C      INCLUDE 'RESTART.INC'
C   --------------------------------
C      WRITE(BUFFER,261)  ETI,NTSTEP
C261   FORMAT('RESTART RECORD WRITTEN AT TMAX = ',F10.2,' DAYS'//
C     & ', NEXT TIME-STEP = ',I5)
C      CALL AboutB4(1,TRIM(BUFFER),'Information')

C******  EXIT POINT
      GO TO 40
1006  CONTINUE

C      CALL AboutB4(1,'Program Complete','Status')
      RETURN
      END

C     NODESOUT.FOR
C                    Designed by
C                    Raymond J. Heemstra
C
      SUBROUTINE NODESOUT(NVQN,NRECURR,PID,PWF)
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      INCLUDE 'NODESA.INC'
C      CHARACTER*80 BUFFER
C      DIMENSION NCOUNT(LP11)
C      DATA NCOUNT/LP11*0/

C**** Establish rate-specified & pressure-specified wells

      WRITE(2,69) H39(NRECURR)
69    FORMAT(A80)

C.... NWELLN = No. of new wells;  NWELL0 = No. of old wells ............
      WRITE(2,'(2I6,A)') NWELLN(NRECURR),NWELLO(NRECURR),
     &         '    [NWELLN=No. of new wells, NWELLO=No. of old wells]'
      IF(NWELLN(NRECURR).EQ.0.AND.NWELLO(NRECURR).EQ.0) RETURN

C      NCHANG=NWELLN+NWELLO

      IF(NWELLN(NRECURR).NE.0) THEN
C....   Read header for new wells ........................................
        WRITE(2,69) H40(NRECURR)
        DO 2000 J=1,NWELLN(NRECURR)
	  I1=I1NEW(J,NRECURR)
	  VAR1=WELNM(I1,NRECURR)
C	  WRITE(BUFFER,'(3(A,I2))') 'TEST OF I1 , I1 = ', I1,
C     &       ' J = ',J,' I1NEW(J,NRECURR) = ',I1NEW(J,NRECURR)
C          CALL AboutB4(1,TRIM(BUFFER),'Debug Test')
	  I1=IDWELL(I1,NRECURR)
          I2=IQN1(I1,NRECURR)
C	  WRITE(BUFFER,'(3(A,I2))') 'TEST OF I1 , I1 = ',I1,
C     &       ' I2 = ',I2,' IQN1(I1,NRECURR) = ',IQN1(I1,NRECURR)
C          CALL AboutB4(1,TRIM(BUFFER),'Debug Test')
          I3=IQN2(I1,NRECURR)
          I4=IQN3(I1,NRECURR)
          I5=LAYER(I1,NRECURR)
          IQ3=IQN3(I1,NRECURR)
          LAY=IQ3+(LAYER(I1,NRECURR)-1)

C          WRITE(BUFFER,'(5(A,I3))') 'I1=',I1,' I2=',I2,' I3=',I3,
C     &    ' I4=',I4,' I5=',I5
C          CALL AboutB4(1,BUFFER,'New Well Info')
      
C**      Input rate signs by convention:
C**      Injectors are negative; producers are positive
         WRITE(2,3) VAR1,I1,I2,I3,I4,I5,
     &   '  [FORMATTED: A5,5I3 - WELLID, IDWELL, I, J, PERF1, NLAYER]'
3        FORMAT(A5,5I3,A)
         IF(IDMAX.LT.I1) IDMAX=I1
C          WELNM(I1)=VAR1
C          IDWELL(I1)=I1
C          IQN1(I1)=I2
C          IQN2(I1)=I3
C          IQN3(I1)=I4
C          LAYER(I1)=I5
C         IQ3=IQN3(I1)
C         LAY=IQ3+(LAYER(I1)-1)
	 WRITE(2,*) (PID(I1,K,NRECURR),K=IQ3,LAY)
!     &    '   (PID)'
C         WRITE(*,*) (PID(I1,K),K=IQ3,LAY)
	 WRITE(2,*) (PWF(I1,K,NRECURR),K=IQ3,LAY)
!     &    '   (PWF)    \ Qo        Qw        Qg        Qt /'
C         WRITE(*,*) (PWF(I1,K),K=IQ3,LAY)
	 WRITE(2,6) VAR1,IDWELL(I1,NRECURR),KIP(I1,NRECURR),
     &             QVO(I1,NRECURR),QVW(I1,NRECURR),
     &             QVG(I1,NRECURR),QVT(I1,NRECURR),
     &            '  [WELL ID KIP A5,2I3,4F10]'
6        FORMAT(A5,2I3,4F10.0,A)
C         WRITE(*,611) VAR1,IDWELL(I1),KIP(I1),
C     &             QVO(I1),QVW(I1),QVG(I1),QVT(I1)
C611      FORMAT(1X,A5,2I3,4F10.0)

	 IF(KIP(I1,NRECURR).EQ.-4) THEN
	   WRITE(2,8) VAR1,IDWELL(I1,NRECURR),
     &      ALIT(I1,NRECURR),BLIT(I1,NRECURR),
     &     '     [WELLID  IDWELL  ALIT  BLIT]'
8          FORMAT(A5,I3,2E12.5,A)
C           WRITE(*,811) VAR1,IDWELL(I1),ALIT(I1),BLIT(I1)
C811        FORMAT(1X,A5,I3,2E12.5)
         ENDIF

C         NCOUNT(J)=IDWELL(I1)
C         DO 1900 K=IQ3,LAY
C          QWV = QVW(I1)
C          IF(KIP(I1).EQ.-1) QWV = 0.0
C          WRITE(*,70) WELNM(I1),IDWELL(I1),
C     &     IQN1(I1),IQN2(I1),K,
C     &     QVO(I1),QWV,QVG(I1),QVT(I1), PWF(I1,K),PID(I1,K),
C     &     ALIT(I1),BLIT(I1)
C70        FORMAT(2X,A5,I5,1X, 3I3, 3X, F11.2,4F13.2, F10.4,2E10.3)
C1900     CONTINUE
2000    CONTINUE
        NVQN=IDMAX
      ENDIF

      IF(NWELLO(NRECURR).NE.0) THEN
        WRITE(2,69) H41(NRECURR)
C        WRITE(*,*) H43

        DO 2500 NC=1,NWELLO(NRECURR)
	  I1=I1OLD(NC,NRECURR)
	  VAR1=WELONM(I1,NRECURR)
	  I1=IDOWELL(I1,NRECURR)
	  I2=KIP(I1,NRECURR)
	  F1=QVO(I1,NRECURR)
	  F2=QVW(I1,NRECURR)
	  F3=QVG(I1,NRECURR)
	  F4=QVT(I1,NRECURR)

         WRITE(2,6) VAR1,I1,I2,F1,F2,F3,F4,
     &            ' [WELL ID KIP A5,2I3,4F10.0]'
!     &            '  [FORMATTED: A5,2I3,4F10.0]'
C         WRITE(*,611) VAR1,I1,I2,F1,F2,F3,F4
C         IQ3=IQN3(I1)
C         LAY=IQ3+(LAYER(I1)-1)
C         NCOUNT(NWELLN+NC)=IDWELL(I1)

C         DO 2400 K=IQ3,LAY
C          WRITE(*,70) WELONM(I1),IDOWELL(I1),IQN1(I1),IQN2(I1),K,
C     &     QVO(I1),QVW(I1),QVG(I1),
C     &     QVT(I1),PWF(I1,K),PID(I1,K),
C     &     ALIT(I1),BLIT(I1)
C 2400    CONTINUE
 2500   CONTINUE

      ENDIF

C      DO 3000 I=1,NCHANG
C      J=NCOUNT(I)
C      IQ3=IQN3(J)
C      LAY=IQ3+(LAYER(J)-1)

C      DO 3000 K=IQ3,LAY
C      IF(KIP(J).EQ.1.AND.QVO(J).GT.0.0)
C     & WRITE(*,2995) IQN1(J),IQN2(J),K,IDWELL(J)
C2995  FORMAT(1X,'Block ',3I3,
C     & ' :  Oil rate specified producing well #',I5)
C      IF(KIP(J).EQ.1.AND.QVT(J).GT.0.0)
C     & WRITE(*,2995) IQN1(J),IQN2(J),K,IDWELL(J)
C      IF(KIP(J).EQ.1.AND.QVW(J).GT.0.0)
C     & WRITE(*,2996) IQN1(J),IQN2(J),K,IDWELL(J)
C 2996 FORMAT(1X,'Block ',3I3,
C     & ' :  Water rate specified producing well #',I5)
C      IF(KIP(J).EQ.1.AND.QVG(J).GT.0.0)
C     & WRITE(*,2997) IQN1(J),IQN2(J),K,IDWELL(J)
C 2997 FORMAT(1X,'Block ',3I3,
C     & ' :  Gas rate specified producing well #',I5)
C      IF(KIP(J).EQ.2)   WRITE(*,2998) IQN1(J),IQN2(J),K,IDWELL(J)
C 2998 FORMAT(1X,'Block ',3I3,
C     & ' :  Rate specified water injection well #',I5)

C      IF(KIP(J).EQ.3) THEN
C         WRITE(*,2999) IQN1(J),IQN2(J),K,IDWELL(J)
C 2999 FORMAT(1X,'Block ',3I3,
C     & ' :  Rate specified gas injection well #',I5)
C      ENDIF

C      IF(KIP(J).EQ.-1)  THEN
C         WRITE(*,3005) IQN1(J),IQN2(J),K,IDWELL(J)
C 3005 FORMAT(1X,'Block ',3I3,
C     & ' :  Explicit pressure specified producing well #',I5)
C       ENDIF

C      IF(KIP(J).EQ.-2)  WRITE(*,3006) IQN1(J),IQN2(J),K,IDWELL(J)
C 3006 FORMAT(1X,'Block ',3I3,
C     &' :  Explicit pressure specified water injection well #',I5)
C      IF(KIP(J).EQ.-3)  WRITE(*,3007) IQN1(J),IQN2(J),K,IDWELL(J)
C 3007 FORMAT(1X,'Block ',3I3,
C     &' :  Explicit pressure specified gas injection well #',I5)
C      IF(KIP(J).EQ.-4)  WRITE(*,3008) IQN1(J),IQN2(J),K,IDWELL(J)
C 3008 FORMAT(1X,'Block ',3I3,
C     &' :  Explicit pressure specified gas production well #',I5)
C      IF(KIP(J).EQ.-11) WRITE(*,3015) IQN1(J),IQN2(J),K,IDWELL(J)
C 3015 FORMAT(1X,'Block ',3I3,
C     &' :  Implicit pressure specified producing well #',I5)
C      IF(KIP(J).EQ.-12) WRITE(*,3016) IQN1(J),IQN2(J),K,IDWELL(J)
C 3016 FORMAT(1X,'Block ',3I3,
C     &' :  Implicit pressure specified water injection well #',I5)
C      IF(KIP(J).EQ.-13) WRITE(*,3017) IQN1(J),IQN2(J),K,IDWELL(J)
C 3017 FORMAT(1X,'Block ',3I3,
C     &' :  Implicit pressure specified gas injection well #',I5)

C3000  CONTINUE

      RETURN
      END
!        EXTEN.FOR
!                    Designed by
!                    Raymond J. Heemstra
!
!        ******************************RJH*********************************
!
!        AN EXTENSION MANAGER  VERSION 2
!
      SUBROUTINE EXTEN ( OLDFIL, NEWFIL, EXT )
      CHARACTER*80 BUFFER
      CHARACTER PERIOD*1, SPACE*1, EXT*3, OLDFIL*(*), NEWFIL*(*)
      DATA PERIOD /'.'/, SPACE /' '/
      NL=LEN(TRIM(OLDFIL))
      DO 10 I = 1,NL
        IF ( OLDFIL(I:I) .NE. PERIOD ) THEN
          NEWFIL(I:I)   = OLDFIL(I:I)
        ELSE
          NEWFIL(I:I+3) = OLDFIL(I:I)//EXT
          RETURN
        ENDIF
10    CONTINUE
      DO 20 I=1,NL
        IF ( OLDFIL(I:I) .NE. SPACE ) THEN
          NEWFIL(I:I) = OLDFIL(I:I)
        ELSE IF ( I+4 .LE. NL ) THEN
          NEWFIL(I:I+4) = PERIOD//EXT
          RETURN
        ELSE
          WRITE(BUFFER,'(26H FILE NAME LENGTH EXCEEDS ,I2 )') NL+4
          CALL AboutB4(1,TRIM(BUFFER),'Error alert')
        ENDIF
20    CONTINUE
      RETURN
      END
!     EQUALS.FOR
!                    Designed by
!                    Raymond J. Heemstra
!
!   Reasonably safe compare of wo default REAL's
!
      FUNCTION EQUALS(A,B)
       IMPLICIT NONE
       LOGICAL :: EQUALS
       REAL, INTENT(IN) :: A, B
       REAL :: EPS
       EPS = ABS(A) * EPSILON(A)
       IF (EPS == 0) THEN
	 EPS = TINY(A)       ! if eps underflowed to 0 use a very
			     ! small positive value for epsilon
       END IF
       IF (ABS(A-B) > EPS) THEN
	 EQUALS = .FALSE.
	 RETURN
       ELSE
	 EQUALS = .TRUE.
	 RETURN
       ENDIF
      END FUNCTION EQUALS
!     EXT.FOR
C                    Designed by 
C                    Raymond J. Heemstra
!
!     ******************************RJH*********************************
!
!        AN EXTENSION GETTER  VERSION 1
!
      FUNCTION EXT ( FILENAME )
      CHARACTER*3 EXT
      CHARACTER PERIOD*1, FILENAME*(*)
      DATA PERIOD /'.'/
      EXT=' '
      NL=LEN(TRIM(FILENAME))
      DO 10 I = 1,NL
        IF ( FILENAME(I:I) .EQ. PERIOD ) THEN
          EXT   = FILENAME(I+1:I+3)
          RETURN
!        ELSE
!          EXT=' '
        ENDIF
10    CONTINUE
      END FUNCTION
