C     EdBoast.for
C     Last change:  RJH   7 Jan 99    1:05 pm
C
C*********************************************************************
C*                    Designed and written by                        *
C*                    Raymond J. Heemstra                            *
C*                    BDM-Oklahoma, Inc.                             *
C*                    Bartlesville, OK 74005                         *
C*********************************************************************
      INCLUDE 'interif.inc'
      INCLUDE 'interkm.inc'
      INCLUDE 'interip.inc'
      INCLUDE 'intergen.inc'
      INCLUDE 'interat.inc'
      INCLUDE 'intercg.inc'
      COMMON /IGXYZ/ NP1,NP2,NP3
      COMMON /GRESN/ NXPX,NYPX,NCOLR
      NXPX  = 800
      NYPX  = 600
      NCOLR = 16
      CALL IScreenInit(' ')
      CALL IGrInit('C',680,480,16)
!   Enable resize/expose events
      CALL InEventSelect(ResizeExpose,IntYes)
      CALL InControlKey(50,ResizeEvent)
      CALL InControlKey(23,27)  ! spare 'exit' ControlQuit=23, ESCAPE=27;
      CALL B4ED
      CALL IGrQuit
      CALL IscreenQuit('C')
      END

C    B4ED.FOR
C                    Designed by
C                    Raymond J. Heemstra
C
      SUBROUTINE B4ED
      INCLUDE 'BAEDPARM.INC'
      COMMON /IGXYZ/ NP1,NP2,NP3
      PARAMETER(MAXFIL=180,NOPT=7,NTypes=8,NPROCS=5)
      INCLUDE 'interif.inc'
      INCLUDE 'interkm.inc'
      INCLUDE 'interip.inc'
      INCLUDE 'intergen.inc'
      INCLUDE 'interat.inc'
      INCLUDE 'intercg.inc'
!      COMMON /GRESN/ NXPX,NYPX,NCOLR

      COMMON /PGROUP/ IGTYPE,NSET,NVAL,IFUNC,PERSP,
     &    MAXCOLRS,ITEXTG,GAXMIN,GAYMIN,GAXMAX,GAYMAX

      CHARACTER*80 WTIT,WINMAIN
      COMMON /B4EDGRP/ IWW,IWH,WTIT,WINMAIN
      COMMON /GRESN/ NXPX,NYPX,NCOLR

      CHARACTER*1    GTYPE,CUMUL,LAYOUT
      COMMON/DATA05/ GTYPE,CUMUL,LAYOUT,ITYP

      LOGICAL Redraw,PopupsOK,OKAY,VuOut
      LOGICAL RUNNING,ABORT
      LOGICAL AnswerB4,B4FILE
      INTEGER IFile(NTypes),NFiles(NTypes)
      CHARACTER*5 Match
      CHARACTER*3 Suffix(NTypes),EXT
      CHARACTER*9 MENU(NOPT)
      CHARACTER*8 PROCS(NPROCS)
      PARAMETER (nAbtMess=13,nDisMess=16)
      CHARACTER*45 AboutMessage(nAbtMess),AboutTitle*35
      CHARACTER*63 DisclMessage(nDisMess)
      CHARACTER*45HELP(NOPT)
      CHARACTER*16 HELP2(NTypes)  !  ,HELP4(NPLTS)
      CHARACTER*16 HELP3(NPROCS)
      CHARACTER*100 CurrDir
      CHARACTER*100 DirName
      CHARACTER*24 Types(NTypes)
      CHARACTER*24 Files(MAXFIL,NTypes),ExFiles(MAXFIL)
      CHARACTER*64 FileName,OutName,HLPNAME,shlpName
      CHARACTER*64 TestName,AppName
      LOGICAL MORE
      CHARACTER*80 IDENT(13)
      CHARACTER COMLINE*255
      CHARACTER*80 STRINGS,PROMPTS,TITLE,BUFFER(2)
      CHARACTER*100 PATH,AppPATH,GETFILE          !  New stuff
      LOGICAL AUTO,THERE,NEWSIM
      DATA AboutTitle /'About EdBoast, an input data editor'/
      DATA Suffix /'SIM','NEW','TAB','HLP','OUT','PCX','BMP','*  '/
      DATA MENU /'File Name','Directory','Extension','Options',
     &           'Help','Quit','About'/
      DATA HELP /'Select an input data file to access',
     2           'Select a new current directory',
     3           'Select the required file extension type',
     4           'Program process with the selected file',
     5           'Display a help window',
     6           'Quit EdBoast -- input data editing program',
     7           'Tell a little about the EdBoast program'/
      DATA Types /'EdBoast input data'     ,'Optional saved data',
     &            'Boast98 output tables'  ,'Help files (unavailable)',
     &            'Boast98 main output file','PCX -- PC Paint maps',
     &            'BMP unorthodox bit maps','All file extensions'/
      DATA HELP2 /'Input FILES.SIM',
     &            'Input FILES.NEW',
     &            'Output FILES.TAB',
     &            'Input FILES.HLP',
     &            'Output FILES.OUT',
     &            'Input FILES.PCX',
     &            'Input FILES.BMP',
     &            'Select carefully'/
      DATA PROCS /'New','Preview','Edit','Boast98','Transfer'/
       DATA HELP3 /'New selection',
     &             'View selection',
     &             'Edit selection',
     &             'Execute Boast98',
     &             'Transfer shell'/
!  Set default options
      DATA AboutMessage /
     1'                   EdBoast                   ',
     2'                                             ',
     3'  A fully logical editor of input data for   ',
     4'  the BOAST3 & Boast98 reservoir simulators  ',
     5'  written in Fortran 90 (LF90 & Interacter)  ',
     6'                   ______                    ',
     7'                                             ',
     8'            EdBoast Version 1.3.4            ',
     9'      Developed for DOE/NPTO, Tulsa, OK      ',
     &'      by BDM Federal, Inc., McLean, VA       ',
     1'           for software support call         ',
     2'     rheemstr@npto.doe.gov  (918)399-2087    ',
     3'               December 1998                 '/
      DATA DisclMessage /
     1'                           DISCLAIMER                          ',
     2'                                                               ',
     3'  This software was prepared as an account of work sponsored by',
     4'an agency of the United States Government.   Neither the United',
     5'States Government nor any of their employees, make any warranty',
     6'expressed  or  implied,  or  assumes any legal liability  or   ',
     7'responsibility for the accuracy, completeness, of usefulness of',
     8'any information, apparatus, product, or process disclosed, or  ',
     9'represents that  its use would  not infringe privately owned   ',
     &'rights.  Reference herein to any specific commercial product,  ',
     1'process, or service by trade name, trademark, manufacturer, or ',
     2'otherwise,  does  not  necessarily  constitute  or  imply  its ',
     3'endorsement, recommendation, or favoring by the United States  ',
     4'Government or any agency thereof.  The views and opinions of   ',
     5'authors expressed herein do not necessarily state or reflect   ',
     6'those of the United States  Government or any agency thereof.  '/
      DirName=' '
      FileName=' '
      OutName =' '
      HLPNAME =' '
      shlpName =' '
      VuOut=.FALSE.
      RUNNING=.TRUE.
      Redraw=.TRUE.
      NEWSIM=.FALSE.
      IFileType=1
      AppName='Boast98.EXE'
      AppPATH=' '
!      WINMAIN='Boast98  input data editor of                 '
      WINMAIN='EdBoast input data editor of a selected file '
      WTIT=WINMAIN
      ITYP = 3
      LAYOUT = '3'           ! Height dependent contour colours
      GTYPE  = 'C'
      CUMUL  = ' '
!  New command line input of filename from Boast98
      COMLINE=' '
      AUTO=.FALSE.
      CALL GETCL(COMLINE)
      IF (COMLINE(1:10).NE.'          ') THEN
        LNFILE=LEN_TRIM(COMLINE)
        FileName(1:LNFILE)=COMLINE(1:LNFILE)
        AUTO=.TRUE.
      ELSE
        IOPTION=1
      END IF
!   Plot parameters from PGDEMO
      IGTYPE = 1
      IFUNC  = 4
      NSET   = 2
      NVAL   =12
      GAXMIN = 0.01
      GAYMIN = 0.1
      GAXMAX = 0.99
      GAYMAX = 0.99
      MAXCOLRS = InfoGrScreen(ColNumMax)
      ITEXTG = InfoGrScreen(TextHandle)
      IF (ITEXTG.GT.2) THEN
        CALL IGrInit(' ',NXPX,NYPX,NCOLR)
        GAXMIN = 0.34
        GAYMIN = 0.37
        GAXMAX = 0.99
        GAYMAX = 0.99
      ENDIF
      DO I=1,NTypes
        IFile(I) = 1
      END DO
!  Set program window title
      CALL IScreenTitle('G',WTIT)
      CALL AboutB4(nDisMess,DisclMessage,AboutTitle)
!  Are graphics mode pop-ups available?  Enter if true.
      PopupsOK = InfoGrScreen(GrPopUpMode) .NE. IntNo
      IF (PopupsOK) THEN
        CALL IScreenMode('G',NXPX,NYPX,NCOLR)
      END IF
!   Read from default file type directory, DirName is blank
!   if undefined.  IOsDirList will search current directory.
      DO WHILE(RUNNING)   ! INSTEAD OF STATEMENT 20 & GOTO 20
        CALL IOsDirEntryType('F')
        Redraw=.TRUE.
        DO 25 ISet=1,NTypes
         CALL IOsDirName(DirName)
         IF (InfoOpSystem(OSType) .EQ. RISCOS) THEN
           LENDIR = IActualLength(DirName)
           DirName(LENDIR+1:) = Suffix(ISet)
           Match = ' '
         ELSE
           Match = '*.'//Suffix(ISet)
         END IF
         NFiles(ISet) = MAXFIL
         CALL IOsDirList(DirName,Match,Files(1,ISet),NFiles(ISet))
25      CONTINUE
!   Set colors & Text
!        CALL ITextColour('green','bwhite')
        CALL ITextColour('bgreen','bwhite')
!   Default main menu to "File Name"
        IF(AUTO)  THEN
          IOption = 4         !  Check if IOption is still Option=4
          INUPROC = 3         !  Check if INUPROC is still Edit=3
          KeyExit = 20
        ELSE
          IOption = 1         !  Check if IOption is still File=1
          Redraw=.TRUE.
        END IF
!   Return here for redrawing whole screen
        DO WHILE(Redraw)      !  -- may work
          CALL PLACEFILE(PATH)   !New placement routine
          CALL IScreenBackground('blue','cyan')
!   Main menu return
100       CALL ITextColour('blue','bwhite')
          CALL IOutMessage('Cursor keys:Move highlight   '
     &               //'Return:Confirm    Escape:Quit')
          CALL ITextColour('bwhite','blue')
          CALL InHighlight('bwhite','bmagenta')
          CALL InSelectionChars('I')
          CurrDir=' '
          CALL IOsDirEntryType('D')
          CALL IOsDirName(CurrDir)
          PATH=' '
          IF (FileName(1:4) .EQ. '    ') THEN
            NERR=1
            WRITE(PATH(1:),'(A)',ERR=999) TRIM(CurrDir)//TRIM(FileName)
          ELSE
            NERR=2
            WRITE(PATH(1:),'(A)',ERR=999)
     &            TRIM(CurrDir)//'\'//TRIM(FileName)
          ENDIF
          CALL PLACEFILE(PATH)   !New placement routine
          CALL IOsDirEntryType('F')
!   Display the main menu and wait on InfoInput
          CALL EDCREDIT(AboutMessage(8)(21:34)) ! Beta test Version 1.2.7
          CALL IFrameOptions(5,5)  ! TitleBackCol=5,TextBlue=5,TextGreen=3
          IF(.NOT.AUTO) THEN       ! If AUTO is true, HOME is target
            IOption = IMenuHorizHelp(MENU,NOPT,1,HELP,2,IOption)
!            CALL PLACEFILE(PATH)   !New placement routine
            CALL InSelectionChars(' ')
            KeyExit = InfoInput(LastExitKey)
          END IF
          CALL PLACEFILE(PATH)   !New placement routine
!   Expose/resize event?
          IF (KeyExit .EQ. 50) THEN
            CALL IScreenBackground('green','bgreen')
            CYCLE
	  ELSE IF(KeyExit.EQ.ControlQuit) THEN
!   Quit box in upper right?
            RUNNING=.FALSE.
            Redraw = .FALSE.
!   Quit?
          ELSE IF (IOption.EQ.NOPT-1) THEN   ! Quit is next to last
!   Yes!
            RUNNING=.FALSE.
            Redraw =.FALSE.
          ELSE IF (IOption.EQ.NOPT) THEN     ! About box is last
            CALL AboutB4(nAbtMess,AboutMessage,AboutTitle)
!  Selection of File-1, Direct-2, Type-3, Option-4, or Help-5
          ELSE IF (KeyExit .NE. ControlQuit .AND.
     &                   IOption .NE. NOPT ) THEN
!   No!
            Redraw = .FALSE.
            IF (KeyExit .EQ. ControlHelp .OR.
     &                       IOption .EQ. 5) THEN
!  ************* Help Menu Selected ****************
              CALL ViewerHelp(Redraw)
            ELSE IF (IOption .EQ. 1) THEN
!  ************* File Menu Selected ****************
!  Future changes?
C   New ..    chosen *****
C   Open ..   chosen *****
C   Save      chosen *****
C   Save As.. chosen *****
C   Print ..  chosen *****
C   Exit      chosen *****
C  ***********************
              OKAY = .TRUE.
              CALL IFrameType(Window3D2)    !   Window3D2 = 10
              CALL InPopUp('on')
              CALL InMouseOptions(MouseExit,IntYes)
!   Put up & down arrow keys back into control in the file menu
              CALL InControlKey(29,0)     ! KeyCursorDown = 129
              CALL InControlKey(30,0)     ! KeyCursorUp   = 128
!   The title of the file pulldown menu will be the CurrDir
              NewFile = IMenuScroll(Files(1,IFileType),
     &          NFiles(IFileType),1,4,CurrDir(1:24),
     &          21,1,IFile(IFileType))
              CALL InMouseOptions(MouseExit,IntNo)
              CALL InPopUp('off')
              KeyExit = InfoInput(LastExitKey)
              IF (KeyExit .EQ. 50) THEN
                Redraw = .TRUE.
              ELSE IF (KeyExit .NE. ControlQuit .AND.
     &             KeyExit .NE. -2  ) THEN
                FileName=' '
                IFile(IFileType) = NewFile
!   Set up name of file according to operating system
                IF (InfoOpSystem(OSType) .NE. RISCOS) THEN
                  FileName = Files(IFile(IFileType),IFileType)
                ELSE
                  FileName = Suffix(IFileType)//'.'//
     &                 Files(IFile(IFileType),IFileType)(:10)
                END IF
!   Now select the file and show its size
                PATH=' '
                IF (FileName(1:4) .EQ. '    ') THEN
                  NERR=3
                  WRITE(PATH(1:),'(A)',ERR=999)
     &                 TRIM(CurrDir)//TRIM(FileName)
                ELSE
                  NERR=4
                  WRITE(PATH(1:),'(A)',ERR=999) TRIM(CurrDir)//
     &                '\'//TRIM(FileName)
                  OutName=' '
!  New cure for Boast98 of FileName problem
                  FileName=PATH
                ENDIF
                CALL EXTEN(FileName,HLPNAME,'HLP')
                call exten(FileName,shlpName,'hlp')
                IF (FileName.EQ.HLPNAME.or.FileName.EQ.shlpName) THEN
                  if (FileName.eq.HLPNAME) then
                    CALL IOsCommand('Winhlp32 '//HLPNAME)
                  else
                    CALL IOsCommand('Winhlp32 '//shlpName)
                  end if
                  HLPNAME =' '
                  shlpName=' '
                  Redraw=.TRUE.
                  CYCLE
                ELSE
                  HLPNAME =' '
                END IF
                CALL PLACEFILE(PATH)   !New placement routine
!                WTIT='EdBoast input data editing of '
!                WTIT(31:)=FileName(1:45)
                WTIT='Edit of '
                WTIT(9:)=FileName(1:71)
                WINMAIN=WTIT
                CALL IScreenTitle('G',TRIM(WTIT))
                CALL IScreenMode('G',NXPX,NYPX,NCOLR)
!   File type 1 = .SIM ;  file type 2 = .NEW
                IF(IFileType.EQ.1.OR.IFileType.EQ.2) THEN
                  CALL B4PEEK(FileName,LX,LY,LZ,IDENT,Redraw,OKAY)
                  IF (OKAY) THEN
                    NP1=LX
                    NP2=LY
                    NP3=LZ
                    VuOut=.FALSE.
                    OutName=' '
                    IF (PopupsOK) THEN
                      CALL InFlush
                      CALL InKeyEventImm(KEY)
                    ELSE
                      CALL InFlush
                      CALL InKeyEvent(KEY)
                      CALL IScreenMode('G',NXPX,NYPX,NCOLR)
                    ENDIF
!   Did an expose/resize event occur during drawing ?
                    Redraw=.true.
                    IF (.NOT.PopupsOK) IOption = -IOption
                  ELSE
                    OKAY = .TRUE.
                    OutName=FileName
                    VuOut=.TRUE.
                  END IF
                ELSE IF(IFileType.EQ.6.OR.IFileType.EQ.7) THEN
                  CALL B4RETRIV(FileName)
                ELSE                 !   IFileType of 3, 4, or 5
                  OKAY = .TRUE.
                  OutName=FileName
                  VuOut=.TRUE.
!  ************  Enter the View or Browse selection ************
                  CALL IWinAction('FPC')
                  CALL IFrameType(10)   !SingleLine1=3,Window3D2=10
                  CALL IFrameOptions(5,5)    !  TitleBackCol=5,TextBlue=5
                  CALL ITextColour('bwhite','blue')
                  CALL IFrameOptions(6,15)
                  CALL IWinOpen(0,0,65,21)
                  IPOS=1
                  CALL InControlKey(26,ICHAR('H'))
                  CALL IWinBrowseFile(OutName,10,IPOS,' ')
                  VuOut=.FALSE.
                  OutName=' '
                  CALL IWinClose(1)
                  CALL IFrameOptions(1,0)   !  BorderControls=1,IntNo=0
                ENDIF
              ENDIF
            ELSE IF (IOption .EQ. 2) THEN

!  ************ Directory Selected ****************

              CALL CHECKDIR(PATH,FileName,Redraw)
              CurrDir=PATH
              DirName=CurrDir
              RUNNING=.TRUE.
            ELSE IF (IOption.EQ.3) THEN

!  ************ Extension Menu Selected ***********
!             Zero the files array first
              do nf=1,MAXFIL
                Files(nf,IFileType)=' '
              end do
              CALL IFrameType(DropShadow)
              CALL InPopUp('on')
              CALL InMouseOptions(MouseExit,IntYes)
              CALL InSelectionChars('I')
              NewType = IMenuVerticHelp(Types,NTypes,22,4,HELP2,
     &         'Types',0,1,IFileType)
              CALL InSelectionChars(' ')
              CALL InMouseOptions(MouseExit,IntNo)
              CALL InPopUp('off')
              KeyExit = InfoInput(LastExitKey)
              IF (KeyExit.EQ.50) THEN
                Redraw = .TRUE.
              ELSE IF (KeyExit.NE.ControlQuit.AND.
     1             KeyExit.NE.-2) THEN
                IFileType = NewType
              END IF
            ELSE IF (IOPTION.EQ.4) THEN
!  ************ Option ( or Process) Menu Selected ***********
              IF (.NOT.AUTO) THEN
                CALL IFrameType(DropShadow)
                CALL InPopUp('on')
                CALL InMouseOptions(MouseExit,IntYes)
                CALL InSelectionChars('I')
                INUPROC = IMenuVerticHelp(PROCS,NPROCS,35,4,HELP3,
     &           'Procedure',0,1,IPROC)
                CALL InSelectionChars(' ')
                CALL InMouseOptions(MouseExit,IntNo)
                CALL InPopUp('off')
                KeyExit = InfoInput(LastExitKey)
              END IF
              IF (KeyExit.EQ.50) THEN
                Redraw = .TRUE.
              ELSE IF (KeyExit.NE.ControlQuit.AND.
     &             KeyExit.NE.-2) THEN
! ********** Which optional process (INUPROC) chosen? **********
                IPROC = INUPROC
                IF(INUPROC.EQ.1) THEN
! *************  Enter the New file selection ******************
                  STRINGS='Please give a new file name'
                  PROMPTS='File name'
                  FileName=' '
                  FileName='untitled.sim'
                  TITLE='New file request'
                  IF (B4FILE(STRINGS,PROMPTS,FileName,TITLE)) THEN
                     INQUIRE(FILE=FileName,EXIST=THERE)
                     IF (THERE) THEN
                       IF (AnswerB4(1,
     &                  'File already exists!  Wish to replace?',
     &                  'Alert')) THEN
!                         CALL BADEFALT(FileName)
                         AUTO=.TRUE.
                         Redraw=.TRUE.
                         NEWSIM=.TRUE.     ! New replacement file
                         INUPROC=3
                       ELSE
                         CALL AboutB4(1,
     &                     'Please enter another file name!','Alert')
                       END IF
                     ELSE
                       NEWSIM=.TRUE.       ! New non-existent file
                     END IF
                  ELSE
                    NEWSIM=.FALSE.         ! No, to new file
                  END IF
                ELSE IF(INUPROC.EQ.2) THEN
!  ************  Enter the View or Browse selection ************
                  CALL IWinAction('FPC')
                  CALL IFrameType(10)   !SingleLine1=3,Window3D2=10
                  CALL IFrameOptions(5,5)    !  TitleBackCol=5,TextBlue=5
                  CALL ITextColour('bwhite','blue')
                  CALL IFrameOptions(6,15)
                  CALL IWinOpen(0,0,65,21)
                  IPOS=1
                  CALL InControlKey(26,ICHAR('H'))
                  IF(VuOut) THEN
                    CALL IWinBrowseFile(OutName,10,IPOS,' ')
                    VuOut=.FALSE.
                    OutName=' '
                  ELSE
                    CALL IWinBrowseFile(FileName,10,IPOS,' ')
                  ENDIF
                  CALL IWinClose(1)
                  CALL IFrameOptions(1,0)   !  BorderControls=1,IntNo=0
c                  CALL IFrameOptions(5,3)    !  TitleBackCol=5,TextGreen=3
                ELSE IF (INUPROC.EQ.3) THEN
!  ***************  Enter the Edit selection  **********************
                  CALL PLACEFILE(PATH)   !New placement routine
                  IF(FileName(1:3).NE.'   '.AND.
     &                (EXT(FileName).EQ.'SIM'.OR.
     &                 EXT(FileName).EQ.'sim'.OR.
     &                 EXT(FileName).EQ.'NEW'.OR.
     &                 EXT(FileName).EQ.'new')) THEN
C    Create a window for monitoring the edit progress
                    CALL IWinWordWrap('JU')
                    CALL IWinAction('BPC')
                    IWW=InfoScreen(TextColumns)
                    IWH=InfoScreen(TextRows)
                    IXTOPL=1
                    IYTOPL=3
                    CALL IWinOpenTitle(IXTOPL,IYTOPL,
     &                         IWW,IWH,TRIM(FileName))
                    CALL ITextColour('bwhite','bblue')
                    CALL IFrameType(Window3D2)  ! Window3D2=10
                    CALL IFrameOptions(BorderCol ,7) ! BorderCol=6,TextWhite=7
                    CALL IFrameOptions(BorderCol2,0) ! BorderCol2=7,TextBlack=0
C           Border colors:  TextWhite=7; TextBlack=0
C    Now call the baedit engine
                    AUTO=.FALSE.
!                    IF(NEWSIM) THEN
!                      CALL BADEFALT(FILENAME,DX,DY,DZ,DZNET,
!     &                RDXL,RDYL,RDZL,RDZNET,ZT,VAREL,RKEL,EL,
!     &                RPHL,RKXL,RKYL,RKZL,VP,KX,KY,KZ,IROCK,IPVT,
!     &                PBOT,SO,SW,PN,LRCK,PIL,SOIL,SWIL,SGIL,PID,PWF)
!                    END IF
                    CALL BAEDIT(FileName,OutName,ABORT,NEWSIM)
                    IF(ABORT) THEN
                      ABORT=.FALSE.
                      RUNNING=.TRUE.
                      Redraw=.TRUE.
                    ENDIF
                    CALL ITextAttribute(' ')
                    CALL IMouseCursorShow
                    CALL IWinClose(1)
                    CALL IFrameOptions(BorderCol ,-1)
                    CALL IFrameOptions(BorderCol2,-1)
                  ELSE
                    NERR=5
                    WRITE(STRINGS,'(A,A3,A)',ERR=999)
     &              'Can not edit file with extension of ''',
     &              EXT(TRIM(FileName)),''''
                    CALL AboutB4(1,TRIM(STRINGS),
     &               'Notice')
                    AUTO=.FALSE.
                    CYCLE
                  END IF
                ELSE IF(INUPROC.EQ.4) THEN
!  *****************  Excecute Boast98 taken here  *******************
                  IF(FileName(1:3).NE.'   '.AND.
     &                (EXT(FileName).EQ.'SIM'.OR.
     &                 EXT(FileName).EQ.'sim'.OR.
     &                 EXT(FileName).EQ.'NEW'.OR.
     &                 EXT(FileName).EQ.'new')) THEN
!  Please locate routine
                    TestName=' '
                    TestName=TRIM(AppName)//' '//FileName
!  Debug
!                      WRITE(BUFFER(1),*) 'Procedure: '//TRIM(TestName)
!                      WRITE(BUFFER(2),*) 'Target file: '//TRIM(FileName)
!                      CALL AboutB4(2,BUFFER,
!     &                      'Checking on Boast98 request')
!
                    INQUIRE(FILE=FileName,EXIST=THERE)
                    IF(THERE)THEN
                      INQUIRE(FILE=TRIM(AppName),EXIST=MORE)
                      IF(MORE) THEN
                        CALL IOsCommand(TRIM(TestName))
                        Redraw=.TRUE.
                        CYCLE
                      ELSE
                        WRITE(BUFFER(1),*)
     &                   'Please locate application, Boast98.exe'
                        WRITE(BUFFER(2),*)
     &                   'Click on ".." to select a directory'
                        call AboutB4(2,BUFFER,'Application Error')
                        CALL CHECKDIR(AppPATH,AppName,Redraw)
                        DO WHILE (TRIM(GETFILE(AppPATH)).NE.
     &                       'Boast98.EXE')
                          CALL CHECKDIR(AppPATH,AppName,Redraw)
                          AppName=AppPATH
                          CALL FSEEK(AppName,IHFILE,'exe')
                          IF ( AnswerB4(1,TRIM(AppPATH),'Inquiry') )THEN
                            EXIT
                          END IF
                        END DO
                        TestName=TRIM(AppName)//' '//FileName
                        CALL IOsCommand(TRIM(TestName))
                      END IF
                    ELSE
                      WRITE(BUFFER(1),'(A13,A55)') 'Can not find ',
     &                          FileName(1:55)
                      call AboutB4(1,BUFFER,'FileName Does Not Exist')
                      FileName =' '
                    END IF
!   End of locate application routine
!                    CALL IOsCommand('Boast98 '//FileName)
!                   Redraw=.TRUE.
!                    CALL IOsExecute
!     &               ('c:\winnt\system32\mplay32 track15.wav')
!                    CYCLE               ! test this
                  ELSE
                    NERR=6
                    WRITE(STRINGS,'(A,A3,A)',ERR=999)
     &               'Can not run file with extension of ''',
     &                EXT(TRIM(FileName)),''''
                    CALL AboutB4(1,TRIM(STRINGS),
     &               'Notice')
                    AUTO=.FALSE.
                    CYCLE
                  END IF
                ELSE IF(INUPROC.EQ.5) THEN
!   ************  Transfer requests taken here  ************
                  OKAY=.FALSE.
                  DO I=1,MAXFIL
                    ExFiles(I)=' '
                  END DO
                  NewFile=1
                  CALL IOsDirEntryType('D')
                  CALL IOsDirName(DirName)
                  CurrDir=DirName
                  CALL IOsDirEntryType('F')
                  CALL IOsDirList(DirName,'*.EXE',ExFiles,MAXFIL)
                  CALL IFrameType(Window3D2)
                  CALL InPopUp('ON')
                  CALL InMouseOptions(MouseExit,IntYes)
                  NewFile=IMenuScroll(ExFiles,MAXFIL,1,4,
     &                              TRIM(CurrDir),21,1,NewFile)
                  CALL InPopUp('OFF')
                  CALL InMouseOptions(MouseExit,IntNo)
                  KeyExit=InfoInput(LastExitKey)
                  IF (KeyExit.EQ.50) THEN
                    Redraw=.TRUE.
                    CYCLE
                  ELSE IF (KeyExit.NE.ControlQuit.AND.
     &                     KeyExit.NE.-2) THEN
                    FileName=ExFiles(NewFile)
                  ELSE
                    Redraw=.TRUE.
                    CYCLE
                  END IF
                  PATH=' '
                  IF (FileName(1:4) .EQ. '    ') THEN
                    NERR=7
                    WRITE(PATH(1:),'(A)',ERR=999)
     &                  TRIM(CurrDir)//TRIM(FileName)
                  ELSE
                    NERR=8
                    WRITE(PATH(1:),'(A)',ERR=999) TRIM(CurrDir)//
     &               '\'//TRIM(FileName)
                  END IF
!                  CALL IOutStringXY(45,2,TRIM(PATH))
                  CALL PLACEFILE(PATH)   !New placement routine
                  CALL EXTEN(FileName,HLPNAME,'EXE')
                  CALL EXTEN(FileName,shlpName,'exe')
                  IF ((FileName.EQ.HLPNAME.OR.FileName.EQ.shlpNAME).AND.
     &              AnswerB4(1,'Wish to Transfer to '//PATH,
     &             'Enquiry')) THEN
                    CALL IOsCommand(TRIM(PATH))
                    HLPNAME =' '
                    Redraw=.TRUE.
                    CYCLE
                  ELSE
                    NERR=9
                    WRITE(IDENT(1),*,ERR=999) 'File='//FileName(1:50)
                    WRITE(IDENT(2),*,ERR=999) 'PATH='//PATH(1:50)
                    WRITE(IDENT(3),*,ERR=999) 'HLPNAME='//HLPNAME(1:50)
                    CALL AboutB4(3,IDENT,'Error Alert')
                    HLPNAME =' '
                  END IF
                END IF
              END IF
              Redraw = .TRUE.
            ELSE
!   To fix the loss of the main menu except of for current IOPTION
              Redraw = .TRUE.
              CYCLE
            END IF
!            CALL IOutStringXY(45,2,TRIM(PATH))
            CALL PLACEFILE(PATH)   !New placement routine
            CALL IOsDirEntryType('F')
            IF (Redraw) CYCLE
            IOption = -IOption
            RUNNING=.TRUE.
          ELSE
            CALL IScreenBell('2')
            CALL IScreenBackground('green','bgreen')
            CYCLE
          END IF
        END DO        ! End of DO WHILE (Redraw)
      END DO       ! End of DO WHILE (RUNNING)
      CALL IFrameOptions(TitleForeCol,-1)
      CALL IFrameOptions(TitleBackCol,-1)
      RETURN
999   WRITE(STRINGS,*) 'Internal write error',NERR
      CALL AboutB4(1,STRINGS,'B4ED error')
      RETURN
      END

C   B4PEEK.FOR
C                    Designed by
C                    Raymond J. Heemstra
C
      SUBROUTINE B4PEEK(FILENAME,LX,LY,LZ,IDENT,Redraw,OKAY)
      INCLUDE 'BAEDPARM.INC'
      INCLUDE 'BED.INC'
      INCLUDE 'intercg.inc'
      INCLUDE 'interkm.inc'
      INCLUDE 'interip.inc'
      CHARACTER*64 TestName
      CHARACTER*(*) FILENAME
      CHARACTER*80 IDENT(13),BUFFER
      PARAMETER (LENGZ=60,LINEGZ=12,LENBIG=460)
      CHARACTER*(LENGZ) GSZE(LINEGZ),RESZE(3)
      CHARACTER*(LENBIG) BIGSTRING
      LOGICAL Redraw,OKAY,THERE
      TestName=' '
      INQUIRE(FILE=FILENAME,EXIST=THERE)
      IF(.NOT.THERE) THEN
        WRITE(BUFFER,*) 'File called ',TRIM(FILENAME),
     &     ' is not available!'
        CALL AboutB4(1,BUFFER,'File search error')
        FILENAME=' '
        RETURN
      ENDIF
      OPEN(20, FILE = FILENAME, STATUS = 'OLD',IOSTAT=ISTAT)
      IF(ISTAT.NE.0) THEN
        WRITE(RESZE(1),'(A18,I8,A10)') 'Open error number ',
     &     ISTAT,' occurred!'
        WRITE(RESZE(2),*) 'in file ',FILENAME(1:51)
        CALL AboutB4(2,RESZE,'Error Alert')
        CALL IOSTAT_MSG(ISTAT,BUFFER)
        CALL AboutB4(1,TRIM(BUFFER),'Error Content')
        RETURN
      ENDIF
      DO I=1,13
        IDENT(I)=' '
      END DO
!   First read the identification headers, then the II,JJ,KK input variables.
      DO I=1,13
        READ(20,'(A80)',ERR=999) IDENT(I)
      END DO
      CALL IWinAction('BPC')
      CALL IWinWordWrap('JU')
      CALL IFrameType(Window3D2)
      CALL IFrameOptions(BorderCol ,7)
      CALL IFrameOptions(BorderCol2,0)
      CALL IScreenMode('G',NXPX,NYPX,NCOLR)
      CALL IWinOpenTitle(0,0,80,24,
     1   'File Selection')
      IF (IDENT(7)(1:20).NE.'                    ') THEN
        READ(IDENT(7),*,ERR=999) IREOPT,IPLOTP
        IF (IREOPT.EQ.1.OR.IREOPT.EQ.0) THEN
          RESIN=' '
          RESOUT=' '
          RESIN=IDENT(9)(1:12)
          RESOUT=IDENT(10)(1:12)
          INQUIRE(FILE=RESIN,EXIST=THERE)
          IF (.NOT.THERE) THEN
            IF (IREOPT.EQ.1) THEN
              WRITE(BUFFER,*) 'Cannot find input restart file '//RESIN
              CALL AboutB4(1,TRIM(BUFFER),'Error!')
              OKAY=.FALSE.
              RETURN
            ELSE
              READ(IDENT(13),*,ERR=999) LX,LY,LZ
            END IF
          ELSE
            IF (IREOPT.EQ.1) THEN
              OPEN(24,FORM='UNFORMATTED',FILE=RESIN)
              READ (24) II,JJ,KK
!   Future restart stuff
!              READ (24) CPIAQ1,CPIAQ2,CPI1,CPI2,EWAQ,CUMAQW,
!     &        QWAQ,CUMEW,IAQREG,PAQ,PIAQ,
!     &        P,SO,SW,SG,PN,SON,SWN,SGN,
!     &        CUMO,CUMW,CUMG,TX,TY,TZ, DX,DY,DZ,
!     &        QOC,QWC,QGC,PID,PWF,PWFC,GMO,GMW,GMG,
!     &        BO,BW,BG,VP,CT,EL,PBOT,PBOTN, RPO,RPW,RPG,RSOA,
!     &        NPW,LWX,LWY,LWZ, ALPHA,TOP, KR3, CAPGO,CAPGW,
!     &        RHOO,RHOW,RHOG, VISO,VISW,VISG, IDIR,IDWEL

C**    VECTORS
!              READ (24) QWAQR,CUMAQR, KX,KY,KZ,PHI,
!     &        ITSNO,STIME,SOPROD,SGPROD,SWPROD,SGOR,SWOR,
!     &        SGINJ,SWINJ,SPVWTP,SOCUMP,SWCUMP,SGCUMP,SGCUMI,SWCUMI,
!     &        SAQUIR,SAQUIC, GORT,WORT,GORL,WORL,ILIMOP,KIP,WELNAM,
!     &        LAYER,IDWELL, QVO,QVG,QVW,QVT, IQN1,IQN2,IQN3,MSAT,MPOT,
!     &        MPWT,MPGT,RHOSCO,RHOSCW,RHOSCG, VSLOPE,BSLOPE,RSLOPE,SAT,
!     &        KROT,KRWT,KRGT,KROGT,PCOWT,PCGOT,POT,MUOT,BOT,BOPT,RSOT,
!     &        RSOPT,PWT,MUWT,BWT,BWPT, PGT,PSIT,MUGT,BGT,BGPT,PRT,CRT,
!     &        WQG,WQW,WQO,WCGP,WCWP,WCOP,WGOR,WWOR,WSGAV,WSWAV,WSOAV,
!     &        WPOAV,WPWFAV, QGN,QWN,QON,CUMGN,CUMWN,CUMON,NGOR,NWOR,
!     &        SGG,SWW,SOO,POO,NPWF

C**    SCALARS
!              READ (24) II,JJ,KK,KSM1,KSN1,KCO1,KSOL,MITER, NUMDIS,IRK,
!              READ (24) KSM1,KSN1,KCO1,KSOL,MITER, NUMDIS,IRK,
!     &        THRUIN,FACT1,FACT2,OMEGA,TOL,TOL1,WORMAX,GORMAX,PAMIN,
!     &        PAMAX,NVQN,CWI,CGI,ETI,PBO,PMAXT, KSCRN,KOUT, KDX,KDY,KDZ,
!     &        KDZNET,STBO,STBOI,STBW,STBWI,MCFG,MCFGI,MBEO,MBEW,MBEG,
!     &        CMBEO,CMBEW,CMBEG,TOOIP,TOWIP,TOGIP,TODGIP,TOFGIP,DELT0,
!     &        RESVOL,OP,WP,GP,WI,GI,PAVG0,PAVG,OPR,WPR GPR,WIR,GIR,COP,
!     &        CWP,CGP,MCFG1,MCFGT,CWOR,WOR,CGOR,GOR,DSMAX,DPMAX,KCOFF,
!     &        KSN,KSM, KCO,SWR,PDATUM,GRAD,DSMC,DPMC,IAQOPT,NTSTEP,
!     &        IREPRS,ITHREE, NROCK,NPVT,IROCK,IPVT,NWELLS,NODTOT,
!     &        RKROMX,KXMP,KYMP,KZMP,IPMAP,ISOMAP,ISWMAP,ISGMAP,
!     &        IPBMAP,IAQMAP,KROMP,KRWMP,KRGMP,IRSOMP,IPCOW,IPCGO,
!     &        KPHIMP,IPHIMP
              LX=II
              LY=JJ
              LZ=KK
              CLOSE(24)
            ELSE
              READ(IDENT(13),*,ERR=999) LX,LY,LZ
            END IF
          END IF
          OKAY=.TRUE.
          WRITE(RESZE(1),'(A11,I3,A4,I3,A4,I3)',ERR=999)
     &           'Grid size: ',LX,' by ',LY,' by ',LZ
          GO TO 99
        END IF
      ELSE
        OKAY=.FALSE.
        GO TO 999
      END IF
!  Future restart stuff
!      IF (IREOPT.GE.0) THEN
!        DO I=1,4
!          READ(20,'(A80)',ERR=999) EXTRA(I)
!        END DO
!        DO I=1,4
!          CALL IWinOutStringXY(1,I+9,TRIM(EXTRA(I)(1:55)))
!        END DO
!      END IF
!      CALL IWinOutCRLF(1)
!      DO I=1,8
!        IDENT(I)=' '
!      END DO
!      DO I=1,4
!        EXTRA(I)=' '
!      END DO
      READ(IDENT(9),*,ERR=999) LX,LY,LZ      !   normal LX,LY,LZ read
      OKAY=.TRUE.
      WRITE(RESZE(1),'(A11,I3,A4,I3,A4,I3)',ERR=999)
     &           'Grid size: ',LX,' by ',LY,' by ',LZ
99    CONTINUE
      IF (IREOPT.EQ.-1) THEN
        WRITE(RESZE(2),*) 'Restart is OFF'
      ELSE
        WRITE(RESZE(2),*) 'Restart is ON'
      END IF
      WRITE(RESZE(3),*) 'File: ',FILENAME(1:53)
!   Place 5 lines of input comments from IDENT into big string, BIGSTRING
      BIGSTRING=' '
      L1=1
      DO I=1,5
        LENST=LEN(TRIM(IDENT(I)))
        IF (IDENT(I)(1:5).NE.'     ') THEN
          L2=LENST+L1
          BIGSTRING(L1:L2)=TRIM(IDENT(I))//' '
          L1=L2+1
        ELSE
          EXIT
        END IF
      END DO
!  Place big string, BIGSTRIN, into a wrapped character array, GSZE,
!   consisting of LINEGZ strings of LENGZ characters each.
      DO I=1,LINEGZ
        GSZE(I)=' '
      END DO
      LINES=LINEGZ
      IWIDTH=LENGZ
      CALL WWrapB4(BIGSTRING,GSZE,IWIDTH,LINES,NUMWORDS)
!  Follow wrapped big string with blank line,
      GSZE(LINES+1)=' '
!  and more reservoir information (i.e. Grid size, Restart info, & FileName)
      DO I=LINES+2,LINES+4
        J=I-LINES-1
        GSZE(I)=RESZE(J)
      END DO
      CALL AboutB4(LINES+4,GSZE,'Reservoir Information')
      DO I=1,8
        IDENT(I)=' '
      END DO
      CALL ITextAttribute(' ')
      CALL IMouseCursorShow
      CALL InFlush
      CLOSE(20)
      CALL IMouseCursorHide
      CALL IWinClose(1)
      Redraw = KEY.EQ.ResizeEvent
      CALL IFrameOptions(BorderCol ,-1)
      CALL IFrameOptions(BorderCol2,-1)
      RETURN
999   CALL EXTEN(FILENAME,TestName,'SIM')
      IF (FILENAME.EQ.TestName) THEN
        CALL ITextColour('red','bblue')
        CALL IWinOutString('This is not a proper Boast98'//
     &             ' data input file!')
        CALL IScreenBell(' ')
        CALL IWinOutCRLF(4)
        CALL ITextColour('bwhite','bgreen')
        OKAY = .FALSE.
        GO TO 99
      ELSE
        CALL IWinOutCRLF(2)
        CALL IWinOutString('Preview of input file: '//
     &     FILENAME)
        CALL ITextAttribute('R')
        CALL IWinOutMessage(TRIM('Press a key/button '))
        CALL ITextAttribute(' ')
        CALL IMouseCursorShow
        CALL InFlush
        CALL InKeyEvent(KEY)
        CLOSE(20)
        CALL IWinClose(1)
        CALL IWinAction('FPC')
        CALL IFrameType(3)
        CALL IWinOpen(0,0,75,21)
        IPOS=1
        CALL InControlKey(26,ICHAR('H'))
        CALL IWinBrowseFile(FILENAME,1,IPOS,' ')
        CALL IWinClose(1)
c   new
!        CALL ITextColour('bwhite','green')
        CALL ITextColour('bwhite','bgreen')
        CALL IFrameOptions(1,0)    !  BorderControls=1,IntNo=0
      END IF
      RETURN
      END

C   ViewerHelp.for
C                    Designed by
C                    Raymond J. Heemstra
C
      SUBROUTINE ViewerHelp(Redraw)
C
C  Display a simple pop-up help window
C
      INCLUDE 'intercg.inc'
      INCLUDE 'interkm.inc'
      INCLUDE 'interip.inc'
      LOGICAL Redraw
      CALL IWinWordWrap('JU')
      CALL IWinAction('BPC')
      CALL IFrameType(Window3D2)
      CALL IFrameOptions(BorderCol ,7)
      CALL IFrameOptions(BorderCol2,0)
      CALL IWinOpenTitle(0,0,56,17,
     1   'Help for Boast98 editor')
      CALL IWinOutString(
     1'    EdBoast presents sets of logically associated data fields '
     2//'into which a user can enter total information for Boast3/4. '
     3//' A combination of menus, push buttons, and data input forms '
     4//'are created depending on previous selections of options and '
     5//'input data.  From the "File" menu, select a file name with '
     6//'the default Boast98 extension of .SIM.  From the "Direct" '
     7//'menu, change the sub-directory by selecting ".." to retract,'
     8//' or a sub-directory name to advance.  A selection of file '
     9//'extension type is made from the "Type" menu.  The "Option" '
     &//'menu allows a choice of making a new file, viewing or '
     1//'editing the selection, or running the selection with Boast98.'
     2//'  The bottom line listed under the "Type" and "Option" menu '
     3//'helps to describe the selection. Another application can be '
     4//'selected with "Execute" under Option.')
C
C  Try out the editor and look around at the different .SIM files.
C  such as:
C  B4DIP9.SIM     --- Reservoir with dip
C  SAIBAL.SIM     --- Saturation arrays require use of spreadsheet
C  B3LEAK3D.SIM   --- Complex horizontal shallow wells (77 wells)
C  EXAMPL56.SIM   --- A simple horizontal well  (from BOAST II Manual)
C  BIG3200.SIM    --- A large 20 by 20 by 2 grid with 4 simple wells
C  ODEH.SIM       --- Example supplied with Boast3
C  ODEH553.SIM    --- Test of restart which does now work !!
C    All other .SIM files are modifications of the above.
C  You can call Boast98 from the Editor and also you can call the
C  Editor from Boast98, however, each time you create another memory
C  resident program.  You cannot edit an input file which is still
C  running under Boast98!  The B4 Editor closes the input file when
C  you leave the Home Button Form, by either Accept or Abort.
C
      CALL ITextAttribute('R')
      CALL IWinOutCentre(17,' Press a key/button ')
      CALL ITextAttribute(' ')
      CALL IMouseCursorShow
      CALL InKeyEvent(KEY)
      CALL IMouseCursorHide
      CALL IWinClose(1)
      Redraw = KEY.EQ.ResizeEvent
      CALL IFrameOptions(BorderCol ,-1)
      CALL IFrameOptions(BorderCol2,-1)
      RETURN
      END

C     CHEKHW.FOR
C                    Designed by
C                    Raymond J. Heemstra
C
      SUBROUTINE CHEKHW(NOGRAF)
C
C  check the hardware in use - must have graphics
C
      INCLUDE 'interif.inc'
      INCLUDE 'intergen.inc'
      CHARACTER BUFF*70
      LOGICAL  NOGRAF
      NOGRAF = InfoGrScreen(GraphicsAvail).EQ.IntNo
      IF (NOGRAF) THEN
          CALL IOutError('Sorry, this demo requires a display '
     1              //'with graphics capability - Press a key')
          CALL InKeyEvent(KEY)
      ENDIF
      IF (InfoGrScreen(BrokenLines).EQ.IntNo) THEN
          CALL IOutError('This display does not support broken'
     &             //' lines  -- Press a key')
          CALL InKeyEvent(KEY)
      END IF
      IF (InfoGrScreen(ColNumMax).LT.8) THEN
        WRITE(BUFF,*) 'Maximum number of colors is ',
     &     InfoGrScreen(ColNumMax),' - Press a key'
          CALL IOutError('This display does not support 8'
     &             //' colours  -- Press a key')
          CALL InKeyEvent(KEY)
          CALL IOutError(BUFF)
          CALL InKeyEvent(KEY)
          NCURMOD=InfoScreen(1)
          NCOLS= InfoScreen(2)
          NROWS= InfoScreen(3)
          NHPIX= InfoScreen(4)
          NVPIX= InfoScreen(5)
          NMODS= InfoScreen(6)
        WRITE(BUFF,*) 'Cols = ',NCOLS,' Rows = ',NROWS,
     &     ' -- Press a key'
         CALL IOutError(BUFF)
         CALL InKeyEvent(KEY)
       WRITE(BUFF,*) 'Hor. px=',NHPIX,' Ver. px=',NVPIX,
     &     ' -- Press a key'
         CALL IOutError(BUFF)
         CALL InKeyEvent(KEY)
       WRITE(BUFF,*) ' Modes=',NMODS,' -- Press a key'
         CALL IOutError(BUFF)
         CALL InKeyEvent(KEY)
       WRITE(BUFF,*) ' Current mode is',NCURMOD,' -- Press a key'
         CALL IOutError(BUFF)
         CALL InKeyEvent(KEY)
         DO MODE = 0,NMODS
           WRITE(BUFF,'(A8,I3,A15,I4,A7,I4,A9,I4)') 'Colors= ',
     &      InfoScreenMode(6,MODE),' Pixels: Hor.= ',
     &      InfoScreenMode(4,MODE),
     &      ' Ver.= ',InfoScreenMode(5,MODE),
     &     ' in mode ',MODE
           CALL IOutError(BUFF)
           CALL InKeyEvent(KEY)
         END DO
      END IF
      RETURN
      END

C     CHECKDIR.FOR
C                    Designed by
C                    Raymond J. Heemstra
C
      SUBROUTINE CHECKDIR(PATH,FileName,Redraw)
      INCLUDE 'interif.inc'
      INCLUDE 'intercg.inc'
      INCLUDE 'interkm.inc'
      INCLUDE 'interip.inc'
      INCLUDE 'intergen.inc'
      INCLUDE 'interat.inc'
      INTEGER MAXDIR
      PARAMETER (MAXDIR=60,LENDIR=60)      ! HAD BEEN LENDIR=14
      CHARACTER*(LENDIR) MATCH,DIRNAM(MAXDIR)
      CHARACTER*100 SELECTED,CurrDir
      CHARACTER*(*) PATH
      CHARACTER*(*) FileName
      LOGICAL Redraw
      ISTOPT=2
      DO WHILE(ISTOPT.EQ.2)
        NUMDIR = MAXDIR
        CALL IOsDirEntryType('D')
        MATCH='*.            '
        LENGTH=LENDIR
        CALL IOsDirList(' ',MATCH(:LENGTH),DIRNAM,NUMDIR)
        IF (NUMDIR .EQ. 0) THEN
          CALL IOutError('No directories matched')
        ELSE
          IXPOS=9
          IYPOS=4
          NVISIB=21
          ISTOPT=1
          CALL InPopUp('on')
          CALL InMouseOptions(MouseExit,IntYes)
          CALL InHighlight('CYA','BLA')
          CALL IOsDirName(CurrDir)
          IDIRECT=IMenuScroll(DIRNAM,NUMDIR,IXPOS,IYPOS,TRIM(CurrDir),
     &          NVISIB,1,ISTOPT)
!          CALL InMouseOptions(MouseExit,IntNo)
!          CALL InPopUp('off')
          KeyExit = InfoInput(LastExitKey)
!          Redraw = KeyExit.EQ.ResizeEvent
          IF (KeyExit.EQ.50) THEN
            Redraw = .TRUE.
          ELSE IF (KeyExit .EQ. 23 .OR. KeyExit .EQ. -2) THEN   ! NEW
            CALL InMouseOptions(MouseExit,IntNo)                ! NEW
            CALL InPopup(' ')                                   ! NEW
            RETURN                                              ! NEW
          ELSE
            ISTOPT=IDIRECT
          END IF

C   Escape or clicked outside with mouse ?

          IF (KeyExit .EQ. 23 .OR. KeyExit .EQ. -2) THEN
            CALL InMouseOptions(MouseExit,IntNo)
            CALL InPopup(' ')
            RETURN
          END IF
          CALL IOsDirChange(DIRNAM(IDIRECT))
          CALL IOsDirName(SELECTED)
          CurrDir=SELECTED
          IF (FileName(1:4) .EQ. '    ') THEN
            WRITE(PATH(1:),'(A)') TRIM(CurrDir)//TRIM(FileName)
          ELSE
            WRITE(PATH(1:),'(A)') TRIM(CurrDir)//'\'//TRIM(FileName)
          ENDIF
!          CALL IOutStringXY(45,2,TRIM(PATH))
          CALL PLACEFILE(PATH)   !New placement routine
        ENDIF
      END DO
          CALL InMouseOptions(MouseExit,IntNo)
          CALL InPopUp('off')
      RETURN
      END SUBROUTINE

C     EDCREDIT.FOR
C                    Designed by
C                    Raymond J. Heemstra
C
      SUBROUTINE EDCREDIT(VERSION)
      CHARACTER*(*) VERSION
      CHARACTER*200 MESSTR
      INCLUDE 'interif.inc'
      INCLUDE 'interkm.inc'
      INCLUDE 'interip.inc'
      INCLUDE 'intergen.inc'
      INCLUDE 'interat.inc'
      INCLUDE 'intercg.inc'

      CALL ITextColourN(10,5)    !  TextYellowBold=10,TextGreen=3
      CALL IClearScreen           !  TextBlueBold=13,TextGreenBold=11
C      CALL IFrameType(9)          !  Window3D1
      CALL IFrameType(Window3D2)  ! DropShadow = 4; Window3D2 = 10
      CALL IFrameOptions(4,15)    !  TitleForeCol=4,TextWhiteBold
      CALL IFrameOptions(5,5)    !  TitleBackCol=5,TextBlue=5,TextGreenBold=13
      CALL IFrameOptions(6,15)    !  BorderCol,TextWhiteBold
      CALL IFrameOptions(7,8)     !  BorderCol2,TextBlackBold
      CALL IWinAction('BPC')
      CALL IWinOpenTitle(0,0,40,11,
     &                          'National Petroleum Technology Office')
      CALL IWinOutStringXY(10,2,'       EdBoast')
      CALL IWinOutStringXY(10,3,'     '//VERSION)
      CALL IWinOutStringXY(10,4,' Input data editor of')
      CALL IWinOutStringXY(10,5,' reservoir information')
      CALL IWinOutStringXY(10,6,' for Boast98 simulations')
      CALL IWinOutStringXY(10,7,'    BDM Federal, Inc.')
      CALL IWinOutStringXY(10,8,' P.O. Box 3628, Tulsa, OK')
      CALL IWinOutStringXY(10,9,'      74101-3628')
      CALL IWinOutStringXY(10,10,'  For information call')
      CALL IWinOutStringXY(10,11,'    (918) 699-2000')
!      CALL IWinOutStringXY(10,10,' Herb Tiedeman, NPTO')
!      CALL IWinOutStringXY(10,11,'    (918)699-2017')
      CALL IWinClose(0)
C      CALL ITextColourN(15,5)
      CALL ITextColourN(15,3)
C  Number of text columns in current mode set to IX1=2
      IX1 = InfoScreen(TextColumns)
C  Number of text rows in current mode set to IY1=3
      IY1 = InfoScreen(TextRows)
      MESSTR = 'Use any key or mouse to continue. Press '//
     1         'Escape to exit.'
      CALL IJustifyString(MESSTR(1:IX1),'C')
      CALL IOutStringXY(1,IY1,MESSTR)
C
C  Output the main menu
C
      CALL ISplitFrameH(1,2,IX1)
C
C  Check user input
C
C   Continue through the next line if no key or mouse event occurs.
      CALL InKeyEventImm(ICODE)
      IF (ICODE .NE. -999) THEN
        CALL InKeyEvent(KEY)
        IF(KEY.EQ.23) STOP
      END IF
      RETURN
      END SUBROUTINE

C     AboutB4.FOR
C                    Designed by
C                    Raymond J. Heemstra
C
      SUBROUTINE AboutB4(Lines,AboutMessage,AboutTitle)

      INCLUDE 'interif.inc'
      INCLUDE 'interkm.inc'
      INCLUDE 'interip.inc'
      INCLUDE 'intergen.inc'
      INCLUDE 'interat.inc'
      INCLUDE 'intercg.inc'

      CHARACTER*(*) AboutMessage(Lines),AboutTitle
      INTEGER ifx(Lines+1),ify(Lines+1),ift(Lines+1),ifw(Lines+1)
      call IScreenBackground('blue','blue')
      KEXIT=22
      NWDTH = 0
      DO I=1,Lines
        ifx(I)=2
        ify(I)=I+1
        ift(I)=1001
        NW=LEN_TRIM(AboutMessage(I))
        IF (NW.GT.NWDTH) THEN
          NWDTH = NW
        END IF
        ifw(I)=NW
      END DO
      ifx(Lines+1)=(NWDTH+4)/2
      ify(Lines+1)=Lines+3
      ift(Lines+1)=5
      ifw(Lines+1)=4
      IFINIT=2
      CALL InEventSelect(ResizeExpose,IntYes) ! ResizeExpose=6,IntYes=1
      CALL InControlKey(50,ResizeEvent)
      CALL IFrameType(Window3D2)   ! DropShadow = 4; Window3D2 = 10
      call IFrameOptions(4,15)     ! TitleForeCol, TextWhiteBold
      call IFrameOptions(5,5)      ! TitleBackCol, TextBlue
      call IWinAction('FPC')
      call IGrInputOptions(4,1)    ! GINTerminate, GINAnyKey
      call InMouseOptions(2,2)     ! MouseExit,IntYes=1
      call InMouseOptions(102,3)   ! PopupButton,RightButton=3; LeftButton=1
      call InHighLight('Bwhite','Blue')
      DO WHILE(KEXIT.NE.ControlConfirm)          ! ControlConfirm=21
        call ITextColour('Yellow','BBlue')
        call IWinWordWrap('JUST')
        call IWinOpenTitle(0,0,NWDTH+4,Lines+4,AboutTitle)
        call IFormDefine('W',Lines+1,ifx,ify,ifw,ift)
        DO I=1,Lines
          call IFormPutString(I,TRIM(AboutMessage(I)))
        END DO
        call IFormPutButton(Lines+1,' OK ',21)     ! ControlConfirm=21
        call IFormAttribute(Lines+1,' ','Black','White')
        call IFormFrame(Lines+1,7,'BWhite','Black')
        call IFormShow
        call IFormEdit(IFINIT,IFEXIT)
        KEXIT=InfoInput(55)        ! LastGINExit = 55
        IF(KEXIT.NE.ControlConfirm) CALL IScreenBell('2')
        IF (KEXIT.EQ.50) THEN
          call IScreenBackground('blue','bblue')
          call IWinClose(1)
          KEXIT=22
        END IF
      END DO
      CALL InMouseOptions(MouseExit,IntNo)       ! MouseExit=2;IntNo=0
      CALL IWinClose(1)
      RETURN
      END

C     B4FILE.FOR
C
C   Enter the name of a requested file with explanation string
C   and corresponding prompting string.  Also a window title
C   string as a header
C
C                    Designed by 
C                    Raymond J. Heemstra
C
      FUNCTION B4FILE(STRINGS,PROMPTS,FileName,TITLE)
      INCLUDE 'interif.inc'
      INCLUDE 'interkm.inc'
      INCLUDE 'interip.inc'
      INCLUDE 'intergen.inc'
      INCLUDE 'interat.inc'
      INCLUDE 'intercg.inc'
      LOGICAL B4FILE
      INTEGER BSIZE
      PARAMETER(BSIZE=8,NS=1,NP=1,NB=1)
      CHARACTER*(*) STRINGS,PROMPTS,FileName,TITLE
      INTEGER ifx(NS+NP+NB+2),ify(NS+NP+NB+2),
     &        ift(NS+NP+NB+2),ifw(NS+NP+NB+2)
      CHARACTER*(BSIZE) BUTTON1,BUTTON2
      DATA BUTTON1 /' ACCEPT '/, BUTTON2 /' CANCEL '/
      KEXIT=22
      call IScreenBackground('blue','bblue')
      call IWinClose(1)
      NSWDTH = 0       !  or  LEN_TRIM(TITLE)
      NPWDTH = 0
      NBWDTH = 0
      ISPACE = 1
C  Set up the form info for the explanation strings
      DO I=1,NS
        ifx(I)=2                  ! beginning column number
        ify(I)=I+ISPACE           ! beginning row number
        ift(I)=1001               ! protected string is 1001
        NSW=LEN_TRIM(STRINGS)
        IF (NSW.GT.NSWDTH) THEN
          NSWDTH=NSW
        END IF
      END DO
      DO I=1,NS
        ifw(I)=NSWDTH             ! make all string widths equal
      END DO
      ISPACE=ISPACE+1
C  Set up the form info for the File Name prompt strings
      DO I=NS+1,NS+NP
        ifx(I)=2                  ! beginning column number
        ify(I)=I+ISPACE           ! beginning row number
        ift(I)=1001               ! protected string is 1001
        NPW=LEN_TRIM(PROMPTS)
        IF (NPW.GT.NPWDTH) THEN
          NPWDTH = NPW            ! measure longest prompt
        END IF
      END DO
      DO I=NS+1,NS+NP
        ifw(I)=NPWDTH             ! make all prompts widths equal
      END DO
C  Set up the form info for the box entry input/output data strings
      DO I=NS+NP+1,NS+NP+NB
        ifx(I)=NPWDTH+4 
        ify(I)=I+ISPACE-NB
        ift(I)=8
        NBW=16
        IF (NBW.GT.NBWDTH) THEN
          NBWDTH = NBW
        END IF
      END DO
      DO I=NS+NP+1,NS+NP+NB
        ifw(I)=NBWDTH             ! make all prompt boxes equal
      END DO
      ISPACE=ISPACE-1
C   Set up the form info for the two buttons
      NWDTH=NSWDTH
      IF (NPWDTH.GT.NWDTH) NWDTH = NPWDTH
      IF (NBWDTH.GT.NWDTH) NWDTH = NBWDTH
      ISPACE=ISPACE+2
      DO I=1,2
        ifx(NS+NP+NB+I)=((I-1)*(BSIZE+2))+
     &   ((NWDTH+14-2*BSIZE)/2)   ! distribute the 2 buttons horizonally
        ify(NS+NP+NB+I)=NS+NP+NB+ISPACE ! after the double column of forms
        ift(NS+NP+NB+I)=5     ! push button is 5
        ifw(NS+NP+NB+I)=BSIZE ! button size is 9 (see parameter)
      END DO
      IFINIT=NS+NP+NB
      CALL InEventSelect(6,1)    ! ResizeExpose=6;IntYes=1
      CALL InControlKey(50,ResizeEvent)
      CALL InControlKey(26,577)  ! Alt-A=577(accept);Alt-N=590(next)
      CALL InControlKey(27,579)  ! Alt-C=579(cancel); Alt-Q=593(quit)
      CALL InControlKey(29,129)  ! KeyCursorDown = 129
      CALL InControlKey(30,128)  ! KeyCursorUp   = 128
      CALL InSelectionChars(' ')

      call IFrameType(4)          ! DropShadow = 4; Window3D2 = 10
      call IFrameOptions(4,15)    ! TitleForeCol, TextWhiteBold
      call IFrameOptions(5,5)     ! TitleBackCol, TextBlue
      call IWinAction('FPC')
      call IGrInputOptions(4,1)   ! GINTerminate, GINAnyKey
      call InMouseOptions(2,2)    ! MouseExit,IntYes
      call InMouseOptions(102,3)  ! PopupButton,RightButton=3; LeftButton=1
      call InHighLight('Black','yellow')
      DO WHILE(KEXIT.NE.ControlConfirm)          ! ControlConfirm=21
        call ITextColour('Yellow','BBlue')
        call IWinWordWrap('JUST')
        call IWinOpenTitle(0,0,NWDTH+24,NS+NP+NB+ISPACE+2,TRIM(TITLE))
        call IFormDefine('W',NS+NP+NB+2,ifx,ify,ifw,ift)
C   Place the expanation string
          call IFormPutString(NS,TRIM(STRINGS))
C   Place the prompt string
          call IFormPutString(NS+NP,TRIM(PROMPTS))
C   Place the file name default
        call IFormPutString(NS+NP+NB,FileName)
        call IFrameOptions(4,15)  ! TitleForeCol, TextWhiteBold
        call IFrameOptions(5,5)   ! TitleBackCol, TextBlue
C  ACCEPT
        call IFormPutButton(NS+NP+NB+1,BUTTON1,21)     ! ControlConfirm=21
        call IFormAttribute(NS+NP+NB+1,' ','Black','White')
        call IFormFrame(NS+NP+NB+1,7,'BWhite','Black') ! Button3D1=7
C  CANCEL
        call IFormPutButton(NS+NP+NB+2,BUTTON2,23)  ! ControlQuit=23
        call IFormAttribute(NS+NP+NB+2,' ','Black','White')
        call IFormFrame(NS+NP+NB+2,7,'BWhite','Black')
C   Show everthing in forms
        call IFormShow
C   Edit the forms and use buttons
        call IFormEdit(IFINIT,IFEXIT)
        KEXIT=InfoInput(55)       ! LastGINExit = 55
        IF(KEXIT.EQ.ControlQuit) THEN
          B4FILE=.false.
          KEXIT=ControlConfirm
          CYCLE
        ELSE IF(KEXIT.EQ.ControlConfirm) THEN
          B4FILE=.true.
C   Get the file name
            call IFormGetString(NS+NP+NB,FileName)
C  Expose/resize event?
         ELSE IF (KEXIT .EQ. 50) THEN
           CALL IScreenBackground('blue','blue')
            call IWinClose(1)
         ELSE
          CALL IScreenBell('2')
          IFINIT=IFEXIT
          CALL IScreenBackground('blue','blue')
          CALL IWinClose(1)
        END IF
      END DO
      CALL IWinClose(1)
      CALL InMouseOptions(MouseExit,IntNo)     ! MouseExit=2;IntNo=0
      RETURN
      END

C     B4RETRIV.FOR
C                    Designed by
C                    Raymond J. Heemstra
      SUBROUTINE B4RETRIV(FILESAVE)
      INCLUDE 'interif.inc'
      INCLUDE 'interkm.inc'
      INCLUDE 'interip.inc'
      INCLUDE 'intergen.inc'
      INCLUDE 'interat.inc'
      INCLUDE 'intercg.inc'
        CHARACTER*(*) FILESAVE
        CHARACTER*80 STRINGS,BTIT
!        CHARACTER*80 WTIT
!        COMMON /B4EDGRP/ IWW,IWH,WTIT
      CHARACTER*80 WTIT,WINMAIN
      COMMON /B4EDGRP/ IWW,IWH,WTIT,WINMAIN
      COMMON /GRESN/ NXPX,NYPX,NCOLR

        LOGICAL Redraw
        Redraw=.true.
        CALL InEventSelect(ResizeExpose,IntYes)
        CALL InControlKey(50,ResizeEvent)
        CALL IGrArea(0.0,0.0,1.0,1.0)
        CALL IGrAreaClear
        BTIT=' Boast98 captured bit map file of '
        BTIT(35:)=FILESAVE(1:45)
        CALL IScreenTitle('G',TRIM(BTIT))
        CALL IScreenMode('G',NXPX,NYPX,NCOLR)
        DO WHILE(Redraw)
          CALL IGrLoadImage(TRIM(FILESAVE))
          IDMPERR=InfoError(1)
          IF (IDMPERR.NE.0) THEN
            WRITE(STRINGS,'(A,I4,A)') 'Error',IDMPERR,
     &                    ', loading screen'
            CALL AboutB4(1,STRINGS,'Alert')
          ELSE
            CALL IScreenBell('1')
          END IF
          CALL InKeyEvent(KEY)
          IF (KEY .EQ. ResizeEvent) THEN
            Redraw = .TRUE.
            CYCLE
          ELSE
            CALL IGrPause('A')
            Redraw=.false.
            CYCLE
          END IF
        END DO
      END SUBROUTINE

C     B4CAPTUR.FOR
C                    Designed by
C                    Raymond J. Heemstra
C
      SUBROUTINE B4CAPTUR(FILENAME)
      PARAMETER (MAXBMP=99)
      CHARACTER*(*) FILENAME
      CHARACTER*95 STRINGS
      CHARACTER*64 FILESAVE
      LOGICAL THERE
        CALL IGrArea(0.0,0.0,1.0,1.0)
        FILESAVE=' '
        STRINGS=' '
        CALL EXTEN(FILENAME,FILESAVE,'bmp')
        DO ISEQ=1,MAXBMP
          INQUIRE(FILE=FILESAVE,EXIST=THERE)
          IF (THERE) THEN
C    Find the period
            DO J=1,52
              IF (FILESAVE(J:J).EQ.'.') THEN
                IPOINT=J
                EXIT
              END IF
            END DO
!    Find the right most slash
            DO J=IPOINT,1,-1
              IF (FILESAVE(J:J).EQ.'\') THEN
                ISLASH=J
                EXIT
              END IF
            END DO
            LENSAVE=J2-ISLASH     !  number of characters in file name (no path)
C    Period is at IPOINT
C         FILENAME.EXT , IPOINT=9;  ODEH.SIM, IPOINT=5
C                     1 DIGIT                   2 DIGIT
C         FILESAV1.BMP - FILESA99.BMP ; ODEH1.BMP - ODEH99.BMP
!         C:\INT\B4ED\FILENAME.BMP  , IPOINT=21
            IF (LENSAVE.GE.9) THEN
C    Full size file name
              IF (ISEQ.EQ.1.OR.ISEQ.EQ.10) THEN
                J2=IPOINT
              ELSE
                J2=IPOINT-1
              END IF
              IF (ISEQ.LE.9) THEN
C   For 1 digit appended number
                J1=J2
                WRITE(FILESAVE(J1:J2+4),'(I1,A4)') ISEQ,'.BMP'
              ELSE
C   For 2 digit appended number
                J1=J2-1
                WRITE(FILESAVE(J1:J2+4),'(I2,A4)') ISEQ,'.BMP'
              END IF
              FILESAVE(J2+5:)=' '
C   Short file name         ODEH.BMP, ODEH9.BMP, ODEH10.BMP
            ELSE IF (LENSAVE.LE.8) THEN
              IF(ISEQ.EQ.1.OR.ISEQ.EQ.10) THEN
                J2=IPOINT
              ELSE
                J2=IPOINT-1
              END IF
              IF (ISEQ.LE.9) THEN
                J1=J2
                WRITE(FILESAVE(J1:J2+4),'(I1,A4)') ISEQ,'.BMP'
              ELSE
                J1=J2-1
                WRITE(FILESAVE(J1:J2+4),'(I2,A4)') ISEQ,'.BMP'
              END IF
              FILESAVE(J2+5:)=' '
            END IF
          ELSE
!            CALL IScreenBell('1')
            CALL IGrSaveImage(TRIM(FILESAVE))
            IDMPERR=InfoError(1)
            IF (IDMPERR.NE.0.AND.IDMPERR.NE.1) THEN
              CALL IScreenBell('2')
              WRITE(STRINGS,'(A5,I4,A,A)') 'Error',IDMPERR,
     &                      ', saving screen on ',TRIM(FILESAVE)
              CALL AboutB4(1,STRINGS,'Alert')
              EXIT
            ELSE
              CALL IScreenBell('1')
!              WRITE(STRINGS,'(A,A)') 'Saving screen on ',TRIM(FILESAVE)
!              CALL AboutB4(1,TRIM(STRINGS),'Notice')
!              CALL IGrLoadImage(TRIM(FILESAVE))
              EXIT
            END IF
          END IF
        END DO
      END SUBROUTINE

C     B4CAPT.FOR
C                    Designed by
C                    Raymond J. Heemstra
      SUBROUTINE B4CAPT(FILENAME,FILESAVE)
      CHARACTER*(*) FILENAME
      CHARACTER*95 STRINGS
      CHARACTER*64 FILESAVE
      LOGICAL THERE
        CALL IGrArea(0.0,0.0,1.0,1.0)
        FILESAVE=' '
        STRINGS=' '
        CALL EXTEN(FILENAME,FILESAVE,'bmp')
        DO ISEQ=1,99
          INQUIRE(FILE=FILESAVE,EXIST=THERE)
          IF (THERE) THEN
C    Find the period
            DO J=1,16
              IF (FILESAVE(J:J).EQ.'.') THEN
                IPOINT=J
                EXIT
              END IF
            END DO
C    Period is at IPOINT
C         FILENAME.EXT , IPOINT=9;  ODEH.SIM, IPOINT=5
C                     1 DIGIT                   2 DIGIT
C         FILESAV1.BMP - FILESA99.BMP ; ODEH1.BMP - ODEH99.BMP
            IF (IPOINT.GE.9) THEN
C    Full size file name
              IF (ISEQ.EQ.1.OR.ISEQ.EQ.10) THEN
                J2=IPOINT
              ELSE
                J2=IPOINT-1
              END IF
              IF (ISEQ.LE.9) THEN
C   For 1 digit appended number
                J1=J2
                WRITE(FILESAVE(J1:J2+4),'(I1,A4)') ISEQ,'.BMP'
              ELSE
C   For 2 digit appended number
                J1=J2-1
                WRITE(FILESAVE(J1:J2+4),'(I2,A4)') ISEQ,'.BMP'
              END IF
              FILESAVE(J2+5:)=' '
C   Short file name         ODEH.BMP, ODEH9.BMP, ODEH10.BMP
            ELSE IF (IPOINT.LE.8) THEN
              IF(ISEQ.EQ.1.OR.ISEQ.EQ.10) THEN
                J2=IPOINT
              ELSE
                J2=IPOINT-1
              END IF
              IF (ISEQ.LE.9) THEN
                J1=J2
                WRITE(FILESAVE(J1:J2+4),'(I1,A4)') ISEQ,'.BMP'
              ELSE
                J1=J2-1
                WRITE(FILESAVE(J1:J2+4),'(I2,A4)') ISEQ,'.BMP'
              END IF
              FILESAVE(J2+5:)=' '
            END IF
          ELSE
            CALL IGrSaveImage(FILESAVE)
            IDMPERR=InfoError(1)
            IF (IDMPERR.NE.0.AND.IDMPERR.NE.31.AND.IDMPERR.NE.16) THEN
              CALL IScreenBell('1')
              WRITE(STRINGS,'(A5,I4,A,A)') 'Error',IDMPERR,
     &                      ', saving screen on ',FILESAVE
              CALL AboutB4(1,STRINGS,'Alert')
              EXIT
            ELSE
              CALL IScreenBell('1')
              WRITE(STRINGS,'(A6,A)') 'Saved ',FILESAVE
              CALL AboutB4(1,TRIM(STRINGS),'Notice')
              EXIT
            END IF
          END IF
        END DO
      END SUBROUTINE

C    FSEEK.FOR
C                    Designed by
C                    Raymond J. Heemstra
c  ************* File Menu Selected ****************
c   Returns the filename of the file chosen by browsing.
c
!      SUBROUTINE FSEEK(FileName,Suffix)
!      INCLUDE 'interif.inc'
!      INCLUDE 'interkm.inc'
!      INCLUDE 'interip.inc'
!      INCLUDE 'intergen.inc'
!      INCLUDE 'interat.inc'
!      INCLUDE 'intercg.inc'
!      PARAMETER (MAXFIL=180,NTypes=1)
!      CHARACTER*(*) FileName
!      INTEGER IFile(NTypes),NFiles(NTypes)
!      CHARACTER*5 Match
!      CHARACTER*(*) Suffix
!      CHARACTER*100 CurrDir
!      CHARACTER*100 DirName
!      CHARACTER*100 PATH
!      CHARACTER*24 Files(MAXFIL,NTypes)
!      LOGICAL Redraw
!      Redraw=.true.
!      PATH=' '
!      FileName=' '
!      DO I=1,NTypes
!        IFile(I) = 1
!        DO J=1,MAXFIL
!          Files(J,I)=' '
!        END DO
!      END DO

!C  Main menu return
!C  Return here for redrawing whole screen

!      DO WHILE(Redraw)      !  -- may work
!        CALL IOutStringXY(45,2,TRIM(PATH))
!        CALL IScreenBackground('blue','cyan')

!        CALL ITextColour('blue','bwhite')
!        CALL IOutMessage('Cursor keys:Move highlight   '
!     &                 //'Return:Confirm    Escape:Quit')
!        CALL ITextColour('bwhite','blue')
!        CALL InHighlight('bwhite','bmagenta')
!        CALL InSelectionChars('I')
!        CALL IOsDirEntryType('D')
!        CALL IOsDirName(CurrDir)
!        PATH=' '
!        IF (FileName(1:4) .EQ. '    ') THEN
!          WRITE(PATH(1:),'(A)') TRIM(CurrDir)//TRIM(FileName)
!        ELSE
!          WRITE(PATH(1:),'(A)') TRIM(CurrDir)//'\'//TRIM(FileName)
!        ENDIF
!        CALL IOutStringXY(45,2,TRIM(PATH))

!C   Read from default file type directory, DirName is blank
!C   if undefined.  IOsDirList will search current directory.

!        CALL IOsDirEntryType('F')
!        Redraw=.TRUE.
!        DO 25 ISet=1,NTypes
!          CALL IOsDirName(DirName)
!          Match = '*.'//Suffix
!          NFiles(ISet) = MAXFIL
!          CALL IOsDirList(DirName,Match,Files(1,ISet),NFiles(ISet))
!25      CONTINUE

!        IFileType=1
!        CALL IFrameType(Window3D2)      !  Window3D2 = 10
!        CALL InPopUp('on')
!        CALL InMouseOptions(MouseExit,IntYes)
!C   Put up & down arrow keys back into control in the file menu
!        CALL InControlKey(29,0)         !  KeyCursorDown = 129
!        CALL InControlKey(30,0)         !  KeyCursorUp   = 128
!C   The title of the file pulldown menu will be the CurrDir
!        NewFile = IMenuScroll(Files(1,IFileType),NFiles(IFileType),
!     &      1,4,CurrDir(1:14),21,1,IFile(IFileType))
!        CALL InMouseOptions(MouseExit,IntNo)
!        CALL InPopUp('off')
!        KeyExit = InfoInput(LastExitKey)
!        IF (KeyExit .EQ. 50) THEN
!          Redraw = .TRUE.
!        ELSE IF (KeyExit .NE. ControlQuit .AND.
!     &      KeyExit .NE. -2  ) THEN
!          FileName=' '
!          IFile(IFileType) = NewFile
!C  Set up name of file
!            FileName = Files(IFile(IFileType),IFileType)
!C  Now select the file and show its path
!          PATH=' '
!          IF (FileName(1:4) .EQ. '    ') THEN
!            WRITE(PATH(1:),'(A)') TRIM(CurrDir)//TRIM(FileName)
!          ELSE
!            WRITE(PATH(1:),'(A)') TRIM(CurrDir)//
!     &              '\'//TRIM(FileName)
!          ENDIF
!          CALL IOutStringXY(45,2,TRIM(PATH))
!          Redraw=.false.
!          CALL IScreenMode('G',NXPX,NYPX,NCOLR)

!        ELSE
!          Redraw=.false.
!        ENDIF
!      END DO
!      END SUBROUTINE

C    FSEEK.FOR
C                    Designed by
C                    Raymond J. Heemstra
c  ************* File Menu Selected ****************
c   Returns the filename of the file chosen by browsing.
c
!      SUBROUTINE FSEEK(FileName,Suffix)
      SUBROUTINE FSEEK(FileName,IFILE,Suffix)
      INCLUDE 'interif.inc'
      INCLUDE 'interkm.inc'
      INCLUDE 'interip.inc'
      INCLUDE 'intergen.inc'
      INCLUDE 'interat.inc'
      INCLUDE 'intercg.inc'
      PARAMETER (MAXFIL=180,NTypes=1)
      COMMON /GRESN/ NXPX,NYPX,NCOLR
      CHARACTER*(*) FileName
      INTEGER IFile(NTypes),NFiles(NTypes)
      CHARACTER*5 Match
      CHARACTER*(*) Suffix
      CHARACTER*100 CurrDir
      CHARACTER*100 DirName
      CHARACTER*100 PATH,BUFFER*80
      CHARACTER*24 Files(MAXFIL,NTypes)
      LOGICAL Redraw
      Redraw=.true.
      PATH=' '
      FileName=' '
      DO I=1,NTypes
        IFile(I) = 1
        DO J=1,MAXFIL
          Files(J,I)=' '
        END DO
      END DO
!  Main menu return
!  Return here for redrawing whole screen
      DO WHILE(Redraw)      !  -- may work
!        CALL IOutStringXY(45,2,TRIM(PATH))
        CALL PLACEFILE(PATH)   !New placement routine
        CALL IScreenBackground('blue','cyan')
        CALL ITextColour('blue','bwhite')
        CALL IOutMessage('Cursor keys:Move highlight   '
     &                 //'Return:Confirm    Escape:Quit')
        CALL ITextColour('bwhite','blue')
        CALL InHighlight('bwhite','bmagenta')
        CALL InSelectionChars('I')
        CALL IOsDirEntryType('D')
        CALL IOsDirName(CurrDir)
        PATH=' '
        IF (FileName(1:4) .EQ. '    ') THEN
          NERR=1
          WRITE(PATH(1:),'(A)',ERR=999) TRIM(CurrDir)//TRIM(FileName)
        ELSE
          NERR=2
          WRITE(PATH(1:),'(A)',ERR=999) TRIM(CurrDir)//
     &        '\'//TRIM(FileName)
        ENDIF
!        CALL IOutStringXY(45,2,TRIM(PATH))
        CALL PLACEFILE(PATH)   !New placement routine
!   Read from default file type directory, DirName is blank
!   if undefined.  IOsDirList will search current directory.
        CALL IOsDirEntryType('F')
        Redraw=.TRUE.
        DO ISet=1,NTypes
          CALL IOsDirName(DirName)
          Match = '*.'//Suffix
          NFiles(ISet) = MAXFIL
          CALL IOsDirList(DirName,Match,Files(1,ISet),NFiles(ISet))
        END DO
        IFileType=1
        CALL IFrameType(Window3D2)      !  Window3D2 = 10
        CALL InPopUp('on')
        CALL InMouseOptions(MouseExit,IntYes)
!   Put up & down arrow keys back into control in the file menu
        CALL InControlKey(29,0)         !  KeyCursorDown = 129
        CALL InControlKey(30,0)         !  KeyCursorUp   = 128
!   The title of the file pulldown menu will be the CurrDir
        NewFile = IMenuScroll(Files(1,IFileType),NFiles(IFileType),
     &      1,4,TRIM(CurrDir),21,1,IFile(IFileType))
        CALL InMouseOptions(MouseExit,IntNo)
        CALL InPopUp('off')
        KeyExit = InfoInput(LastExitKey)
        IF (KeyExit .EQ. 50) THEN
          Redraw = .TRUE.
        ELSE IF (KeyExit .NE. ControlQuit .AND.
     &      KeyExit .NE. -2  ) THEN
          FileName=' '
          IFile(IFileType) = NewFile
C  Set up name of file
          FileName = Files(IFile(IFileType),IFileType)
C  Now select the file and show its path
          PATH=' '
          IF (FileName(1:4) .EQ. '    ') THEN
            NERR=3
            WRITE(PATH(1:),'(A)',ERR=999) TRIM(CurrDir)//TRIM(FileName)
          ELSE
            NERR=4
            WRITE(PATH(1:),'(A)',ERR=999) TRIM(CurrDir)//
     &              '\'//TRIM(FileName)
          ENDIF
!          CALL IOutStringXY(45,2,TRIM(PATH))
          CALL PLACEFILE(PATH)   !New placement routine
          Redraw=.false.
          CALL IScreenMode('G',NXPX,NYPX,NCOLR)
        ELSE
          Redraw=.false.
        ENDIF
      END DO
      RETURN
999   WRITE(BUFFER,*) 'Internal write error',NERR
      CALL AboutB4(1,TRIM(BUFFER),'FSEEK error')
      RETURN
      END SUBROUTINE

!     WWrapB4.for
!                    Designed by
!                    Raymond J. Heemstra
!   Enter a big string followed by a character array of lines and width
!   Leave with count of NWORDS words wrapped onto each line
      SUBROUTINE WWrapB4(STRING,LIST,WIDTH,LINES,NWORDS)

      INTEGER WIDTH
      CHARACTER*(WIDTH) , DIMENSION(LINES) :: LIST
      CHARACTER*(*) STRING,TESTC*1,WORD*(WIDTH)
      LENGTH=LEN(TRIM(STRING))
      NWORDS=0
      LAST=0
      LINENUM=1
      LETTER=0
      IPOS=0
      WORD=' '
      DO N=1,LENGTH
        TESTC=STRING(N:N)
        IF (TESTC.NE.' ') THEN
          LETTER=LETTER+1
          WORD(LETTER:LETTER)=TESTC
        ELSE              !   end of a word
          IPOS=IPOS+1
          NWORDS=NWORDS+1
          LAST=LETTER+IPOS+1
          IF (LAST.LE.WIDTH) THEN   !  still on same line
            IF (LETTER.GT.0) THEN
              LIST(LINENUM)(IPOS:LAST)=WORD(1:LETTER)//TESTC
              WORD=' '
            ELSE    !  2nd space
              IPOS=IPOS+1
              LAST=IPOS
              LIST(LINENUM)(IPOS:LAST)=TESTC
            END IF
            IPOS=LAST-1
          ELSE     !   end of the 60 characters, go to next line
            LINENUM=LINENUM+1
            IF (LINENUM.GT.LINES) RETURN
            IPOS=1
            LAST=LEN(TRIM(WORD))+1
            NWORDS=NWORDS+1
            LIST(LINENUM)(IPOS:LAST)=WORD(1:LETTER)//TESTC
            IPOS=LAST
            WORD=' '
          END IF
          LETTER=0
        END IF
      END DO
      IPOS=IPOS+1
      LAST=IPOS+LETTER
      IF (LAST.LE.WIDTH) THEN
        LIST(LINENUM)(IPOS:LAST)=WORD(1:LETTER)
      ELSE
        LINENUM=LINENUM+1
        LIST(LINENUM)(1:LETTER)=WORD(1:LETTER)
      END IF
      NWORDS=NWORDS+1
      LINES=LINENUM
      END SUBROUTINE

!     PLACEFILE.FOR
      SUBROUTINE PLACEFILE(PATH)
      CHARACTER*(*) PATH
      CHARACTER*100 STRING
      INCLUDE 'interif.inc'
      INCLUDE 'interkm.inc'
      INCLUDE 'interip.inc'
      INCLUDE 'intergen.inc'
      INCLUDE 'interat.inc'
!      INCLUDE 'intercg.inc'
!  New filename placement
        STRING=' '
        STRING=TRIM(PATH)//' '
          CALL ITextColourN(15,5)
          IX2 = InfoScreen(TextColumns)  !  Number of text columns in current mode
          IY2 = InfoScreen(TextRows)     !  Number of text rows in current mode minus 1
!          CALL IJustifyString(PATH(1:IX2),'L')   !  Left justify name
          CALL IJustifyString(TRIM(PATH),'L')   !  Left justify name
!          CALL IOutStringXY(1,IY2-1,PATH)     !  New name placement
          CALL IOutStringXY((IX2/2)-4,IY2-1,
     &       '                                    ')  !  36 BLANKS
          CALL IOutStringXY((IX2/2)-4,IY2-1,TRIM(PATH)) !  New name placement
          CALL IJustifyString(STRING(1:IX2),'R')   !  Right justified
          CALL IOutStringXY(1,2,TRIM(STRING))     !  Second name placement
!   End of placement
      END SUBROUTINE

!    GetFile.for
      FUNCTION GETFILE(PATH)
       CHARACTER*(*) PATH,GETFILE
C    Find the period
        DO J=1,61
          IF (PATH(J:J).EQ.'.') THEN
            IPOINT=J
            EXIT
          END IF
        END DO
!    Find the right most slash
        DO J=IPOINT,1,-1
          IF (PATH(J:J).EQ.'\'.OR.PATH(J:J).EQ.':') THEN
            ISLASH=J
            EXIT
          END IF
        END DO
!        LENSAVE=IPOINT-ISLASH-1     !  number of characters in file name (no path)
        GETFILE(1:)=PATH(ISLASH+1:IPOINT-1)//' '
      END
