C  *********************************************************
C  **  (c) Interactive Software Services Ltd. 1989-1995   **
C  ** --------------------------------------------------  **
C  ** Licenced INTERACTER users are granted permission to **
C  ** incorporate this code within their own applications **
C  ** --------------------------------------------------- **
C  **   I.S.S. can be contacted on +44 (0) 1543 503611    **
C  **                       or Fax +44 (0) 1543 574566    **
C  **             or Internet support@issltd.demon.co.uk  **
C  *********************************************************
C
C  INTERACTER Symbolic Names File.
C
C  Group CG : Character Graphics Routines.
C
C  Subroutine  : IFrameOptions
C  Description : Logicals for text frame options.
C
      INTEGER         BorderControls, BoxChars, TitlePos,
     1                TitleForeCol, TitleBackCol,
     2                BorderCol, BorderCol2
C
      PARAMETER       (BorderControls = 1)
      PARAMETER       (BoxChars       = 2)
      PARAMETER       (TitlePos       = 3)
      PARAMETER       (TitleForeCol   = 4)
      PARAMETER       (TitleBackCol   = 5)
      PARAMETER       (BorderCol      = 6)
      PARAMETER       (BorderCol2     = 7)
C
      INTEGER         BorderCRight, BorderCRightBelow, 
     1                TitleInFrame, TitleInBox
C
      PARAMETER       (BorderCRight           = 1)
      PARAMETER       (BorderCRightBelow      = 2)
      PARAMETER       (TitleInFrame           = 1)
      PARAMETER       (TitleInBox             = 2)
C
C  Subroutine  : IFrameType
C  Description : Logical names for frame types.
c
      INTEGER         SingleLine1, DoubleLine1,
     1                SingleLine2, DoubleLine2, DropShadow,
     2                Field3D1   , Field3D2,
     3                Button3D1  , Button3D2,
     4                Window3D1  , Window3D2
C
      PARAMETER       (SingleLine1      =  1)
      PARAMETER       (DoubleLine1      =  2)
      PARAMETER       (SingleLine2      =  3)
      PARAMETER       (DoubleLine2      =  4)
      PARAMETER       (DropShadow       =  4)
      PARAMETER       (Field3D1         =  5)
      PARAMETER       (Field3D2         =  6)
      PARAMETER       (Button3D1        =  7)
      PARAMETER       (Button3D2        =  8)
      PARAMETER       (Window3D1        =  9 )
      PARAMETER       (Window3D2        = 10)
C
C  Subroutine  : ISpecialChar
C  Description : Logical names for special characters.
C
      INTEGER         CornerTopRight    , CornerTopLeft     ,
     1                CornerBottomRight , CornerBottomLeft  ,
     2                IntersectionRight , IntersectionLeft  ,
     3                IntersectionTop   , IntersectionBottom,
     4                IntersectionMiddle, LineHorizontal    ,
     5                LineVertical
      INTEGER         ChrPlusMinus   , ChrLessEqual ,
     1                ChrGreaterEqual, ChrNotEqual  ,
     2                ChrPi          , ChrDegree    ,
     3                ChrFilledBlock , ChrUpArrow   ,
     4                ChrDownArrow   , ChrRightArrow,
     8                ChrLeftArrow   , ChrBullet
C
      PARAMETER       (CornerTopRight        =  1)
      PARAMETER       (CornerTopLeft         =  2)
      PARAMETER       (CornerBottomRight     =  3)
      PARAMETER       (CornerBottomLeft      =  4)
      PARAMETER       (IntersectionRight     =  5)
      PARAMETER       (IntersectionLeft      =  6)
      PARAMETER       (IntersectionTop       =  7)
      PARAMETER       (IntersectionBottom    =  8)
      PARAMETER       (IntersectionMiddle    =  9)
      PARAMETER       (LineHorizontal        = 10)
      PARAMETER       (LineVertical          = 11)
      PARAMETER       (ChrPlusMinus          = 12)
      PARAMETER       (ChrLessEqual          = 13)
      PARAMETER       (ChrGreaterEqual       = 14)
      PARAMETER       (ChrNotEqual           = 15)
      PARAMETER       (ChrPi                 = 16)
      PARAMETER       (ChrDegree             = 17)
      PARAMETER       (ChrFilledBlock        = 18)
      PARAMETER       (ChrUpArrow            = 19)
      PARAMETER       (ChrDownArrow          = 20)
      PARAMETER       (ChrRightArrow         = 21)
      PARAMETER       (ChrLeftArrow          = 22)
      PARAMETER       (ChrBullet             = 23)
