C  *********************************************************
C  **  (c) Interactive Software Services Ltd. 1989-1995   **
C  ** --------------------------------------------------- **
C  ** Licenced INTERACTER users are granted permission to **
C  ** incorporate this code within their own applications **
C  ** --------------------------------------------------- **
C  **   I.S.S. can be contacted on +44 (0) 1543 503611    **
C  **                       or Fax +44 (0) 1543 574566    **
C  **           or Internet support@issltd.demon.co.uk    **
C  *********************************************************
C
C  INTERACTER Symbolic Names File.
C
C  Group IP : Input/Menu Handling Parameter Selection.
C
C  Subroutine  : InControlKey
C  Description : Control key names
C
      INTEGER         ControlUp, ControlDown, ControlRight,
     1                ControlLeft, ControlPageUp, ControlPageDown,
     2                ControlPageRight, ControlPageLeft,
     3                ControlExtremeUp, ControlExtremeRight,
     4                ControlExtremeDown, ControlExtremeLeft,
     5                ControlClearStart, ControlClearEnd,
     6                ControlMoveStart, ControlMoveEnd, 
     7                ControlInsert, ControlBackspace1,
     8                ControlBackspace2, ControlDelete,
     9                ControlConfirm, ControlHelp, ControlQuit,
     1                ControlTab, ControlBackTab, ControlConfirm2,
     2                ControlHelp2, ControlQuit2, ControlMenu,
     3                ControlNext
C
      PARAMETER       (ControlUp          =  1)
      PARAMETER       (ControlDown        =  2)
      PARAMETER       (ControlRight       =  3)
      PARAMETER       (ControlLeft        =  4)
      PARAMETER       (ControlPageUp      =  5)
      PARAMETER       (ControlPageDown    =  6)
      PARAMETER       (ControlPageRight   =  7)
      PARAMETER       (ControlPageLeft    =  8)
      PARAMETER       (ControlExtremeUp   =  9)
      PARAMETER       (ControlExtremeDown = 10)
      PARAMETER       (ControlExtremeRight= 11)
      PARAMETER       (ControlExtremeLeft = 12)
      PARAMETER       (ControlClearStart  = 13)
      PARAMETER       (ControlClearEnd    = 14)
      PARAMETER       (ControlMoveStart   = 15)
      PARAMETER       (ControlMoveEnd     = 16)
      PARAMETER       (ControlInsert      = 17)
      PARAMETER       (ControlBackspace1  = 18)
      PARAMETER       (ControlBackspace2  = 19)
      PARAMETER       (ControlDelete      = 20)
      PARAMETER       (ControlConfirm     = 21)
      PARAMETER       (ControlHelp        = 22)
      PARAMETER       (ControlQuit        = 23)
      PARAMETER       (ControlTab         = 24)
      PARAMETER       (ControlBackTab     = 25)
C     Note:  26-30 spare exit codes, group 1
      PARAMETER       (ControlConfirm2    = 31)
      PARAMETER       (ControlHelp2       = 32)
      PARAMETER       (ControlQuit2       = 33)
      PARAMETER       (ControlMenu        = 34)
      PARAMETER       (ControlNext        = 35)
C     Note : 36-50 spare exit codes, group 2
C
C  Subroutine  : InKeypad
C  Description : Keypad modes
C
      INTEGER         NumericMode, SubstMode, FullMode
C
      PARAMETER       (NumericMode      =  1)
      PARAMETER       (SubstMode        =  2)
      PARAMETER       (FullMode         =  3)
C
C  Subroutine  : InMouseOptions
C  Description : Mouse input options
C
      INTEGER         MouseInput, MouseExit, MouseFeel,
     1                ExtremeButton, PopupButton, ConfirmMultiButton,
     2                ToggleMultiButton, ConfirmCycleButton,
     3                ConfirmFixedButton
C
      PARAMETER       (MouseInput           =   1)
      PARAMETER       (MouseExit            =   2)
      PARAMETER       (MouseFeel            =   3)
      PARAMETER       (ExtremeButton        = 101)
      PARAMETER       (PopupButton          = 102)
      PARAMETER       (ConfirmMultiButton   = 103)
      PARAMETER       (ToggleMultiButton    = 104)
      PARAMETER       (ConfirmCycleButton   = 105)
      PARAMETER       (ConfirmFixedButton   = 106)
C
      INTEGER         LeftButton, MiddleButton, RightButton
C
      PARAMETER       (LeftButton           =   1)
      PARAMETER       (MiddleButton         =   2)
      PARAMETER       (RightButton          =   3)
